/*
    Copyright (c) 2009 digitalSTROM.org, Zurich, Switzerland

    This file was originally part of the dsplwriter project (GPLv3).

    Adaptions to dss11-ledd:
    Copyright (c) 2012 aizo ag, Zurich, Switzerland


    Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>

    dss11-ledd is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    dss11-ledd daemon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with dss11-ledd. If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef __LEDD_H__
#define __LEDD_H__

#include "ledd_common.h"

struct ledd_event
{
    ledd_actions action;
};

/// \brief Initializes the application, sets up sockets and listeners.
/// \return 0 on success, -1 on error
ledd_status ledd_init(int port, ledd_action_callback, void *arg);

/// \brief Deinitializes the application, frees all allocated resources.
void ledd_cleanup();

/// \brief Listens to incoming events and takes appropriate action.
ledd_status ledd_process_event();

/// \brief Sends quit command and terminates the process event function.
void ledd_send_quit();

#endif//__LEDD_H__

