/*
    Copyright (c) 2009 digitalSTROM.org, Zurich, Switzerland
    
    This file was originally part of the dsplwriter project (GPLv3).
    
    Adaptions to dss11-ledd:
    Copyright (c) 2012 aizo ag, Zurich, Switzerland
    

    Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc> 

    dss11-ledd is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    dss11-ledd is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with dss11-ledd. If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef __LEDD_COMMON_H__
#define __LEDD_COMMON_H__

#define DSS11_LEDD_PORT 50502

typedef enum
{
    LEDD_OK,
    LEDD_QUIT,
    LEDD_ERROR
} ledd_status;

typedef enum
{
    ledd_quit                   = 0x30,
    ledd_ready,
    ledd_failure,
    ledd_system_update_started,
    ledd_system_update_completed,
    ledd_rainbow,
    ledd_rainbow_completed,
    ledd_ds485_ok,
    ledd_ds485_err,
    ledd_info2_ok,
    ledd_info2_err,
    ledd_info3_ok,
    ledd_info3_err,
    ledd_net_ok,
    ledd_net_err,
    ledd_wifi_ok,
    ledd_wifi_err,
    ledd_internet_ok,
    ledd_internet_err,
    ledd_hw_ok,
    ledd_hw_err,
    ledd_sw_ok,
    ledd_sw_err,
    ledd_err2_ok,
    ledd_err2_err,
    ledd_unhandled
} ledd_actions;

typedef void(*ledd_action_callback)(const ledd_actions, void*);

const char *ledd_action_to_string(ledd_actions action);
ledd_actions ledd_string_to_action(const char *action);

#endif

