/*
 * dSS11 led handling daemon
 * Copyright (c) 2011 aizo ag, Switzerland
 *
 * Author: Johannes Winkelmann <johannes.winkelmann@aizo.com>
 */

#ifndef SEQUENCE_H_
#define SEQUENCE_H_

#include <vector>
#include <stdint.h>
#include <pthread.h>

class LedGroup;

class Sequence
{
public:
  Sequence();
  ~Sequence();
  void addLedGroup(LedGroup* ledGroup, uint32_t duration);
  static void* start(void* p);
  void stop();
  void reset();

private:
  std::vector<std::pair<LedGroup*, uint32_t> > m_states;

  pthread_mutex_t m_stopMutex;
  pthread_cond_t m_stopCond;
  bool m_stopRequested;
};

#endif /* SEQUENCE_H_ */
