
/*
 This file is part of the digitalSTROM dsm-api library.

 Copyright (C) 2010 digitalSTROM.org, Schlieren, Switzerland

 digitalSTROM dsm-api library is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 digitalSTROM dsm-api library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with digitalSTROM dsm-api library. If not, see <http://www.gnu.org/licenses/>.
 
 NOTE: The dsm-api library and it's script bindings are unsupported interfaces and
 subject to change without further notice.
 
 */
 /*
 * DO NOT MANUALLY MODIFY! 
 *
 * THIS FILE IS AUTOGENERATED FROM THE dSM-API XML DEFINITIONS IN
 * dsm-api.xml.
 * Make any changes in the XML definition and regenerate this file.
 */
#include "dsm-api.h"
#include "dsm-api-const.h"
#include <digitalSTROM/ds485-client-interface.h>
#include "dsm-macros.h"

#include "dsm-api-static.c"
static int ZoneCount_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *ZoneCount);
static int ZoneCount_parse_request(const ds485_container_t *pFrameAnswer);
static int ZoneInfo_by_index_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *VirtualZoneId, uint8_t *NumberOfGroups, uint8_t *Name);
static int ZoneInfo_by_index_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *ZoneIndex);
static int ZoneInfo_by_id_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *VirtualZoneId, uint8_t *NumberOfGroups, uint8_t *Name);
static int ZoneInfo_by_id_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneIdReq);
static int ZoneModify_add_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneModify_add_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId);
static int ZoneModify_remove_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneModify_remove_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId);
static int ZoneModify_change_id_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneModify_change_id_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint16_t *NewZoneId);
static int ZoneDeviceCount_only_active_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *NumberOfDevices);
static int ZoneDeviceCount_only_active_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId);
static int ZoneDeviceCount_only_inactive_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *NumberOfDevices);
static int ZoneDeviceCount_only_inactive_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId);
static int ZoneDeviceCount_all_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *NumberOfDevices);
static int ZoneDeviceCount_all_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId);
static int ZoneProperties_set_name_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneProperties_set_name_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *Name);
static int ZoneProperties_get_scene_history_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *HistorySize, uint8_t *GroupId_0, uint8_t *Scene_0, uint8_t *GroupId_1, uint8_t *Scene_1, uint8_t *GroupId_2, uint8_t *Scene_2, uint8_t *GroupId_3, uint8_t *Scene_3, uint8_t *GroupId_4, uint8_t *Scene_4, uint8_t *GroupId_5, uint8_t *Scene_5, uint8_t *GroupId_6, uint8_t *Scene_6);
static int ZoneProperties_get_scene_history_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId);
static int ZoneProperties_get_room_states_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *Room, uint16_t *Area1, uint16_t *Area2, uint16_t *Area3, uint16_t *Area4);
static int ZoneProperties_get_room_states_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId);
static int ZoneProperties_set_zone_sensor_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneProperties_set_zone_sensor_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *SensorType, dsuid_t *dSUID);
static int ZoneProperties_get_zone_sensor_parse_response(const ds485_container_t *pFrameAnswer, dsuid_t *dSUID);
static int ZoneProperties_get_zone_sensor_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *SensorType);
static int ZoneProperties_reset_zone_sensor_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneProperties_reset_zone_sensor_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *SensorType);
static int ZoneProperties_get_zone_sensor_value_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *SensorValue, uint32_t *SensorAge);
static int ZoneProperties_get_zone_sensor_value_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *SensorType);

static int ZoneCount_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *ZoneCount)
{
    if (GetCommand(*pFrameAnswer) != ZONE_COUNT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneCount != NULL)
    {
        *ZoneCount = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneCount_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_COUNT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int ZoneCount(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *ZoneCount)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_COUNT);
    SetModifier(pFrame, 0);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneCount_parse_response(&pFrameAnswer, ZoneCount);
    }
    else
    {
        return result;
    }
}

static int ZoneInfo_by_index_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *VirtualZoneId, uint8_t *NumberOfGroups, uint8_t *Name)
{
    if (GetCommand(*pFrameAnswer) != ZONE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_INFO_BY_INDEX) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (VirtualZoneId != NULL)
    {
        *VirtualZoneId = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (NumberOfGroups != NULL)
    {
        *NumberOfGroups = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (Name != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 4, Name, 21);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneInfo_by_index_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *ZoneIndex)
{
    if (GetCommand(*pFrameAnswer) != ZONE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_INFO_BY_INDEX) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneIndex != NULL)
    {
        *ZoneIndex = RequestGetData8(*pFrameAnswer, 0);
    }
    return 0;
}

int ZoneInfo_by_index(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t ZoneIndex, uint16_t *ZoneId, uint8_t *VirtualZoneId, uint8_t *NumberOfGroups, uint8_t *Name)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_INFO);
    SetModifier(pFrame, ZONE_INFO_BY_INDEX);
    RequestSetData8(pFrame, 0, ZoneIndex);
    SetParameterLength(pFrame, 1);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneInfo_by_index_parse_response(&pFrameAnswer, ZoneId, VirtualZoneId, NumberOfGroups, Name);
    }
    else
    {
        return result;
    }
}

static int ZoneInfo_by_id_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *VirtualZoneId, uint8_t *NumberOfGroups, uint8_t *Name)
{
    if (GetCommand(*pFrameAnswer) != ZONE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_INFO_BY_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (VirtualZoneId != NULL)
    {
        *VirtualZoneId = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (NumberOfGroups != NULL)
    {
        *NumberOfGroups = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (Name != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 4, Name, 21);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneInfo_by_id_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneIdReq)
{
    if (GetCommand(*pFrameAnswer) != ZONE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_INFO_BY_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneIdReq != NULL)
    {
        *ZoneIdReq = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int ZoneInfo_by_id(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneIdReq, uint16_t *ZoneId, uint8_t *VirtualZoneId, uint8_t *NumberOfGroups, uint8_t *Name)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_INFO);
    SetModifier(pFrame, ZONE_INFO_BY_ID);
    RequestSetData16(pFrame, 0, ZoneIdReq);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneInfo_by_id_parse_response(&pFrameAnswer, ZoneId, VirtualZoneId, NumberOfGroups, Name);
    }
    else
    {
        return result;
    }
}

static int ZoneModify_add_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_MODIFY_ADD) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneModify_add_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_MODIFY_ADD) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int ZoneModify_add(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_MODIFY);
    SetModifier(pFrame, ZONE_MODIFY_ADD);
    RequestSetData16(pFrame, 0, ZoneId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneModify_add_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneModify_remove_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_MODIFY_REMOVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneModify_remove_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_MODIFY_REMOVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int ZoneModify_remove(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_MODIFY);
    SetModifier(pFrame, ZONE_MODIFY_REMOVE);
    RequestSetData16(pFrame, 0, ZoneId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneModify_remove_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneModify_change_id_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_MODIFY_CHANGE_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneModify_change_id_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint16_t *NewZoneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_MODIFY_CHANGE_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (NewZoneId != NULL)
    {
        *NewZoneId = RequestGetData16(*pFrameAnswer, 2);
    }
    return 0;
}

int ZoneModify_change_id(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint16_t NewZoneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_MODIFY);
    SetModifier(pFrame, ZONE_MODIFY_CHANGE_ID);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData16(pFrame, 2, NewZoneId);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneModify_change_id_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneDeviceCount_only_active_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *NumberOfDevices)
{
    if (GetCommand(*pFrameAnswer) != ZONE_DEVICE_COUNT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_DEVICE_COUNT_ONLY_ACTIVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (NumberOfDevices != NULL)
    {
        *NumberOfDevices = ResponseGetData16(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneDeviceCount_only_active_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_DEVICE_COUNT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_DEVICE_COUNT_ONLY_ACTIVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int ZoneDeviceCount_only_active(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint16_t *NumberOfDevices)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_DEVICE_COUNT);
    SetModifier(pFrame, ZONE_DEVICE_COUNT_ONLY_ACTIVE);
    RequestSetData16(pFrame, 0, ZoneId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneDeviceCount_only_active_parse_response(&pFrameAnswer, NumberOfDevices);
    }
    else
    {
        return result;
    }
}

static int ZoneDeviceCount_only_inactive_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *NumberOfDevices)
{
    if (GetCommand(*pFrameAnswer) != ZONE_DEVICE_COUNT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_DEVICE_COUNT_ONLY_INACTIVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (NumberOfDevices != NULL)
    {
        *NumberOfDevices = ResponseGetData16(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneDeviceCount_only_inactive_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_DEVICE_COUNT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_DEVICE_COUNT_ONLY_INACTIVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int ZoneDeviceCount_only_inactive(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint16_t *NumberOfDevices)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_DEVICE_COUNT);
    SetModifier(pFrame, ZONE_DEVICE_COUNT_ONLY_INACTIVE);
    RequestSetData16(pFrame, 0, ZoneId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneDeviceCount_only_inactive_parse_response(&pFrameAnswer, NumberOfDevices);
    }
    else
    {
        return result;
    }
}

static int ZoneDeviceCount_all_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *NumberOfDevices)
{
    if (GetCommand(*pFrameAnswer) != ZONE_DEVICE_COUNT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_DEVICE_COUNT_ALL) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (NumberOfDevices != NULL)
    {
        *NumberOfDevices = ResponseGetData16(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneDeviceCount_all_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_DEVICE_COUNT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_DEVICE_COUNT_ALL) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int ZoneDeviceCount_all(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint16_t *NumberOfDevices)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_DEVICE_COUNT);
    SetModifier(pFrame, ZONE_DEVICE_COUNT_ALL);
    RequestSetData16(pFrame, 0, ZoneId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneDeviceCount_all_parse_response(&pFrameAnswer, NumberOfDevices);
    }
    else
    {
        return result;
    }
}

static int ZoneProperties_set_name_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_SET_NAME) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneProperties_set_name_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *Name)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_SET_NAME) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Name != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 2, Name, 21);
    }
    return 0;
}

int ZoneProperties_set_name(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, const uint8_t *Name)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_PROPERTIES);
    SetModifier(pFrame, ZONE_PROPERTIES_SET_NAME);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetArray8(pFrame, 2, Name, 21);
    SetParameterLength(pFrame, 23);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneProperties_set_name_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneProperties_get_scene_history_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *HistorySize, uint8_t *GroupId_0, uint8_t *Scene_0, uint8_t *GroupId_1, uint8_t *Scene_1, uint8_t *GroupId_2, uint8_t *Scene_2, uint8_t *GroupId_3, uint8_t *Scene_3, uint8_t *GroupId_4, uint8_t *Scene_4, uint8_t *GroupId_5, uint8_t *Scene_5, uint8_t *GroupId_6, uint8_t *Scene_6)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_GET_SCENE_HISTORY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (HistorySize != NULL)
    {
        *HistorySize = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (GroupId_0 != NULL)
    {
        *GroupId_0 = ResponseGetData8(*pFrameAnswer, 1);
    }
    if (Scene_0 != NULL)
    {
        *Scene_0 = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (GroupId_1 != NULL)
    {
        *GroupId_1 = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (Scene_1 != NULL)
    {
        *Scene_1 = ResponseGetData8(*pFrameAnswer, 4);
    }
    if (GroupId_2 != NULL)
    {
        *GroupId_2 = ResponseGetData8(*pFrameAnswer, 5);
    }
    if (Scene_2 != NULL)
    {
        *Scene_2 = ResponseGetData8(*pFrameAnswer, 6);
    }
    if (GroupId_3 != NULL)
    {
        *GroupId_3 = ResponseGetData8(*pFrameAnswer, 7);
    }
    if (Scene_3 != NULL)
    {
        *Scene_3 = ResponseGetData8(*pFrameAnswer, 8);
    }
    if (GroupId_4 != NULL)
    {
        *GroupId_4 = ResponseGetData8(*pFrameAnswer, 9);
    }
    if (Scene_4 != NULL)
    {
        *Scene_4 = ResponseGetData8(*pFrameAnswer, 10);
    }
    if (GroupId_5 != NULL)
    {
        *GroupId_5 = ResponseGetData8(*pFrameAnswer, 11);
    }
    if (Scene_5 != NULL)
    {
        *Scene_5 = ResponseGetData8(*pFrameAnswer, 12);
    }
    if (GroupId_6 != NULL)
    {
        *GroupId_6 = ResponseGetData8(*pFrameAnswer, 13);
    }
    if (Scene_6 != NULL)
    {
        *Scene_6 = ResponseGetData8(*pFrameAnswer, 14);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneProperties_get_scene_history_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_GET_SCENE_HISTORY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int ZoneProperties_get_scene_history(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t *HistorySize, uint8_t *GroupId_0, uint8_t *Scene_0, uint8_t *GroupId_1, uint8_t *Scene_1, uint8_t *GroupId_2, uint8_t *Scene_2, uint8_t *GroupId_3, uint8_t *Scene_3, uint8_t *GroupId_4, uint8_t *Scene_4, uint8_t *GroupId_5, uint8_t *Scene_5, uint8_t *GroupId_6, uint8_t *Scene_6)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_PROPERTIES);
    SetModifier(pFrame, ZONE_PROPERTIES_GET_SCENE_HISTORY);
    RequestSetData16(pFrame, 0, ZoneId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneProperties_get_scene_history_parse_response(&pFrameAnswer, HistorySize, GroupId_0, Scene_0, GroupId_1, Scene_1, GroupId_2, Scene_2, GroupId_3, Scene_3, GroupId_4, Scene_4, GroupId_5, Scene_5, GroupId_6, Scene_6);
    }
    else
    {
        return result;
    }
}

static int ZoneProperties_get_room_states_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *Room, uint16_t *Area1, uint16_t *Area2, uint16_t *Area3, uint16_t *Area4)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_GET_ROOM_STATES) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Room != NULL)
    {
        *Room = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (Area1 != NULL)
    {
        *Area1 = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (Area2 != NULL)
    {
        *Area2 = ResponseGetData16(*pFrameAnswer, 4);
    }
    if (Area3 != NULL)
    {
        *Area3 = ResponseGetData16(*pFrameAnswer, 6);
    }
    if (Area4 != NULL)
    {
        *Area4 = ResponseGetData16(*pFrameAnswer, 8);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneProperties_get_room_states_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_GET_ROOM_STATES) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int ZoneProperties_get_room_states(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint16_t *Room, uint16_t *Area1, uint16_t *Area2, uint16_t *Area3, uint16_t *Area4)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_PROPERTIES);
    SetModifier(pFrame, ZONE_PROPERTIES_GET_ROOM_STATES);
    RequestSetData16(pFrame, 0, ZoneId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneProperties_get_room_states_parse_response(&pFrameAnswer, Room, Area1, Area2, Area3, Area4);
    }
    else
    {
        return result;
    }
}

static int ZoneProperties_set_zone_sensor_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_SET_ZONE_SENSOR) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneProperties_set_zone_sensor_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *SensorType, dsuid_t *dSUID)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_SET_ZONE_SENSOR) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SensorType != NULL)
    {
        *SensorType = RequestGetData8(*pFrameAnswer, 2);
    }
    if (dSUID != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 3, dSUID->id, 17);
    }
    return 0;
}

int ZoneProperties_set_zone_sensor(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t SensorType, dsuid_t dSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_PROPERTIES);
    SetModifier(pFrame, ZONE_PROPERTIES_SET_ZONE_SENSOR);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, SensorType);
    RequestSetArray8(pFrame, 3, dSUID.id, 17);
    SetParameterLength(pFrame, 20);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneProperties_set_zone_sensor_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneProperties_get_zone_sensor_parse_response(const ds485_container_t *pFrameAnswer, dsuid_t *dSUID)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_GET_ZONE_SENSOR) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (dSUID != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 0, dSUID->id, 17);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneProperties_get_zone_sensor_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *SensorType)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_GET_ZONE_SENSOR) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SensorType != NULL)
    {
        *SensorType = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int ZoneProperties_get_zone_sensor(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t SensorType, dsuid_t *dSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_PROPERTIES);
    SetModifier(pFrame, ZONE_PROPERTIES_GET_ZONE_SENSOR);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, SensorType);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneProperties_get_zone_sensor_parse_response(&pFrameAnswer, dSUID);
    }
    else
    {
        return result;
    }
}

static int ZoneProperties_reset_zone_sensor_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_RESET_ZONE_SENSOR) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneProperties_reset_zone_sensor_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *SensorType)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_RESET_ZONE_SENSOR) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SensorType != NULL)
    {
        *SensorType = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int ZoneProperties_reset_zone_sensor(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t SensorType)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_PROPERTIES);
    SetModifier(pFrame, ZONE_PROPERTIES_RESET_ZONE_SENSOR);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, SensorType);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneProperties_reset_zone_sensor_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneProperties_get_zone_sensor_value_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *SensorValue, uint32_t *SensorAge)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_GET_ZONE_SENSOR_VALUE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (SensorValue != NULL)
    {
        *SensorValue = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (SensorAge != NULL)
    {
        *SensorAge = ResponseGetData32(*pFrameAnswer, 2);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneProperties_get_zone_sensor_value_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *SensorType)
{
    if (GetCommand(*pFrameAnswer) != ZONE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_PROPERTIES_GET_ZONE_SENSOR_VALUE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SensorType != NULL)
    {
        *SensorType = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int ZoneProperties_get_zone_sensor_value(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t SensorType, uint16_t *SensorValue, uint32_t *SensorAge)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_PROPERTIES);
    SetModifier(pFrame, ZONE_PROPERTIES_GET_ZONE_SENSOR_VALUE);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, SensorType);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneProperties_get_zone_sensor_value_parse_response(&pFrameAnswer, SensorValue, SensorAge);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupModify_add_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupModify_add_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *StateMachineGroupId);
static int ZoneGroupModify_remove_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupModify_remove_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId);
static int ZoneGroupInfo_by_index_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *GroupId, uint8_t *StateMachineGroupId, uint16_t *NumberOfDevices, uint8_t *Name, uint8_t *StopTimeout, uint8_t *RemoteStopTimeout);
static int ZoneGroupInfo_by_index_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *Index);
static int ZoneGroupInfo_by_id_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *GroupId, uint8_t *StateMachineGroupId, uint16_t *NumberOfDevices, uint8_t *Name, uint8_t *StopTimeout, uint8_t *RemoteStopTimeout);
static int ZoneGroupInfo_by_id_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupIdReq);
static int ZoneGroupProperties_set_name_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupProperties_set_name_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *Name);
static int ZoneGroupProperties_set_stop_timeout_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupProperties_set_stop_timeout_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *StopTimeout);
static int ZoneGroupProperties_set_state_machine_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupProperties_set_state_machine_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *StateMachine);

static int ZoneGroupModify_add_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_MODIFY_ADD) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupModify_add_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *StateMachineGroupId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_MODIFY_ADD) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (StateMachineGroupId != NULL)
    {
        *StateMachineGroupId = RequestGetData8(*pFrameAnswer, 3);
    }
    return 0;
}

int ZoneGroupModify_add(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint8_t StateMachineGroupId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_MODIFY);
    SetModifier(pFrame, ZONE_GROUP_MODIFY_ADD);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData8(pFrame, 3, StateMachineGroupId);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupModify_add_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupModify_remove_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_MODIFY_REMOVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupModify_remove_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_MODIFY_REMOVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int ZoneGroupModify_remove(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_MODIFY);
    SetModifier(pFrame, ZONE_GROUP_MODIFY_REMOVE);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupModify_remove_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupInfo_by_index_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *GroupId, uint8_t *StateMachineGroupId, uint16_t *NumberOfDevices, uint8_t *Name, uint8_t *StopTimeout, uint8_t *RemoteStopTimeout)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_INFO_BY_INDEX) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (GroupId != NULL)
    {
        *GroupId = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (StateMachineGroupId != NULL)
    {
        *StateMachineGroupId = ResponseGetData8(*pFrameAnswer, 1);
    }
    if (NumberOfDevices != NULL)
    {
        *NumberOfDevices = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (Name != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 4, Name, 21);
    }
    if (StopTimeout != NULL)
    {
        *StopTimeout = ResponseGetData8(*pFrameAnswer, 25);
    }
    if (RemoteStopTimeout != NULL)
    {
        *RemoteStopTimeout = ResponseGetData8(*pFrameAnswer, 26);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupInfo_by_index_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *Index)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_INFO_BY_INDEX) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Index != NULL)
    {
        *Index = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int ZoneGroupInfo_by_index(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t Index, uint8_t *GroupId, uint8_t *StateMachineGroupId, uint16_t *NumberOfDevices, uint8_t *Name, uint8_t *StopTimeout, uint8_t *RemoteStopTimeout)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_INFO);
    SetModifier(pFrame, ZONE_GROUP_INFO_BY_INDEX);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, Index);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupInfo_by_index_parse_response(&pFrameAnswer, GroupId, StateMachineGroupId, NumberOfDevices, Name, StopTimeout, RemoteStopTimeout);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupInfo_by_id_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *GroupId, uint8_t *StateMachineGroupId, uint16_t *NumberOfDevices, uint8_t *Name, uint8_t *StopTimeout, uint8_t *RemoteStopTimeout)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_INFO_BY_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (GroupId != NULL)
    {
        *GroupId = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (StateMachineGroupId != NULL)
    {
        *StateMachineGroupId = ResponseGetData8(*pFrameAnswer, 1);
    }
    if (NumberOfDevices != NULL)
    {
        *NumberOfDevices = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (Name != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 4, Name, 21);
    }
    if (StopTimeout != NULL)
    {
        *StopTimeout = ResponseGetData8(*pFrameAnswer, 25);
    }
    if (RemoteStopTimeout != NULL)
    {
        *RemoteStopTimeout = ResponseGetData8(*pFrameAnswer, 26);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupInfo_by_id_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupIdReq)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_INFO_BY_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupIdReq != NULL)
    {
        *GroupIdReq = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int ZoneGroupInfo_by_id(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupIdReq, uint8_t *GroupId, uint8_t *StateMachineGroupId, uint16_t *NumberOfDevices, uint8_t *Name, uint8_t *StopTimeout, uint8_t *RemoteStopTimeout)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_INFO);
    SetModifier(pFrame, ZONE_GROUP_INFO_BY_ID);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupIdReq);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupInfo_by_id_parse_response(&pFrameAnswer, GroupId, StateMachineGroupId, NumberOfDevices, Name, StopTimeout, RemoteStopTimeout);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupProperties_set_name_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_PROPERTIES_SET_NAME) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupProperties_set_name_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *Name)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_PROPERTIES_SET_NAME) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (Name != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 3, Name, 21);
    }
    return 0;
}

int ZoneGroupProperties_set_name(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, const uint8_t *Name)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_PROPERTIES);
    SetModifier(pFrame, ZONE_GROUP_PROPERTIES_SET_NAME);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetArray8(pFrame, 3, Name, 21);
    SetParameterLength(pFrame, 24);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupProperties_set_name_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupProperties_set_stop_timeout_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_PROPERTIES_SET_STOP_TIMEOUT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupProperties_set_stop_timeout_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *StopTimeout)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_PROPERTIES_SET_STOP_TIMEOUT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (StopTimeout != NULL)
    {
        *StopTimeout = RequestGetData8(*pFrameAnswer, 3);
    }
    return 0;
}

int ZoneGroupProperties_set_stop_timeout(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint8_t StopTimeout)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_PROPERTIES);
    SetModifier(pFrame, ZONE_GROUP_PROPERTIES_SET_STOP_TIMEOUT);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData8(pFrame, 3, StopTimeout);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupProperties_set_stop_timeout_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupProperties_set_state_machine_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_PROPERTIES_SET_STATE_MACHINE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupProperties_set_state_machine_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *StateMachine)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_PROPERTIES_SET_STATE_MACHINE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (StateMachine != NULL)
    {
        *StateMachine = RequestGetData8(*pFrameAnswer, 3);
    }
    return 0;
}

int ZoneGroupProperties_set_state_machine(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint8_t StateMachine)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_PROPERTIES);
    SetModifier(pFrame, ZONE_GROUP_PROPERTIES_SET_STATE_MACHINE);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData8(pFrame, 3, StateMachine);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupProperties_set_state_machine_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ControllerHeating_set_config_parse_response(const ds485_container_t *pFrameAnswer);
static int ControllerHeating_set_config_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *ControllerMode, uint16_t *Kp, uint8_t *Ts, uint16_t *Ti, uint16_t *Kd, uint16_t *Imin, uint16_t *Imax, uint8_t *Ymin, uint8_t *Ymax, uint8_t *AntiWindUp, uint8_t *KeepFloorWarm, uint16_t *SourceZoneId, uint16_t *Offset, uint8_t *ManualValue, uint8_t *EmergencyValue);
static int ControllerHeating_get_config_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *ControllerMode, uint16_t *Kp, uint8_t *Ts, uint16_t *Ti, uint16_t *Kd, uint16_t *Imin, uint16_t *Imax, uint8_t *Ymin, uint8_t *Ymax, uint8_t *AntiWindUp, uint8_t *KeepFloorWarm, uint16_t *SourceZoneId, uint16_t *Offset, uint8_t *ManualValue, uint8_t *EmergencyValue);
static int ControllerHeating_get_config_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId);
static int ControllerHeating_get_internals_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *t, uint16_t *tref, uint16_t *E, uint16_t *Eprev, uint32_t *Integral, uint32_t *Yp, uint32_t *Yi, uint32_t *Yd, uint8_t *Y, uint8_t *AntiWindUp);
static int ControllerHeating_get_internals_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId);
static int ControllerHeating_set_operation_modes_parse_response(const ds485_container_t *pFrameAnswer);
static int ControllerHeating_set_operation_modes_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint16_t *OperationMode0, uint16_t *OperationMode1, uint16_t *OperationMode2, uint16_t *OperationMode3, uint16_t *OperationMode4, uint16_t *OperationMode5, uint16_t *OperationMode6, uint16_t *OperationMode7, uint16_t *OperationMode8, uint16_t *OperationMode9, uint16_t *OperationMode10, uint16_t *OperationMode11, uint16_t *OperationMode12, uint16_t *OperationMode13, uint16_t *OperationMode14, uint16_t *OperationMode15);
static int ControllerHeating_get_operation_modes_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *OperationMode0, uint16_t *OperationMode1, uint16_t *OperationMode2, uint16_t *OperationMode3, uint16_t *OperationMode4, uint16_t *OperationMode5, uint16_t *OperationMode6, uint16_t *OperationMode7, uint16_t *OperationMode8, uint16_t *OperationMode9, uint16_t *OperationMode10, uint16_t *OperationMode11, uint16_t *OperationMode12, uint16_t *OperationMode13, uint16_t *OperationMode14, uint16_t *OperationMode15);
static int ControllerHeating_get_operation_modes_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId);
static int ControllerHeating_set_state_parse_response(const ds485_container_t *pFrameAnswer);
static int ControllerHeating_set_state_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *State);
static int ControllerHeating_get_state_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *State);
static int ControllerHeating_get_state_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId);
static int EventHeatingControllerState_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *State);

static int ControllerHeating_set_config_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_SET_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ControllerHeating_set_config_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *ControllerMode, uint16_t *Kp, uint8_t *Ts, uint16_t *Ti, uint16_t *Kd, uint16_t *Imin, uint16_t *Imax, uint8_t *Ymin, uint8_t *Ymax, uint8_t *AntiWindUp, uint8_t *KeepFloorWarm, uint16_t *SourceZoneId, uint16_t *Offset, uint8_t *ManualValue, uint8_t *EmergencyValue)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_SET_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ControllerMode != NULL)
    {
        *ControllerMode = RequestGetData8(*pFrameAnswer, 2);
    }
    if (Kp != NULL)
    {
        *Kp = RequestGetData16(*pFrameAnswer, 3);
    }
    if (Ts != NULL)
    {
        *Ts = RequestGetData8(*pFrameAnswer, 5);
    }
    if (Ti != NULL)
    {
        *Ti = RequestGetData16(*pFrameAnswer, 6);
    }
    if (Kd != NULL)
    {
        *Kd = RequestGetData16(*pFrameAnswer, 8);
    }
    if (Imin != NULL)
    {
        *Imin = RequestGetData16(*pFrameAnswer, 10);
    }
    if (Imax != NULL)
    {
        *Imax = RequestGetData16(*pFrameAnswer, 12);
    }
    if (Ymin != NULL)
    {
        *Ymin = RequestGetData8(*pFrameAnswer, 14);
    }
    if (Ymax != NULL)
    {
        *Ymax = RequestGetData8(*pFrameAnswer, 15);
    }
    if (AntiWindUp != NULL)
    {
        *AntiWindUp = RequestGetData8(*pFrameAnswer, 16);
    }
    if (KeepFloorWarm != NULL)
    {
        *KeepFloorWarm = RequestGetData8(*pFrameAnswer, 17);
    }
    if (SourceZoneId != NULL)
    {
        *SourceZoneId = RequestGetData16(*pFrameAnswer, 18);
    }
    if (Offset != NULL)
    {
        *Offset = RequestGetData16(*pFrameAnswer, 20);
    }
    if (ManualValue != NULL)
    {
        *ManualValue = RequestGetData8(*pFrameAnswer, 22);
    }
    if (EmergencyValue != NULL)
    {
        *EmergencyValue = RequestGetData8(*pFrameAnswer, 23);
    }
    return 0;
}

int ControllerHeating_set_config(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t ControllerMode, uint16_t Kp, uint8_t Ts, uint16_t Ti, uint16_t Kd, uint16_t Imin, uint16_t Imax, uint8_t Ymin, uint8_t Ymax, uint8_t AntiWindUp, uint8_t KeepFloorWarm, uint16_t SourceZoneId, uint16_t Offset, uint8_t ManualValue, uint8_t EmergencyValue)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CONTROLLER_HEATING);
    SetModifier(pFrame, CONTROLLER_HEATING_SET_CONFIG);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, ControllerMode);
    RequestSetData16(pFrame, 3, Kp);
    RequestSetData8(pFrame, 5, Ts);
    RequestSetData16(pFrame, 6, Ti);
    RequestSetData16(pFrame, 8, Kd);
    RequestSetData16(pFrame, 10, Imin);
    RequestSetData16(pFrame, 12, Imax);
    RequestSetData8(pFrame, 14, Ymin);
    RequestSetData8(pFrame, 15, Ymax);
    RequestSetData8(pFrame, 16, AntiWindUp);
    RequestSetData8(pFrame, 17, KeepFloorWarm);
    RequestSetData16(pFrame, 18, SourceZoneId);
    RequestSetData16(pFrame, 20, Offset);
    RequestSetData8(pFrame, 22, ManualValue);
    RequestSetData8(pFrame, 23, EmergencyValue);
    SetParameterLength(pFrame, 24);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return ControllerHeating_set_config_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ControllerHeating_get_config_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *ControllerMode, uint16_t *Kp, uint8_t *Ts, uint16_t *Ti, uint16_t *Kd, uint16_t *Imin, uint16_t *Imax, uint8_t *Ymin, uint8_t *Ymax, uint8_t *AntiWindUp, uint8_t *KeepFloorWarm, uint16_t *SourceZoneId, uint16_t *Offset, uint8_t *ManualValue, uint8_t *EmergencyValue)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_GET_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ControllerMode != NULL)
    {
        *ControllerMode = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (Kp != NULL)
    {
        *Kp = ResponseGetData16(*pFrameAnswer, 1);
    }
    if (Ts != NULL)
    {
        *Ts = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (Ti != NULL)
    {
        *Ti = ResponseGetData16(*pFrameAnswer, 4);
    }
    if (Kd != NULL)
    {
        *Kd = ResponseGetData16(*pFrameAnswer, 6);
    }
    if (Imin != NULL)
    {
        *Imin = ResponseGetData16(*pFrameAnswer, 8);
    }
    if (Imax != NULL)
    {
        *Imax = ResponseGetData16(*pFrameAnswer, 10);
    }
    if (Ymin != NULL)
    {
        *Ymin = ResponseGetData8(*pFrameAnswer, 12);
    }
    if (Ymax != NULL)
    {
        *Ymax = ResponseGetData8(*pFrameAnswer, 13);
    }
    if (AntiWindUp != NULL)
    {
        *AntiWindUp = ResponseGetData8(*pFrameAnswer, 14);
    }
    if (KeepFloorWarm != NULL)
    {
        *KeepFloorWarm = ResponseGetData8(*pFrameAnswer, 15);
    }
    if (SourceZoneId != NULL)
    {
        *SourceZoneId = ResponseGetData16(*pFrameAnswer, 16);
    }
    if (Offset != NULL)
    {
        *Offset = ResponseGetData16(*pFrameAnswer, 18);
    }
    if (ManualValue != NULL)
    {
        *ManualValue = ResponseGetData8(*pFrameAnswer, 20);
    }
    if (EmergencyValue != NULL)
    {
        *EmergencyValue = ResponseGetData8(*pFrameAnswer, 21);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ControllerHeating_get_config_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_GET_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int ControllerHeating_get_config(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t *ControllerMode, uint16_t *Kp, uint8_t *Ts, uint16_t *Ti, uint16_t *Kd, uint16_t *Imin, uint16_t *Imax, uint8_t *Ymin, uint8_t *Ymax, uint8_t *AntiWindUp, uint8_t *KeepFloorWarm, uint16_t *SourceZoneId, uint16_t *Offset, uint8_t *ManualValue, uint8_t *EmergencyValue)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CONTROLLER_HEATING);
    SetModifier(pFrame, CONTROLLER_HEATING_GET_CONFIG);
    RequestSetData16(pFrame, 0, ZoneId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return ControllerHeating_get_config_parse_response(&pFrameAnswer, ControllerMode, Kp, Ts, Ti, Kd, Imin, Imax, Ymin, Ymax, AntiWindUp, KeepFloorWarm, SourceZoneId, Offset, ManualValue, EmergencyValue);
    }
    else
    {
        return result;
    }
}

static int ControllerHeating_get_internals_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *t, uint16_t *tref, uint16_t *E, uint16_t *Eprev, uint32_t *Integral, uint32_t *Yp, uint32_t *Yi, uint32_t *Yd, uint8_t *Y, uint8_t *AntiWindUp)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_GET_INTERNALS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (t != NULL)
    {
        *t = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (tref != NULL)
    {
        *tref = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (E != NULL)
    {
        *E = ResponseGetData16(*pFrameAnswer, 4);
    }
    if (Eprev != NULL)
    {
        *Eprev = ResponseGetData16(*pFrameAnswer, 6);
    }
    if (Integral != NULL)
    {
        *Integral = ResponseGetData32(*pFrameAnswer, 8);
    }
    if (Yp != NULL)
    {
        *Yp = ResponseGetData32(*pFrameAnswer, 12);
    }
    if (Yi != NULL)
    {
        *Yi = ResponseGetData32(*pFrameAnswer, 16);
    }
    if (Yd != NULL)
    {
        *Yd = ResponseGetData32(*pFrameAnswer, 20);
    }
    if (Y != NULL)
    {
        *Y = ResponseGetData8(*pFrameAnswer, 24);
    }
    if (AntiWindUp != NULL)
    {
        *AntiWindUp = ResponseGetData8(*pFrameAnswer, 25);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ControllerHeating_get_internals_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_GET_INTERNALS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int ControllerHeating_get_internals(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint16_t *t, uint16_t *tref, uint16_t *E, uint16_t *Eprev, uint32_t *Integral, uint32_t *Yp, uint32_t *Yi, uint32_t *Yd, uint8_t *Y, uint8_t *AntiWindUp)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CONTROLLER_HEATING);
    SetModifier(pFrame, CONTROLLER_HEATING_GET_INTERNALS);
    RequestSetData16(pFrame, 0, ZoneId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return ControllerHeating_get_internals_parse_response(&pFrameAnswer, t, tref, E, Eprev, Integral, Yp, Yi, Yd, Y, AntiWindUp);
    }
    else
    {
        return result;
    }
}

static int ControllerHeating_set_operation_modes_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_SET_OPERATION_MODES) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ControllerHeating_set_operation_modes_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint16_t *OperationMode0, uint16_t *OperationMode1, uint16_t *OperationMode2, uint16_t *OperationMode3, uint16_t *OperationMode4, uint16_t *OperationMode5, uint16_t *OperationMode6, uint16_t *OperationMode7, uint16_t *OperationMode8, uint16_t *OperationMode9, uint16_t *OperationMode10, uint16_t *OperationMode11, uint16_t *OperationMode12, uint16_t *OperationMode13, uint16_t *OperationMode14, uint16_t *OperationMode15)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_SET_OPERATION_MODES) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (OperationMode0 != NULL)
    {
        *OperationMode0 = RequestGetData16(*pFrameAnswer, 2);
    }
    if (OperationMode1 != NULL)
    {
        *OperationMode1 = RequestGetData16(*pFrameAnswer, 4);
    }
    if (OperationMode2 != NULL)
    {
        *OperationMode2 = RequestGetData16(*pFrameAnswer, 6);
    }
    if (OperationMode3 != NULL)
    {
        *OperationMode3 = RequestGetData16(*pFrameAnswer, 8);
    }
    if (OperationMode4 != NULL)
    {
        *OperationMode4 = RequestGetData16(*pFrameAnswer, 10);
    }
    if (OperationMode5 != NULL)
    {
        *OperationMode5 = RequestGetData16(*pFrameAnswer, 12);
    }
    if (OperationMode6 != NULL)
    {
        *OperationMode6 = RequestGetData16(*pFrameAnswer, 14);
    }
    if (OperationMode7 != NULL)
    {
        *OperationMode7 = RequestGetData16(*pFrameAnswer, 16);
    }
    if (OperationMode8 != NULL)
    {
        *OperationMode8 = RequestGetData16(*pFrameAnswer, 18);
    }
    if (OperationMode9 != NULL)
    {
        *OperationMode9 = RequestGetData16(*pFrameAnswer, 20);
    }
    if (OperationMode10 != NULL)
    {
        *OperationMode10 = RequestGetData16(*pFrameAnswer, 22);
    }
    if (OperationMode11 != NULL)
    {
        *OperationMode11 = RequestGetData16(*pFrameAnswer, 24);
    }
    if (OperationMode12 != NULL)
    {
        *OperationMode12 = RequestGetData16(*pFrameAnswer, 26);
    }
    if (OperationMode13 != NULL)
    {
        *OperationMode13 = RequestGetData16(*pFrameAnswer, 28);
    }
    if (OperationMode14 != NULL)
    {
        *OperationMode14 = RequestGetData16(*pFrameAnswer, 30);
    }
    if (OperationMode15 != NULL)
    {
        *OperationMode15 = RequestGetData16(*pFrameAnswer, 32);
    }
    return 0;
}

int ControllerHeating_set_operation_modes(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint16_t OperationMode0, uint16_t OperationMode1, uint16_t OperationMode2, uint16_t OperationMode3, uint16_t OperationMode4, uint16_t OperationMode5, uint16_t OperationMode6, uint16_t OperationMode7, uint16_t OperationMode8, uint16_t OperationMode9, uint16_t OperationMode10, uint16_t OperationMode11, uint16_t OperationMode12, uint16_t OperationMode13, uint16_t OperationMode14, uint16_t OperationMode15)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CONTROLLER_HEATING);
    SetModifier(pFrame, CONTROLLER_HEATING_SET_OPERATION_MODES);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData16(pFrame, 2, OperationMode0);
    RequestSetData16(pFrame, 4, OperationMode1);
    RequestSetData16(pFrame, 6, OperationMode2);
    RequestSetData16(pFrame, 8, OperationMode3);
    RequestSetData16(pFrame, 10, OperationMode4);
    RequestSetData16(pFrame, 12, OperationMode5);
    RequestSetData16(pFrame, 14, OperationMode6);
    RequestSetData16(pFrame, 16, OperationMode7);
    RequestSetData16(pFrame, 18, OperationMode8);
    RequestSetData16(pFrame, 20, OperationMode9);
    RequestSetData16(pFrame, 22, OperationMode10);
    RequestSetData16(pFrame, 24, OperationMode11);
    RequestSetData16(pFrame, 26, OperationMode12);
    RequestSetData16(pFrame, 28, OperationMode13);
    RequestSetData16(pFrame, 30, OperationMode14);
    RequestSetData16(pFrame, 32, OperationMode15);
    SetParameterLength(pFrame, 34);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return ControllerHeating_set_operation_modes_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ControllerHeating_get_operation_modes_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *OperationMode0, uint16_t *OperationMode1, uint16_t *OperationMode2, uint16_t *OperationMode3, uint16_t *OperationMode4, uint16_t *OperationMode5, uint16_t *OperationMode6, uint16_t *OperationMode7, uint16_t *OperationMode8, uint16_t *OperationMode9, uint16_t *OperationMode10, uint16_t *OperationMode11, uint16_t *OperationMode12, uint16_t *OperationMode13, uint16_t *OperationMode14, uint16_t *OperationMode15)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_GET_OPERATION_MODES) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (OperationMode0 != NULL)
    {
        *OperationMode0 = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (OperationMode1 != NULL)
    {
        *OperationMode1 = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (OperationMode2 != NULL)
    {
        *OperationMode2 = ResponseGetData16(*pFrameAnswer, 4);
    }
    if (OperationMode3 != NULL)
    {
        *OperationMode3 = ResponseGetData16(*pFrameAnswer, 6);
    }
    if (OperationMode4 != NULL)
    {
        *OperationMode4 = ResponseGetData16(*pFrameAnswer, 8);
    }
    if (OperationMode5 != NULL)
    {
        *OperationMode5 = ResponseGetData16(*pFrameAnswer, 10);
    }
    if (OperationMode6 != NULL)
    {
        *OperationMode6 = ResponseGetData16(*pFrameAnswer, 12);
    }
    if (OperationMode7 != NULL)
    {
        *OperationMode7 = ResponseGetData16(*pFrameAnswer, 14);
    }
    if (OperationMode8 != NULL)
    {
        *OperationMode8 = ResponseGetData16(*pFrameAnswer, 16);
    }
    if (OperationMode9 != NULL)
    {
        *OperationMode9 = ResponseGetData16(*pFrameAnswer, 18);
    }
    if (OperationMode10 != NULL)
    {
        *OperationMode10 = ResponseGetData16(*pFrameAnswer, 20);
    }
    if (OperationMode11 != NULL)
    {
        *OperationMode11 = ResponseGetData16(*pFrameAnswer, 22);
    }
    if (OperationMode12 != NULL)
    {
        *OperationMode12 = ResponseGetData16(*pFrameAnswer, 24);
    }
    if (OperationMode13 != NULL)
    {
        *OperationMode13 = ResponseGetData16(*pFrameAnswer, 26);
    }
    if (OperationMode14 != NULL)
    {
        *OperationMode14 = ResponseGetData16(*pFrameAnswer, 28);
    }
    if (OperationMode15 != NULL)
    {
        *OperationMode15 = ResponseGetData16(*pFrameAnswer, 30);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ControllerHeating_get_operation_modes_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_GET_OPERATION_MODES) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int ControllerHeating_get_operation_modes(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint16_t *OperationMode0, uint16_t *OperationMode1, uint16_t *OperationMode2, uint16_t *OperationMode3, uint16_t *OperationMode4, uint16_t *OperationMode5, uint16_t *OperationMode6, uint16_t *OperationMode7, uint16_t *OperationMode8, uint16_t *OperationMode9, uint16_t *OperationMode10, uint16_t *OperationMode11, uint16_t *OperationMode12, uint16_t *OperationMode13, uint16_t *OperationMode14, uint16_t *OperationMode15)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CONTROLLER_HEATING);
    SetModifier(pFrame, CONTROLLER_HEATING_GET_OPERATION_MODES);
    RequestSetData16(pFrame, 0, ZoneId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return ControllerHeating_get_operation_modes_parse_response(&pFrameAnswer, OperationMode0, OperationMode1, OperationMode2, OperationMode3, OperationMode4, OperationMode5, OperationMode6, OperationMode7, OperationMode8, OperationMode9, OperationMode10, OperationMode11, OperationMode12, OperationMode13, OperationMode14, OperationMode15);
    }
    else
    {
        return result;
    }
}

static int ControllerHeating_set_state_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_SET_STATE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ControllerHeating_set_state_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *State)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_SET_STATE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (State != NULL)
    {
        *State = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int ControllerHeating_set_state(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t State)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CONTROLLER_HEATING);
    SetModifier(pFrame, CONTROLLER_HEATING_SET_STATE);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, State);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return ControllerHeating_set_state_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ControllerHeating_get_state_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *State)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_GET_STATE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (State != NULL)
    {
        *State = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ControllerHeating_get_state_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId)
{
    if (GetCommand(*pFrameAnswer) != CONTROLLER_HEATING) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CONTROLLER_HEATING_GET_STATE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int ControllerHeating_get_state(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t *State)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CONTROLLER_HEATING);
    SetModifier(pFrame, CONTROLLER_HEATING_GET_STATE);
    RequestSetData16(pFrame, 0, ZoneId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return ControllerHeating_get_state_parse_response(&pFrameAnswer, State);
    }
    else
    {
        return result;
    }
}

static int EventHeatingControllerState_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *State)
{
    if (GetCommand(*pFrameAnswer) != EVENT_HEATING_CONTROLLER_STATE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (State != NULL)
    {
        *State = ResponseGetData8(*pFrameAnswer, 2);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupSceneInfo_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Name);
static int ZoneGroupSceneInfo_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *SceneId);
static int ZoneGroupSceneProperties_set_name_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupSceneProperties_set_name_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *SceneId, uint8_t *Name);
static int ZoneGroupActionRequest_action_call_scene_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_call_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId);
static int ZoneGroupActionRequest_action_save_scene_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_save_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId);
static int ZoneGroupActionRequest_action_undo_scene_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_undo_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId);
static int ZoneGroupActionRequest_action_blink_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_blink_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId);
static int ZoneGroupActionRequest_action_undo_scene_number_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_undo_scene_number_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId);
static int ZoneGroupActionRequest_action_force_call_scene_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_force_call_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId);
static int ZoneGroupActionRequest_action_set_outval_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_set_outval_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *Value);
static int ZoneGroupActionRequest_action_set_scene_local_priority_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_set_scene_local_priority_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId);
static int ZoneGroupActionRequest_action_programming_mode_on_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_programming_mode_on_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId);
static int ZoneGroupActionRequest_action_programming_mode_off_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_programming_mode_off_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId);
static int ZoneGroupActionRequest_action_select_group_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_select_group_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId);
static int ZoneGroupActionRequest_action_register_scene_local_priority_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_register_scene_local_priority_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId);
static int ZoneGroupActionRequest_action_call_scene_min_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_call_scene_min_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId);
static int ZoneGroupActionRequest_action_local_stop_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_local_stop_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId);
static int ZoneGroupActionRequest_action_opc_inc_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_opc_inc_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *ChannelId);
static int ZoneGroupActionRequest_action_opc_dec_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_opc_dec_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *ChannelId);
static int ZoneGroupActionRequest_action_opc_stop_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_opc_stop_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *ChannelId);
static int ZoneGroupActionRequest_action_extra_command_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupActionRequest_action_extra_command_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *Command);
static int ZoneGroupSensorPush_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupSensorPush_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, dsuid_t *dSUID, uint8_t *SensorType, uint16_t *Value, uint8_t *Precision);

static int ZoneGroupSceneInfo_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Name)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_SCENE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Name != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 0, Name, 21);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupSceneInfo_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_SCENE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 3);
    }
    return 0;
}

int ZoneGroupSceneInfo(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint8_t SceneId, uint8_t *Name)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_SCENE_INFO);
    SetModifier(pFrame, 0);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData8(pFrame, 3, SceneId);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupSceneInfo_parse_response(&pFrameAnswer, Name);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupSceneProperties_set_name_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_SCENE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_SCENE_PROPERTIES_SET_NAME) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupSceneProperties_set_name_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *SceneId, uint8_t *Name)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_SCENE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_SCENE_PROPERTIES_SET_NAME) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 3);
    }
    if (Name != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 4, Name, 21);
    }
    return 0;
}

int ZoneGroupSceneProperties_set_name(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint8_t SceneId, const uint8_t *Name)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_SCENE_PROPERTIES);
    SetModifier(pFrame, ZONE_GROUP_SCENE_PROPERTIES_SET_NAME);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData8(pFrame, 3, SceneId);
    RequestSetArray8(pFrame, 4, Name, 21);
    SetParameterLength(pFrame, 25);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupSceneProperties_set_name_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_call_scene_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_CALL_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_call_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_CALL_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 5);
    }
    return 0;
}

int ZoneGroupActionRequest_action_call_scene(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_CALL_SCENE);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    RequestSetData8(pFrame, 5, SceneId);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_call_scene_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_save_scene_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_SAVE_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_save_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_SAVE_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 5);
    }
    return 0;
}

int ZoneGroupActionRequest_action_save_scene(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_SAVE_SCENE);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    RequestSetData8(pFrame, 5, SceneId);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_save_scene_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_undo_scene_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_UNDO_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_undo_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_UNDO_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    return 0;
}

int ZoneGroupActionRequest_action_undo_scene(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_UNDO_SCENE);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    SetParameterLength(pFrame, 5);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_undo_scene_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_blink_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_BLINK) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_blink_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_BLINK) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    return 0;
}

int ZoneGroupActionRequest_action_blink(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_BLINK);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    SetParameterLength(pFrame, 5);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_blink_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_undo_scene_number_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_UNDO_SCENE_NUMBER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_undo_scene_number_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_UNDO_SCENE_NUMBER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 5);
    }
    return 0;
}

int ZoneGroupActionRequest_action_undo_scene_number(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_UNDO_SCENE_NUMBER);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    RequestSetData8(pFrame, 5, SceneId);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_undo_scene_number_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_force_call_scene_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_FORCE_CALL_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_force_call_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_FORCE_CALL_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 5);
    }
    return 0;
}

int ZoneGroupActionRequest_action_force_call_scene(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_FORCE_CALL_SCENE);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    RequestSetData8(pFrame, 5, SceneId);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_force_call_scene_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_set_outval_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_SET_OUTVAL) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_set_outval_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *Value)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_SET_OUTVAL) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData8(*pFrameAnswer, 5);
    }
    return 0;
}

int ZoneGroupActionRequest_action_set_outval(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId, uint8_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_SET_OUTVAL);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    RequestSetData8(pFrame, 5, Value);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_set_outval_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_set_scene_local_priority_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_SET_SCENE_LOCAL_PRIORITY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_set_scene_local_priority_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_SET_SCENE_LOCAL_PRIORITY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 5);
    }
    return 0;
}

int ZoneGroupActionRequest_action_set_scene_local_priority(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_SET_SCENE_LOCAL_PRIORITY);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    RequestSetData8(pFrame, 5, SceneId);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_set_scene_local_priority_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_programming_mode_on_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_ON) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_programming_mode_on_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_ON) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    return 0;
}

int ZoneGroupActionRequest_action_programming_mode_on(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_ON);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    SetParameterLength(pFrame, 5);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_programming_mode_on_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_programming_mode_off_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_OFF) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_programming_mode_off_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_OFF) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    return 0;
}

int ZoneGroupActionRequest_action_programming_mode_off(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_OFF);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    SetParameterLength(pFrame, 5);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_programming_mode_off_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_select_group_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_SELECT_GROUP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_select_group_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_SELECT_GROUP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    return 0;
}

int ZoneGroupActionRequest_action_select_group(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_SELECT_GROUP);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    SetParameterLength(pFrame, 5);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_select_group_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_register_scene_local_priority_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_REGISTER_SCENE_LOCAL_PRIORITY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_register_scene_local_priority_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_REGISTER_SCENE_LOCAL_PRIORITY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 5);
    }
    return 0;
}

int ZoneGroupActionRequest_action_register_scene_local_priority(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_REGISTER_SCENE_LOCAL_PRIORITY);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    RequestSetData8(pFrame, 5, SceneId);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_register_scene_local_priority_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_call_scene_min_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_CALL_SCENE_MIN) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_call_scene_min_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_CALL_SCENE_MIN) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 5);
    }
    return 0;
}

int ZoneGroupActionRequest_action_call_scene_min(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_CALL_SCENE_MIN);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    RequestSetData8(pFrame, 5, SceneId);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_call_scene_min_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_local_stop_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_LOCAL_STOP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_local_stop_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_LOCAL_STOP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    return 0;
}

int ZoneGroupActionRequest_action_local_stop(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_LOCAL_STOP);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    SetParameterLength(pFrame, 5);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_local_stop_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_opc_inc_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_INC) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_opc_inc_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *ChannelId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_INC) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = RequestGetData8(*pFrameAnswer, 5);
    }
    return 0;
}

int ZoneGroupActionRequest_action_opc_inc(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId, uint8_t ChannelId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_INC);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    RequestSetData8(pFrame, 5, ChannelId);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_opc_inc_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_opc_dec_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_DEC) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_opc_dec_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *ChannelId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_DEC) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = RequestGetData8(*pFrameAnswer, 5);
    }
    return 0;
}

int ZoneGroupActionRequest_action_opc_dec(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId, uint8_t ChannelId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_DEC);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    RequestSetData8(pFrame, 5, ChannelId);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_opc_dec_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_opc_stop_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_STOP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_opc_stop_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *ChannelId)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_STOP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = RequestGetData8(*pFrameAnswer, 5);
    }
    return 0;
}

int ZoneGroupActionRequest_action_opc_stop(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId, uint8_t ChannelId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_STOP);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    RequestSetData8(pFrame, 5, ChannelId);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_opc_stop_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupActionRequest_action_extra_command_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_EXTRA_COMMAND) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupActionRequest_action_extra_command_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint16_t *OriginDeviceId, uint8_t *Command)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_ACTION_REQUEST_ACTION_EXTRA_COMMAND) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (OriginDeviceId != NULL)
    {
        *OriginDeviceId = RequestGetData16(*pFrameAnswer, 3);
    }
    if (Command != NULL)
    {
        *Command = RequestGetData8(*pFrameAnswer, 5);
    }
    return 0;
}

int ZoneGroupActionRequest_action_extra_command(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint16_t OriginDeviceId, uint8_t Command)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_ACTION_REQUEST);
    SetModifier(pFrame, ZONE_GROUP_ACTION_REQUEST_ACTION_EXTRA_COMMAND);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData16(pFrame, 3, OriginDeviceId);
    RequestSetData8(pFrame, 5, Command);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupActionRequest_action_extra_command_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupSensorPush_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_SENSOR_PUSH) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupSensorPush_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, dsuid_t *dSUID, uint8_t *SensorType, uint16_t *Value, uint8_t *Precision)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_SENSOR_PUSH) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (dSUID != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 3, dSUID->id, 17);
    }
    if (SensorType != NULL)
    {
        *SensorType = RequestGetData8(*pFrameAnswer, 20);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData16(*pFrameAnswer, 21);
    }
    if (Precision != NULL)
    {
        *Precision = RequestGetData8(*pFrameAnswer, 23);
    }
    return 0;
}

int ZoneGroupSensorPush(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, dsuid_t dSUID, uint8_t SensorType, uint16_t Value, uint8_t Precision)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_SENSOR_PUSH);
    SetModifier(pFrame, 0);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetArray8(pFrame, 3, dSUID.id, 17);
    RequestSetData8(pFrame, 20, SensorType);
    RequestSetData16(pFrame, 21, Value);
    RequestSetData8(pFrame, 23, Precision);
    SetParameterLength(pFrame, 24);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupSensorPush_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceInfo_by_index_only_active_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, uint16_t *ZoneId, uint8_t *State, uint8_t *Locked, uint8_t *OutputMode, uint8_t *LTMode, uint8_t *Groups, uint8_t *Name, dsuid_t *dSUID);
static int DeviceInfo_by_index_only_active_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneIdReq, uint16_t *DeviceIndex);
static int DeviceInfo_by_index_only_inactive_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, uint16_t *ZoneId, uint8_t *State, uint8_t *Locked, uint8_t *OutputMode, uint8_t *LTMode, uint8_t *Groups, uint8_t *Name, dsuid_t *dSUID);
static int DeviceInfo_by_index_only_inactive_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneIdReq, uint16_t *DeviceIndex);
static int DeviceInfo_by_index_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, uint16_t *ZoneId, uint8_t *State, uint8_t *Locked, uint8_t *OutputMode, uint8_t *LTMode, uint8_t *Groups, uint8_t *Name, dsuid_t *dSUID);
static int DeviceInfo_by_index_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneIdReq, uint16_t *DeviceIndex);
static int DeviceInfo_by_device_id_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, uint16_t *ZoneId, uint8_t *State, uint8_t *Locked, uint8_t *OutputMode, uint8_t *LTMode, uint8_t *Groups, uint8_t *Name, dsuid_t *dSUID);
static int DeviceInfo_by_device_id_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceIdReq);
static int DeviceState_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *ActiveFlag);
static int DeviceState_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int DeviceStatisticsRequest_get_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceStatisticsRequest_get_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ParamOffset);
static int DeviceProperties_set_zone_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceProperties_set_zone_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *ZoneId);
static int DeviceProperties_set_locked_flag_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceProperties_set_locked_flag_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *LockedFlag);
static int DeviceProperties_set_name_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceProperties_set_name_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Name);
static int DeviceProperties_set_button_active_group_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceProperties_set_button_active_group_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *GroupId);
static int DeviceProperties_reset_button_active_group_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceProperties_reset_button_active_group_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int DeviceProperties_set_button_set_local_priority_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceProperties_set_button_set_local_priority_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SetLocalPriority);
static int DeviceProperties_set_button_set_no_coming_home_call_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceProperties_set_button_set_no_coming_home_call_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *NoComingHomeCall);
static int DeviceProperties_set_button_set_apartment_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceProperties_set_button_set_apartment_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *WholeApartment);
static int DeviceProperties_set_button_set_output_channel_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceProperties_set_button_set_output_channel_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId);
static int DeviceProperties_set_button_set_global_group_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceProperties_set_button_set_global_group_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *GroupId);
static int DeviceButtonInfo_by_device_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *ButtonId, uint8_t *GroupMembership, uint8_t *Group, uint8_t *Flags, uint8_t *ChannelId, uint8_t *GlobalGroup);
static int DeviceButtonInfo_by_device_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int DeviceBinaryInput_get_count_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Count);
static int DeviceBinaryInput_get_count_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int DeviceBinaryInput_get_by_index_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *TargetGroupType, uint8_t *TargetGroup, uint8_t *BinaryInputType, uint8_t *ButtonId);
static int DeviceBinaryInput_get_by_index_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *InputIndex);
static int DeviceGroupMembershipModify_add_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceGroupMembershipModify_add_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *GroupId);
static int DeviceGroupMembershipModify_remove_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceGroupMembershipModify_remove_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *GroupId);
static int TestTransmissionQuality_get_parse_response(const ds485_container_t *pFrameAnswer);
static int TestTransmissionQuality_get_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int TestDevicePresence_parse_response(const ds485_container_t *pFrameAnswer);
static int TestDevicePresence_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int DeviceActionRequest_action_call_scene_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_call_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId);
static int DeviceActionRequest_action_save_scene_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_save_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId);
static int DeviceActionRequest_action_undo_scene_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_undo_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int DeviceActionRequest_action_blink_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_blink_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int DeviceActionRequest_action_undo_scene_number_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_undo_scene_number_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId);
static int DeviceActionRequest_action_force_call_scene_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_force_call_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId);
static int DeviceActionRequest_action_set_outval_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_set_outval_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Value);
static int DeviceActionRequest_action_programming_mode_on_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_programming_mode_on_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int DeviceActionRequest_action_programming_mode_off_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_programming_mode_off_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int DeviceActionRequest_action_opc_inc_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_opc_inc_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId);
static int DeviceActionRequest_action_opc_dec_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_opc_dec_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId);
static int DeviceActionRequest_action_opc_stop_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_opc_stop_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId);
static int DeviceActionRequest_action_extra_command_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceActionRequest_action_extra_command_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Command);
static int DeviceConfig_get_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceConfig_get_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ConfigClass, uint8_t *ConfigIndex);
static int DeviceConfig_set_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceConfig_set_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ConfigClass, uint8_t *ConfigIndex, uint8_t *Value);
static int DeviceOPCConfig_get_current_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceOPCConfig_get_current_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId);
static int DeviceOPCConfig_set_current_and_apply_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceOPCConfig_set_current_and_apply_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId, uint8_t *Size, uint16_t *Value);
static int DeviceOPCConfig_set_current_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceOPCConfig_set_current_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId, uint8_t *Size, uint16_t *Value);
static int DeviceOPCConfig_get_scene_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceOPCConfig_get_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId, uint8_t *SceneId);
static int DeviceOPCConfig_set_scene_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceOPCConfig_set_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId, uint8_t *Size, uint8_t *SceneId, uint16_t *Value);
static int DeviceOPCConfig_get_scene_config_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceOPCConfig_get_scene_config_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId);
static int DeviceOPCConfig_set_scene_config_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceOPCConfig_set_scene_config_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId, uint16_t *Value);
static int DeviceOPCConfig_get_dc_flags_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceOPCConfig_get_dc_flags_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId);
static int DeviceOPCConfig_set_dc_flags_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceOPCConfig_set_dc_flags_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId, uint16_t *Value);
static int DeviceOPCTable_get_count_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Count);
static int DeviceOPCTable_get_count_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int DeviceOPCTable_get_by_index_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *ChannelId);
static int DeviceOPCTable_get_by_index_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Index);
static int DeviceSensor_get_value_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceSensor_get_value_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SensorIndex);
static int DeviceSensor_get_count_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Count);
static int DeviceSensor_get_count_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int DeviceSensor_get_by_index_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Type, uint32_t *PollInterval, uint8_t *Broadcast, uint8_t *PushConvert);
static int DeviceSensor_get_by_index_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SensorIndex);
static int CircuitRemoveInactiveDevices_parse_response(const ds485_container_t *pFrameAnswer);
static int CircuitRemoveInactiveDevices_parse_request(const ds485_container_t *pFrameAnswer);
static int CircuitRemoveDevice_by_id_parse_response(const ds485_container_t *pFrameAnswer);
static int CircuitRemoveDevice_by_id_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);
static int CircuitRemoveDevice_by_dsuid_parse_response(const ds485_container_t *pFrameAnswer);
static int CircuitRemoveDevice_by_dsuid_parse_request(const ds485_container_t *pFrameAnswer, dsuid_t *dSUID);
static int EventTestTransmissionQuality_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *DownstreamQuality, uint16_t *UpstreamQuality);
static int EventTestDevicePresence_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Present);
static int EventDeviceAccessibility_on_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *ZoneId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, dsuid_t *dSUID);
static int EventDeviceAccessibility_off_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *ZoneId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, dsuid_t *dSUID);
static int EventDeviceStatistics_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Offset, uint16_t *Value);
static int EventDeviceAction_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *ButtonNr, uint8_t *ClickType);
static int EventDeviceLocalAction_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *ZoneId, uint8_t *State);
static int EventDeviceConfig_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ConfigClass, uint8_t *ConfigIndex, uint8_t *Value);
static int EventDeviceSensor_value_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SensorIndex, uint16_t *SensorValue);
static int EventDeviceSensor_event_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *EventIndex);
static int EventDeviceSensor_binaryInputEvent_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *EventIndex, uint8_t *EventType, uint8_t *State);
static int EventDeviceGiveUp_parse_event(const ds485_container_t *pFrameAnswer, uint32_t *SerialNumber, uint8_t *CircuitId);
static int EventDeviceModelChanged_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId);

static int DeviceInfo_by_index_only_active_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, uint16_t *ZoneId, uint8_t *State, uint8_t *Locked, uint8_t *OutputMode, uint8_t *LTMode, uint8_t *Groups, uint8_t *Name, dsuid_t *dSUID)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_INFO_BY_INDEX_ONLY_ACTIVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (VendorId != NULL)
    {
        *VendorId = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (ProductId != NULL)
    {
        *ProductId = ResponseGetData16(*pFrameAnswer, 4);
    }
    if (FunctionId != NULL)
    {
        *FunctionId = ResponseGetData16(*pFrameAnswer, 6);
    }
    if (Version != NULL)
    {
        *Version = ResponseGetData16(*pFrameAnswer, 8);
    }
    if (ZoneId != NULL)
    {
        *ZoneId = ResponseGetData16(*pFrameAnswer, 10);
    }
    if (State != NULL)
    {
        *State = ResponseGetData8(*pFrameAnswer, 12);
    }
    if (Locked != NULL)
    {
        *Locked = ResponseGetData8(*pFrameAnswer, 13);
    }
    if (OutputMode != NULL)
    {
        *OutputMode = ResponseGetData8(*pFrameAnswer, 14);
    }
    if (LTMode != NULL)
    {
        *LTMode = ResponseGetData8(*pFrameAnswer, 15);
    }
    if (Groups != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 16, Groups, 8);
    }
    if (Name != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 24, Name, 21);
    }
    if (dSUID != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 45, dSUID->id, 17);
        if ((VendorId != NULL) && (ProductId != NULL) && (FunctionId != NULL) && (Version != NULL)) {
            DsmApiAddDeviceDSUIDHeader(*VendorId, *ProductId, (*FunctionId >> 12) & 0xf, *Version, dSUID);
        }
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceInfo_by_index_only_active_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneIdReq, uint16_t *DeviceIndex)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_INFO_BY_INDEX_ONLY_ACTIVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneIdReq != NULL)
    {
        *ZoneIdReq = RequestGetData16(*pFrameAnswer, 0);
    }
    if (DeviceIndex != NULL)
    {
        *DeviceIndex = RequestGetData16(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceInfo_by_index_only_active(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneIdReq, uint16_t DeviceIndex, uint16_t *DeviceId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, uint16_t *ZoneId, uint8_t *State, uint8_t *Locked, uint8_t *OutputMode, uint8_t *LTMode, uint8_t *Groups, uint8_t *Name, dsuid_t *dSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_INFO);
    SetModifier(pFrame, DEVICE_INFO_BY_INDEX_ONLY_ACTIVE);
    RequestSetData16(pFrame, 0, ZoneIdReq);
    RequestSetData16(pFrame, 2, DeviceIndex);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceInfo_by_index_only_active_parse_response(&pFrameAnswer, DeviceId, VendorId, ProductId, FunctionId, Version, ZoneId, State, Locked, OutputMode, LTMode, Groups, Name, dSUID);
    }
    else
    {
        return result;
    }
}

static int DeviceInfo_by_index_only_inactive_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, uint16_t *ZoneId, uint8_t *State, uint8_t *Locked, uint8_t *OutputMode, uint8_t *LTMode, uint8_t *Groups, uint8_t *Name, dsuid_t *dSUID)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_INFO_BY_INDEX_ONLY_INACTIVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (VendorId != NULL)
    {
        *VendorId = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (ProductId != NULL)
    {
        *ProductId = ResponseGetData16(*pFrameAnswer, 4);
    }
    if (FunctionId != NULL)
    {
        *FunctionId = ResponseGetData16(*pFrameAnswer, 6);
    }
    if (Version != NULL)
    {
        *Version = ResponseGetData16(*pFrameAnswer, 8);
    }
    if (ZoneId != NULL)
    {
        *ZoneId = ResponseGetData16(*pFrameAnswer, 10);
    }
    if (State != NULL)
    {
        *State = ResponseGetData8(*pFrameAnswer, 12);
    }
    if (Locked != NULL)
    {
        *Locked = ResponseGetData8(*pFrameAnswer, 13);
    }
    if (OutputMode != NULL)
    {
        *OutputMode = ResponseGetData8(*pFrameAnswer, 14);
    }
    if (LTMode != NULL)
    {
        *LTMode = ResponseGetData8(*pFrameAnswer, 15);
    }
    if (Groups != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 16, Groups, 8);
    }
    if (Name != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 24, Name, 21);
    }
    if (dSUID != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 45, dSUID->id, 17);
        if ((VendorId != NULL) && (ProductId != NULL) && (FunctionId != NULL) && (Version != NULL)) {
            DsmApiAddDeviceDSUIDHeader(*VendorId, *ProductId, (*FunctionId >> 12) & 0xf, *Version, dSUID);
        }
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceInfo_by_index_only_inactive_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneIdReq, uint16_t *DeviceIndex)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_INFO_BY_INDEX_ONLY_INACTIVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneIdReq != NULL)
    {
        *ZoneIdReq = RequestGetData16(*pFrameAnswer, 0);
    }
    if (DeviceIndex != NULL)
    {
        *DeviceIndex = RequestGetData16(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceInfo_by_index_only_inactive(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneIdReq, uint16_t DeviceIndex, uint16_t *DeviceId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, uint16_t *ZoneId, uint8_t *State, uint8_t *Locked, uint8_t *OutputMode, uint8_t *LTMode, uint8_t *Groups, uint8_t *Name, dsuid_t *dSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_INFO);
    SetModifier(pFrame, DEVICE_INFO_BY_INDEX_ONLY_INACTIVE);
    RequestSetData16(pFrame, 0, ZoneIdReq);
    RequestSetData16(pFrame, 2, DeviceIndex);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceInfo_by_index_only_inactive_parse_response(&pFrameAnswer, DeviceId, VendorId, ProductId, FunctionId, Version, ZoneId, State, Locked, OutputMode, LTMode, Groups, Name, dSUID);
    }
    else
    {
        return result;
    }
}

static int DeviceInfo_by_index_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, uint16_t *ZoneId, uint8_t *State, uint8_t *Locked, uint8_t *OutputMode, uint8_t *LTMode, uint8_t *Groups, uint8_t *Name, dsuid_t *dSUID)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_INFO_BY_INDEX) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (VendorId != NULL)
    {
        *VendorId = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (ProductId != NULL)
    {
        *ProductId = ResponseGetData16(*pFrameAnswer, 4);
    }
    if (FunctionId != NULL)
    {
        *FunctionId = ResponseGetData16(*pFrameAnswer, 6);
    }
    if (Version != NULL)
    {
        *Version = ResponseGetData16(*pFrameAnswer, 8);
    }
    if (ZoneId != NULL)
    {
        *ZoneId = ResponseGetData16(*pFrameAnswer, 10);
    }
    if (State != NULL)
    {
        *State = ResponseGetData8(*pFrameAnswer, 12);
    }
    if (Locked != NULL)
    {
        *Locked = ResponseGetData8(*pFrameAnswer, 13);
    }
    if (OutputMode != NULL)
    {
        *OutputMode = ResponseGetData8(*pFrameAnswer, 14);
    }
    if (LTMode != NULL)
    {
        *LTMode = ResponseGetData8(*pFrameAnswer, 15);
    }
    if (Groups != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 16, Groups, 8);
    }
    if (Name != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 24, Name, 21);
    }
    if (dSUID != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 45, dSUID->id, 17);
        if ((VendorId != NULL) && (ProductId != NULL) && (FunctionId != NULL) && (Version != NULL)) {
            DsmApiAddDeviceDSUIDHeader(*VendorId, *ProductId, (*FunctionId >> 12) & 0xf, *Version, dSUID);
        }
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceInfo_by_index_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneIdReq, uint16_t *DeviceIndex)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_INFO_BY_INDEX) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneIdReq != NULL)
    {
        *ZoneIdReq = RequestGetData16(*pFrameAnswer, 0);
    }
    if (DeviceIndex != NULL)
    {
        *DeviceIndex = RequestGetData16(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceInfo_by_index(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneIdReq, uint16_t DeviceIndex, uint16_t *DeviceId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, uint16_t *ZoneId, uint8_t *State, uint8_t *Locked, uint8_t *OutputMode, uint8_t *LTMode, uint8_t *Groups, uint8_t *Name, dsuid_t *dSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_INFO);
    SetModifier(pFrame, DEVICE_INFO_BY_INDEX);
    RequestSetData16(pFrame, 0, ZoneIdReq);
    RequestSetData16(pFrame, 2, DeviceIndex);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceInfo_by_index_parse_response(&pFrameAnswer, DeviceId, VendorId, ProductId, FunctionId, Version, ZoneId, State, Locked, OutputMode, LTMode, Groups, Name, dSUID);
    }
    else
    {
        return result;
    }
}

static int DeviceInfo_by_device_id_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, uint16_t *ZoneId, uint8_t *State, uint8_t *Locked, uint8_t *OutputMode, uint8_t *LTMode, uint8_t *Groups, uint8_t *Name, dsuid_t *dSUID)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_INFO_BY_DEVICE_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (VendorId != NULL)
    {
        *VendorId = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (ProductId != NULL)
    {
        *ProductId = ResponseGetData16(*pFrameAnswer, 4);
    }
    if (FunctionId != NULL)
    {
        *FunctionId = ResponseGetData16(*pFrameAnswer, 6);
    }
    if (Version != NULL)
    {
        *Version = ResponseGetData16(*pFrameAnswer, 8);
    }
    if (ZoneId != NULL)
    {
        *ZoneId = ResponseGetData16(*pFrameAnswer, 10);
    }
    if (State != NULL)
    {
        *State = ResponseGetData8(*pFrameAnswer, 12);
    }
    if (Locked != NULL)
    {
        *Locked = ResponseGetData8(*pFrameAnswer, 13);
    }
    if (OutputMode != NULL)
    {
        *OutputMode = ResponseGetData8(*pFrameAnswer, 14);
    }
    if (LTMode != NULL)
    {
        *LTMode = ResponseGetData8(*pFrameAnswer, 15);
    }
    if (Groups != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 16, Groups, 8);
    }
    if (Name != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 24, Name, 21);
    }
    if (dSUID != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 45, dSUID->id, 17);
        if ((VendorId != NULL) && (ProductId != NULL) && (FunctionId != NULL) && (Version != NULL)) {
            DsmApiAddDeviceDSUIDHeader(*VendorId, *ProductId, (*FunctionId >> 12) & 0xf, *Version, dSUID);
        }
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceInfo_by_device_id_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceIdReq)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_INFO_BY_DEVICE_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceIdReq != NULL)
    {
        *DeviceIdReq = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int DeviceInfo_by_device_id(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceIdReq, uint16_t *DeviceId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, uint16_t *ZoneId, uint8_t *State, uint8_t *Locked, uint8_t *OutputMode, uint8_t *LTMode, uint8_t *Groups, uint8_t *Name, dsuid_t *dSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_INFO);
    SetModifier(pFrame, DEVICE_INFO_BY_DEVICE_ID);
    RequestSetData16(pFrame, 0, DeviceIdReq);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceInfo_by_device_id_parse_response(&pFrameAnswer, DeviceId, VendorId, ProductId, FunctionId, Version, ZoneId, State, Locked, OutputMode, LTMode, Groups, Name, dSUID);
    }
    else
    {
        return result;
    }
}

static int DeviceState_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *ActiveFlag)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_STATE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ActiveFlag != NULL)
    {
        *ActiveFlag = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceState_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_STATE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int DeviceState(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t *ActiveFlag)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_STATE);
    SetModifier(pFrame, 0);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceState_parse_response(&pFrameAnswer, ActiveFlag);
    }
    else
    {
        return result;
    }
}

static int DeviceStatisticsRequest_get_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_STATISTICS_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_STATISTICS_REQUEST_GET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceStatisticsRequest_get_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ParamOffset)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_STATISTICS_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_STATISTICS_REQUEST_GET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ParamOffset != NULL)
    {
        *ParamOffset = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceStatisticsRequest_get(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t ParamOffset)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_STATISTICS_REQUEST);
    SetModifier(pFrame, DEVICE_STATISTICS_REQUEST_GET);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, ParamOffset);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceStatisticsRequest_get_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceProperties_set_zone_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_ZONE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceProperties_set_zone_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *ZoneId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_ZONE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceProperties_set_zone(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint16_t ZoneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_PROPERTIES);
    SetModifier(pFrame, DEVICE_PROPERTIES_SET_ZONE);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData16(pFrame, 2, ZoneId);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceProperties_set_zone_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceProperties_set_locked_flag_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_LOCKED_FLAG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceProperties_set_locked_flag_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *LockedFlag)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_LOCKED_FLAG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (LockedFlag != NULL)
    {
        *LockedFlag = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceProperties_set_locked_flag(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t LockedFlag)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_PROPERTIES);
    SetModifier(pFrame, DEVICE_PROPERTIES_SET_LOCKED_FLAG);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, LockedFlag);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceProperties_set_locked_flag_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceProperties_set_name_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_NAME) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceProperties_set_name_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Name)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_NAME) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Name != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 2, Name, 21);
    }
    return 0;
}

int DeviceProperties_set_name(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, const uint8_t *Name)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_PROPERTIES);
    SetModifier(pFrame, DEVICE_PROPERTIES_SET_NAME);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetArray8(pFrame, 2, Name, 21);
    SetParameterLength(pFrame, 23);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceProperties_set_name_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceProperties_set_button_active_group_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_BUTTON_ACTIVE_GROUP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceProperties_set_button_active_group_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *GroupId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_BUTTON_ACTIVE_GROUP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceProperties_set_button_active_group(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t GroupId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_PROPERTIES);
    SetModifier(pFrame, DEVICE_PROPERTIES_SET_BUTTON_ACTIVE_GROUP);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, GroupId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceProperties_set_button_active_group_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceProperties_reset_button_active_group_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_RESET_BUTTON_ACTIVE_GROUP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceProperties_reset_button_active_group_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_RESET_BUTTON_ACTIVE_GROUP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int DeviceProperties_reset_button_active_group(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_PROPERTIES);
    SetModifier(pFrame, DEVICE_PROPERTIES_RESET_BUTTON_ACTIVE_GROUP);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceProperties_reset_button_active_group_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceProperties_set_button_set_local_priority_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_BUTTON_SET_LOCAL_PRIORITY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceProperties_set_button_set_local_priority_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SetLocalPriority)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_BUTTON_SET_LOCAL_PRIORITY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SetLocalPriority != NULL)
    {
        *SetLocalPriority = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceProperties_set_button_set_local_priority(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t SetLocalPriority)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_PROPERTIES);
    SetModifier(pFrame, DEVICE_PROPERTIES_SET_BUTTON_SET_LOCAL_PRIORITY);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, SetLocalPriority);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceProperties_set_button_set_local_priority_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceProperties_set_button_set_no_coming_home_call_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_BUTTON_SET_NO_COMING_HOME_CALL) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceProperties_set_button_set_no_coming_home_call_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *NoComingHomeCall)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_BUTTON_SET_NO_COMING_HOME_CALL) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (NoComingHomeCall != NULL)
    {
        *NoComingHomeCall = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceProperties_set_button_set_no_coming_home_call(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t NoComingHomeCall)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_PROPERTIES);
    SetModifier(pFrame, DEVICE_PROPERTIES_SET_BUTTON_SET_NO_COMING_HOME_CALL);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, NoComingHomeCall);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceProperties_set_button_set_no_coming_home_call_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceProperties_set_button_set_apartment_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_BUTTON_SET_APARTMENT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceProperties_set_button_set_apartment_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *WholeApartment)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_BUTTON_SET_APARTMENT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (WholeApartment != NULL)
    {
        *WholeApartment = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceProperties_set_button_set_apartment(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t WholeApartment)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_PROPERTIES);
    SetModifier(pFrame, DEVICE_PROPERTIES_SET_BUTTON_SET_APARTMENT);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, WholeApartment);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceProperties_set_button_set_apartment_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceProperties_set_button_set_output_channel_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_BUTTON_SET_OUTPUT_CHANNEL) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceProperties_set_button_set_output_channel_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_BUTTON_SET_OUTPUT_CHANNEL) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceProperties_set_button_set_output_channel(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t ChannelId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_PROPERTIES);
    SetModifier(pFrame, DEVICE_PROPERTIES_SET_BUTTON_SET_OUTPUT_CHANNEL);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, ChannelId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceProperties_set_button_set_output_channel_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceProperties_set_button_set_global_group_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_BUTTON_SET_GLOBAL_GROUP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceProperties_set_button_set_global_group_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *GroupId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_PROPERTIES_SET_BUTTON_SET_GLOBAL_GROUP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceProperties_set_button_set_global_group(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t GroupId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_PROPERTIES);
    SetModifier(pFrame, DEVICE_PROPERTIES_SET_BUTTON_SET_GLOBAL_GROUP);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, GroupId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceProperties_set_button_set_global_group_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceButtonInfo_by_device_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *ButtonId, uint8_t *GroupMembership, uint8_t *Group, uint8_t *Flags, uint8_t *ChannelId, uint8_t *GlobalGroup)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_BUTTON_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_BUTTON_INFO_BY_DEVICE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ButtonId != NULL)
    {
        *ButtonId = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (GroupMembership != NULL)
    {
        *GroupMembership = ResponseGetData8(*pFrameAnswer, 1);
    }
    if (Group != NULL)
    {
        *Group = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (Flags != NULL)
    {
        *Flags = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = ResponseGetData8(*pFrameAnswer, 4);
    }
    if (GlobalGroup != NULL)
    {
        *GlobalGroup = ResponseGetData8(*pFrameAnswer, 5);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceButtonInfo_by_device_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_BUTTON_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_BUTTON_INFO_BY_DEVICE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int DeviceButtonInfo_by_device(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t *ButtonId, uint8_t *GroupMembership, uint8_t *Group, uint8_t *Flags, uint8_t *ChannelId, uint8_t *GlobalGroup)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_BUTTON_INFO);
    SetModifier(pFrame, DEVICE_BUTTON_INFO_BY_DEVICE);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceButtonInfo_by_device_parse_response(&pFrameAnswer, ButtonId, GroupMembership, Group, Flags, ChannelId, GlobalGroup);
    }
    else
    {
        return result;
    }
}

static int DeviceBinaryInput_get_count_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Count)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_BINARY_INPUT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_BINARY_INPUT_GET_COUNT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Count != NULL)
    {
        *Count = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceBinaryInput_get_count_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_BINARY_INPUT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_BINARY_INPUT_GET_COUNT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int DeviceBinaryInput_get_count(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t *Count)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_BINARY_INPUT);
    SetModifier(pFrame, DEVICE_BINARY_INPUT_GET_COUNT);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceBinaryInput_get_count_parse_response(&pFrameAnswer, Count);
    }
    else
    {
        return result;
    }
}

static int DeviceBinaryInput_get_by_index_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *TargetGroupType, uint8_t *TargetGroup, uint8_t *BinaryInputType, uint8_t *ButtonId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_BINARY_INPUT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_BINARY_INPUT_GET_BY_INDEX) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (TargetGroupType != NULL)
    {
        *TargetGroupType = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (TargetGroup != NULL)
    {
        *TargetGroup = ResponseGetData8(*pFrameAnswer, 1);
    }
    if (BinaryInputType != NULL)
    {
        *BinaryInputType = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (ButtonId != NULL)
    {
        *ButtonId = ResponseGetData8(*pFrameAnswer, 3);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceBinaryInput_get_by_index_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *InputIndex)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_BINARY_INPUT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_BINARY_INPUT_GET_BY_INDEX) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (InputIndex != NULL)
    {
        *InputIndex = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceBinaryInput_get_by_index(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t InputIndex, uint8_t *TargetGroupType, uint8_t *TargetGroup, uint8_t *BinaryInputType, uint8_t *ButtonId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_BINARY_INPUT);
    SetModifier(pFrame, DEVICE_BINARY_INPUT_GET_BY_INDEX);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, InputIndex);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceBinaryInput_get_by_index_parse_response(&pFrameAnswer, TargetGroupType, TargetGroup, BinaryInputType, ButtonId);
    }
    else
    {
        return result;
    }
}

static int DeviceGroupMembershipModify_add_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_GROUP_MEMBERSHIP_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_GROUP_MEMBERSHIP_MODIFY_ADD) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceGroupMembershipModify_add_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *GroupId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_GROUP_MEMBERSHIP_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_GROUP_MEMBERSHIP_MODIFY_ADD) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceGroupMembershipModify_add(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t GroupId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_GROUP_MEMBERSHIP_MODIFY);
    SetModifier(pFrame, DEVICE_GROUP_MEMBERSHIP_MODIFY_ADD);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, GroupId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceGroupMembershipModify_add_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceGroupMembershipModify_remove_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_GROUP_MEMBERSHIP_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_GROUP_MEMBERSHIP_MODIFY_REMOVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceGroupMembershipModify_remove_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *GroupId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_GROUP_MEMBERSHIP_MODIFY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_GROUP_MEMBERSHIP_MODIFY_REMOVE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceGroupMembershipModify_remove(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t GroupId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_GROUP_MEMBERSHIP_MODIFY);
    SetModifier(pFrame, DEVICE_GROUP_MEMBERSHIP_MODIFY_REMOVE);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, GroupId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceGroupMembershipModify_remove_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int TestTransmissionQuality_get_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != TEST_TRANSMISSION_QUALITY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != TEST_TRANSMISSION_QUALITY_GET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int TestTransmissionQuality_get_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != TEST_TRANSMISSION_QUALITY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != TEST_TRANSMISSION_QUALITY_GET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int TestTransmissionQuality_get(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, TEST_TRANSMISSION_QUALITY);
    SetModifier(pFrame, TEST_TRANSMISSION_QUALITY_GET);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return TestTransmissionQuality_get_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int TestDevicePresence_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != TEST_DEVICE_PRESENCE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int TestDevicePresence_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != TEST_DEVICE_PRESENCE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int TestDevicePresence(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, TEST_DEVICE_PRESENCE);
    SetModifier(pFrame, 0);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return TestDevicePresence_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_call_scene_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_CALL_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_call_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_CALL_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceActionRequest_action_call_scene(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_CALL_SCENE);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, SceneId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_call_scene_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_save_scene_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_SAVE_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_save_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_SAVE_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceActionRequest_action_save_scene(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_SAVE_SCENE);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, SceneId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_save_scene_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_undo_scene_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_UNDO_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_undo_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_UNDO_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int DeviceActionRequest_action_undo_scene(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_UNDO_SCENE);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_undo_scene_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_blink_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_BLINK) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_blink_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_BLINK) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int DeviceActionRequest_action_blink(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_BLINK);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_blink_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_undo_scene_number_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_UNDO_SCENE_NUMBER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_undo_scene_number_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_UNDO_SCENE_NUMBER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceActionRequest_action_undo_scene_number(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_UNDO_SCENE_NUMBER);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, SceneId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_undo_scene_number_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_force_call_scene_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_FORCE_CALL_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_force_call_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_FORCE_CALL_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceActionRequest_action_force_call_scene(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_FORCE_CALL_SCENE);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, SceneId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_force_call_scene_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_set_outval_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_SET_OUTVAL) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_set_outval_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Value)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_SET_OUTVAL) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceActionRequest_action_set_outval(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_SET_OUTVAL);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, Value);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_set_outval_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_programming_mode_on_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_ON) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_programming_mode_on_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_ON) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int DeviceActionRequest_action_programming_mode_on(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_ON);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_programming_mode_on_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_programming_mode_off_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_OFF) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_programming_mode_off_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_OFF) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int DeviceActionRequest_action_programming_mode_off(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_OFF);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_programming_mode_off_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_opc_inc_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_OPC_INC) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_opc_inc_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_OPC_INC) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceActionRequest_action_opc_inc(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t ChannelId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_OPC_INC);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, ChannelId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_opc_inc_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_opc_dec_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_OPC_DEC) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_opc_dec_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_OPC_DEC) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceActionRequest_action_opc_dec(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t ChannelId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_OPC_DEC);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, ChannelId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_opc_dec_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_opc_stop_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_OPC_STOP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_opc_stop_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_OPC_STOP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceActionRequest_action_opc_stop(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t ChannelId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_OPC_STOP);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, ChannelId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_opc_stop_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceActionRequest_action_extra_command_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_EXTRA_COMMAND) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceActionRequest_action_extra_command_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Command)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_ACTION_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_ACTION_REQUEST_ACTION_EXTRA_COMMAND) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Command != NULL)
    {
        *Command = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceActionRequest_action_extra_command(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t Command)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_ACTION_REQUEST);
    SetModifier(pFrame, DEVICE_ACTION_REQUEST_ACTION_EXTRA_COMMAND);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, Command);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceActionRequest_action_extra_command_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceConfig_get_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_CONFIG_GET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceConfig_get_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ConfigClass, uint8_t *ConfigIndex)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_CONFIG_GET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ConfigClass != NULL)
    {
        *ConfigClass = RequestGetData8(*pFrameAnswer, 2);
    }
    if (ConfigIndex != NULL)
    {
        *ConfigIndex = RequestGetData8(*pFrameAnswer, 3);
    }
    return 0;
}

int DeviceConfig_get(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t ConfigClass, uint8_t ConfigIndex)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_CONFIG);
    SetModifier(pFrame, DEVICE_CONFIG_GET);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, ConfigClass);
    RequestSetData8(pFrame, 3, ConfigIndex);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceConfig_get_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceConfig_set_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_CONFIG_SET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceConfig_set_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ConfigClass, uint8_t *ConfigIndex, uint8_t *Value)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_CONFIG_SET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ConfigClass != NULL)
    {
        *ConfigClass = RequestGetData8(*pFrameAnswer, 2);
    }
    if (ConfigIndex != NULL)
    {
        *ConfigIndex = RequestGetData8(*pFrameAnswer, 3);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData8(*pFrameAnswer, 4);
    }
    return 0;
}

int DeviceConfig_set(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t ConfigClass, uint8_t ConfigIndex, uint8_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_CONFIG);
    SetModifier(pFrame, DEVICE_CONFIG_SET);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, ConfigClass);
    RequestSetData8(pFrame, 3, ConfigIndex);
    RequestSetData8(pFrame, 4, Value);
    SetParameterLength(pFrame, 5);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceConfig_set_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceOPCConfig_get_current_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_GET_CURRENT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceOPCConfig_get_current_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_GET_CURRENT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceOPCConfig_get_current(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t ChannelId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_O_P_C_CONFIG);
    SetModifier(pFrame, DEVICE_O_P_C_CONFIG_GET_CURRENT);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, ChannelId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 15);
    if (result == 0)
    {
        return DeviceOPCConfig_get_current_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceOPCConfig_set_current_and_apply_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_SET_CURRENT_AND_APPLY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceOPCConfig_set_current_and_apply_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId, uint8_t *Size, uint16_t *Value)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_SET_CURRENT_AND_APPLY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (Size != NULL)
    {
        *Size = RequestGetData8(*pFrameAnswer, 3);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData16(*pFrameAnswer, 4);
    }
    return 0;
}

int DeviceOPCConfig_set_current_and_apply(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t ChannelId, uint8_t Size, uint16_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_O_P_C_CONFIG);
    SetModifier(pFrame, DEVICE_O_P_C_CONFIG_SET_CURRENT_AND_APPLY);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, ChannelId);
    RequestSetData8(pFrame, 3, Size);
    RequestSetData16(pFrame, 4, Value);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 15);
    if (result == 0)
    {
        return DeviceOPCConfig_set_current_and_apply_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceOPCConfig_set_current_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_SET_CURRENT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceOPCConfig_set_current_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId, uint8_t *Size, uint16_t *Value)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_SET_CURRENT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (Size != NULL)
    {
        *Size = RequestGetData8(*pFrameAnswer, 3);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData16(*pFrameAnswer, 4);
    }
    return 0;
}

int DeviceOPCConfig_set_current(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t ChannelId, uint8_t Size, uint16_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_O_P_C_CONFIG);
    SetModifier(pFrame, DEVICE_O_P_C_CONFIG_SET_CURRENT);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, ChannelId);
    RequestSetData8(pFrame, 3, Size);
    RequestSetData16(pFrame, 4, Value);
    SetParameterLength(pFrame, 6);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 15);
    if (result == 0)
    {
        return DeviceOPCConfig_set_current_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceOPCConfig_get_scene_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_GET_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceOPCConfig_get_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_GET_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 3);
    }
    return 0;
}

int DeviceOPCConfig_get_scene(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t ChannelId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_O_P_C_CONFIG);
    SetModifier(pFrame, DEVICE_O_P_C_CONFIG_GET_SCENE);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, ChannelId);
    RequestSetData8(pFrame, 3, SceneId);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 15);
    if (result == 0)
    {
        return DeviceOPCConfig_get_scene_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceOPCConfig_set_scene_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_SET_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceOPCConfig_set_scene_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ChannelId, uint8_t *Size, uint8_t *SceneId, uint16_t *Value)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_SET_SCENE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (ChannelId != NULL)
    {
        *ChannelId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (Size != NULL)
    {
        *Size = RequestGetData8(*pFrameAnswer, 3);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 4);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData16(*pFrameAnswer, 5);
    }
    return 0;
}

int DeviceOPCConfig_set_scene(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t ChannelId, uint8_t Size, uint8_t SceneId, uint16_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_O_P_C_CONFIG);
    SetModifier(pFrame, DEVICE_O_P_C_CONFIG_SET_SCENE);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, ChannelId);
    RequestSetData8(pFrame, 3, Size);
    RequestSetData8(pFrame, 4, SceneId);
    RequestSetData16(pFrame, 5, Value);
    SetParameterLength(pFrame, 7);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 15);
    if (result == 0)
    {
        return DeviceOPCConfig_set_scene_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceOPCConfig_get_scene_config_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_GET_SCENE_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceOPCConfig_get_scene_config_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_GET_SCENE_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceOPCConfig_get_scene_config(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_O_P_C_CONFIG);
    SetModifier(pFrame, DEVICE_O_P_C_CONFIG_GET_SCENE_CONFIG);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, SceneId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 15);
    if (result == 0)
    {
        return DeviceOPCConfig_get_scene_config_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceOPCConfig_set_scene_config_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_SET_SCENE_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceOPCConfig_set_scene_config_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId, uint16_t *Value)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_SET_SCENE_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData16(*pFrameAnswer, 3);
    }
    return 0;
}

int DeviceOPCConfig_set_scene_config(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t SceneId, uint16_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_O_P_C_CONFIG);
    SetModifier(pFrame, DEVICE_O_P_C_CONFIG_SET_SCENE_CONFIG);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, SceneId);
    RequestSetData16(pFrame, 3, Value);
    SetParameterLength(pFrame, 5);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 15);
    if (result == 0)
    {
        return DeviceOPCConfig_set_scene_config_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceOPCConfig_get_dc_flags_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_GET_DC_FLAGS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceOPCConfig_get_dc_flags_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_GET_DC_FLAGS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceOPCConfig_get_dc_flags(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t SceneId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_O_P_C_CONFIG);
    SetModifier(pFrame, DEVICE_O_P_C_CONFIG_GET_DC_FLAGS);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, SceneId);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 15);
    if (result == 0)
    {
        return DeviceOPCConfig_get_dc_flags_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceOPCConfig_set_dc_flags_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_SET_DC_FLAGS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceOPCConfig_set_dc_flags_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SceneId, uint16_t *Value)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_CONFIG_SET_DC_FLAGS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SceneId != NULL)
    {
        *SceneId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData16(*pFrameAnswer, 3);
    }
    return 0;
}

int DeviceOPCConfig_set_dc_flags(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t SceneId, uint16_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_O_P_C_CONFIG);
    SetModifier(pFrame, DEVICE_O_P_C_CONFIG_SET_DC_FLAGS);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, SceneId);
    RequestSetData16(pFrame, 3, Value);
    SetParameterLength(pFrame, 5);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 15);
    if (result == 0)
    {
        return DeviceOPCConfig_set_dc_flags_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceOPCTable_get_count_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Count)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_TABLE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_TABLE_GET_COUNT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Count != NULL)
    {
        *Count = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceOPCTable_get_count_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_TABLE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_TABLE_GET_COUNT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int DeviceOPCTable_get_count(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t *Count)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_O_P_C_TABLE);
    SetModifier(pFrame, DEVICE_O_P_C_TABLE_GET_COUNT);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceOPCTable_get_count_parse_response(&pFrameAnswer, Count);
    }
    else
    {
        return result;
    }
}

static int DeviceOPCTable_get_by_index_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *ChannelId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_TABLE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_TABLE_GET_BY_INDEX) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ChannelId != NULL)
    {
        *ChannelId = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceOPCTable_get_by_index_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Index)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_O_P_C_TABLE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_O_P_C_TABLE_GET_BY_INDEX) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Index != NULL)
    {
        *Index = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceOPCTable_get_by_index(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t Index, uint8_t *ChannelId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_O_P_C_TABLE);
    SetModifier(pFrame, DEVICE_O_P_C_TABLE_GET_BY_INDEX);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, Index);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceOPCTable_get_by_index_parse_response(&pFrameAnswer, ChannelId);
    }
    else
    {
        return result;
    }
}

static int DeviceSensor_get_value_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_SENSOR) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_SENSOR_GET_VALUE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceSensor_get_value_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SensorIndex)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_SENSOR) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_SENSOR_GET_VALUE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SensorIndex != NULL)
    {
        *SensorIndex = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceSensor_get_value(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t SensorIndex)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_SENSOR);
    SetModifier(pFrame, DEVICE_SENSOR_GET_VALUE);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, SensorIndex);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceSensor_get_value_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceSensor_get_count_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Count)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_SENSOR) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_SENSOR_GET_COUNT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Count != NULL)
    {
        *Count = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceSensor_get_count_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_SENSOR) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_SENSOR_GET_COUNT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int DeviceSensor_get_count(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t *Count)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_SENSOR);
    SetModifier(pFrame, DEVICE_SENSOR_GET_COUNT);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceSensor_get_count_parse_response(&pFrameAnswer, Count);
    }
    else
    {
        return result;
    }
}

static int DeviceSensor_get_by_index_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Type, uint32_t *PollInterval, uint8_t *Broadcast, uint8_t *PushConvert)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_SENSOR) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_SENSOR_GET_BY_INDEX) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Type != NULL)
    {
        *Type = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (PollInterval != NULL)
    {
        *PollInterval = ResponseGetData32(*pFrameAnswer, 1);
    }
    if (Broadcast != NULL)
    {
        *Broadcast = ResponseGetData8(*pFrameAnswer, 5);
    }
    if (PushConvert != NULL)
    {
        *PushConvert = ResponseGetData8(*pFrameAnswer, 6);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceSensor_get_by_index_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SensorIndex)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_SENSOR) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_SENSOR_GET_BY_INDEX) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (SensorIndex != NULL)
    {
        *SensorIndex = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceSensor_get_by_index(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t SensorIndex, uint8_t *Type, uint32_t *PollInterval, uint8_t *Broadcast, uint8_t *PushConvert)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_SENSOR);
    SetModifier(pFrame, DEVICE_SENSOR_GET_BY_INDEX);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, SensorIndex);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceSensor_get_by_index_parse_response(&pFrameAnswer, Type, PollInterval, Broadcast, PushConvert);
    }
    else
    {
        return result;
    }
}

static int CircuitRemoveInactiveDevices_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_REMOVE_INACTIVE_DEVICES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitRemoveInactiveDevices_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_REMOVE_INACTIVE_DEVICES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int CircuitRemoveInactiveDevices(DsmApiHandle_t handle, dsuid_t dSMdSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CIRCUIT_REMOVE_INACTIVE_DEVICES);
    SetModifier(pFrame, 0);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return CircuitRemoveInactiveDevices_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int CircuitRemoveDevice_by_id_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_REMOVE_DEVICE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_REMOVE_DEVICE_BY_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitRemoveDevice_by_id_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_REMOVE_DEVICE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_REMOVE_DEVICE_BY_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int CircuitRemoveDevice_by_id(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CIRCUIT_REMOVE_DEVICE);
    SetModifier(pFrame, CIRCUIT_REMOVE_DEVICE_BY_ID);
    RequestSetData16(pFrame, 0, DeviceId);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return CircuitRemoveDevice_by_id_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int CircuitRemoveDevice_by_dsuid_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_REMOVE_DEVICE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_REMOVE_DEVICE_BY_DSUID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitRemoveDevice_by_dsuid_parse_request(const ds485_container_t *pFrameAnswer, dsuid_t *dSUID)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_REMOVE_DEVICE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_REMOVE_DEVICE_BY_DSUID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (dSUID != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 0, dSUID->id, 17);
    }
    return 0;
}

int CircuitRemoveDevice_by_dsuid(DsmApiHandle_t handle, dsuid_t dSMdSUID, dsuid_t dSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CIRCUIT_REMOVE_DEVICE);
    SetModifier(pFrame, CIRCUIT_REMOVE_DEVICE_BY_DSUID);
    RequestSetArray8(pFrame, 0, dSUID.id, 17);
    SetParameterLength(pFrame, 17);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return CircuitRemoveDevice_by_dsuid_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int EventTestTransmissionQuality_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *DownstreamQuality, uint16_t *UpstreamQuality)
{
    if (GetCommand(*pFrameAnswer) != EVENT_TEST_TRANSMISSION_QUALITY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (DownstreamQuality != NULL)
    {
        *DownstreamQuality = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (UpstreamQuality != NULL)
    {
        *UpstreamQuality = ResponseGetData16(*pFrameAnswer, 3);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventTestDevicePresence_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Present)
{
    if (GetCommand(*pFrameAnswer) != EVENT_TEST_DEVICE_PRESENCE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (Present != NULL)
    {
        *Present = ResponseGetData8(*pFrameAnswer, 2);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDeviceAccessibility_on_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *ZoneId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, dsuid_t *dSUID)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DEVICE_ACCESSIBILITY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_DEVICE_ACCESSIBILITY_ON) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (ZoneId != NULL)
    {
        *ZoneId = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (VendorId != NULL)
    {
        *VendorId = ResponseGetData16(*pFrameAnswer, 4);
    }
    if (ProductId != NULL)
    {
        *ProductId = ResponseGetData16(*pFrameAnswer, 6);
    }
    if (FunctionId != NULL)
    {
        *FunctionId = ResponseGetData16(*pFrameAnswer, 8);
    }
    if (Version != NULL)
    {
        *Version = ResponseGetData16(*pFrameAnswer, 10);
    }
    if (dSUID != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 12, dSUID->id, 17);
        if ((VendorId != NULL) && (ProductId != NULL) && (FunctionId != NULL) && (Version != NULL)) {
            DsmApiAddDeviceDSUIDHeader(*VendorId, *ProductId, (*FunctionId >> 12) & 0xf, *Version, dSUID);
        }
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDeviceAccessibility_off_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *ZoneId, uint16_t *VendorId, uint16_t *ProductId, uint16_t *FunctionId, uint16_t *Version, dsuid_t *dSUID)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DEVICE_ACCESSIBILITY) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_DEVICE_ACCESSIBILITY_OFF) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (ZoneId != NULL)
    {
        *ZoneId = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (VendorId != NULL)
    {
        *VendorId = ResponseGetData16(*pFrameAnswer, 4);
    }
    if (ProductId != NULL)
    {
        *ProductId = ResponseGetData16(*pFrameAnswer, 6);
    }
    if (FunctionId != NULL)
    {
        *FunctionId = ResponseGetData16(*pFrameAnswer, 8);
    }
    if (Version != NULL)
    {
        *Version = ResponseGetData16(*pFrameAnswer, 10);
    }
    if (dSUID != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 12, dSUID->id, 17);
        if ((VendorId != NULL) && (ProductId != NULL) && (FunctionId != NULL) && (Version != NULL)) {
            DsmApiAddDeviceDSUIDHeader(*VendorId, *ProductId, (*FunctionId >> 12) & 0xf, *Version, dSUID);
        }
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDeviceStatistics_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Offset, uint16_t *Value)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DEVICE_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (Offset != NULL)
    {
        *Offset = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (Value != NULL)
    {
        *Value = ResponseGetData16(*pFrameAnswer, 3);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDeviceAction_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *ButtonNr, uint8_t *ClickType)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DEVICE_ACTION) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (ZoneId != NULL)
    {
        *ZoneId = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (GroupId != NULL)
    {
        *GroupId = ResponseGetData8(*pFrameAnswer, 4);
    }
    if (ButtonNr != NULL)
    {
        *ButtonNr = ResponseGetData8(*pFrameAnswer, 5);
    }
    if (ClickType != NULL)
    {
        *ClickType = ResponseGetData8(*pFrameAnswer, 6);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDeviceLocalAction_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint16_t *ZoneId, uint8_t *State)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DEVICE_LOCAL_ACTION) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (ZoneId != NULL)
    {
        *ZoneId = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (State != NULL)
    {
        *State = ResponseGetData8(*pFrameAnswer, 4);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDeviceConfig_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *ConfigClass, uint8_t *ConfigIndex, uint8_t *Value)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DEVICE_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (ConfigClass != NULL)
    {
        *ConfigClass = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (ConfigIndex != NULL)
    {
        *ConfigIndex = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (Value != NULL)
    {
        *Value = ResponseGetData8(*pFrameAnswer, 4);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDeviceSensor_value_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *SensorIndex, uint16_t *SensorValue)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DEVICE_SENSOR) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_DEVICE_SENSOR_VALUE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (SensorIndex != NULL)
    {
        *SensorIndex = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (SensorValue != NULL)
    {
        *SensorValue = ResponseGetData16(*pFrameAnswer, 3);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDeviceSensor_event_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *EventIndex)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DEVICE_SENSOR) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_DEVICE_SENSOR_EVENT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (EventIndex != NULL)
    {
        *EventIndex = ResponseGetData8(*pFrameAnswer, 2);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDeviceSensor_binaryInputEvent_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *EventIndex, uint8_t *EventType, uint8_t *State)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DEVICE_SENSOR) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_DEVICE_SENSOR_BINARYINPUTEVENT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (EventIndex != NULL)
    {
        *EventIndex = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (EventType != NULL)
    {
        *EventType = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (State != NULL)
    {
        *State = ResponseGetData8(*pFrameAnswer, 4);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDeviceGiveUp_parse_event(const ds485_container_t *pFrameAnswer, uint32_t *SerialNumber, uint8_t *CircuitId)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DEVICE_GIVE_UP) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (SerialNumber != NULL)
    {
        *SerialNumber = ResponseGetData32(*pFrameAnswer, 0);
    }
    if (CircuitId != NULL)
    {
        *CircuitId = ResponseGetData8(*pFrameAnswer, 4);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDeviceModelChanged_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DEVICE_MODEL_CHANGED) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitPingDevices_automatic_parse_response(const ds485_container_t *pFrameAnswer);
static int CircuitPingDevices_automatic_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *IntervalTime);
static int CircuitPingDevices_one_time_automatic_parse_response(const ds485_container_t *pFrameAnswer);
static int CircuitPingDevices_one_time_automatic_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *OneTimeIntervalTime, uint16_t *AutoIntervalTime);
static int CircuitPingDevices_one_time_off_parse_response(const ds485_container_t *pFrameAnswer);
static int CircuitPingDevices_one_time_off_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *IntervalTime);
static int CircuitPingDevices_off_parse_response(const ds485_container_t *pFrameAnswer);
static int CircuitPingDevices_off_parse_request(const ds485_container_t *pFrameAnswer);
static int CircuitEnergyMeterValue_get_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *PowerW, uint32_t *EnergyWh);
static int CircuitEnergyMeterValue_get_parse_request(const ds485_container_t *pFrameAnswer);
static int CircuitEnergyMeterValue_reset_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *PowerW, uint32_t *EnergyWh);
static int CircuitEnergyMeterValue_reset_parse_request(const ds485_container_t *pFrameAnswer);
static int CircuitEnergyMeterValue_calibration_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *Uaverage, uint16_t *I14average, uint16_t *I180average, uint32_t *PActiveLow, uint32_t *PActiveHigh);
static int CircuitEnergyMeterValue_calibration_parse_request(const ds485_container_t *pFrameAnswer);
static int CircuitEnergyMeterValue_Ws_get_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *PowerW, uint32_t *EnergyWs);
static int CircuitEnergyMeterValue_Ws_get_parse_request(const ds485_container_t *pFrameAnswer);
static int CircuitCurrentMeterValue_get_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *PowerW, uint16_t *PowerQ, uint16_t *Phi);
static int CircuitCurrentMeterValue_get_parse_request(const ds485_container_t *pFrameAnswer);

static int CircuitPingDevices_automatic_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_PING_DEVICES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_PING_DEVICES_AUTOMATIC) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitPingDevices_automatic_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *IntervalTime)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_PING_DEVICES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_PING_DEVICES_AUTOMATIC) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (IntervalTime != NULL)
    {
        *IntervalTime = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int CircuitPingDevices_automatic(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t IntervalTime)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CIRCUIT_PING_DEVICES);
    SetModifier(pFrame, CIRCUIT_PING_DEVICES_AUTOMATIC);
    RequestSetData16(pFrame, 0, IntervalTime);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return CircuitPingDevices_automatic_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int CircuitPingDevices_one_time_automatic_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_PING_DEVICES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_PING_DEVICES_ONE_TIME_AUTOMATIC) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitPingDevices_one_time_automatic_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *OneTimeIntervalTime, uint16_t *AutoIntervalTime)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_PING_DEVICES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_PING_DEVICES_ONE_TIME_AUTOMATIC) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (OneTimeIntervalTime != NULL)
    {
        *OneTimeIntervalTime = RequestGetData16(*pFrameAnswer, 0);
    }
    if (AutoIntervalTime != NULL)
    {
        *AutoIntervalTime = RequestGetData16(*pFrameAnswer, 2);
    }
    return 0;
}

int CircuitPingDevices_one_time_automatic(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t OneTimeIntervalTime, uint16_t AutoIntervalTime)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CIRCUIT_PING_DEVICES);
    SetModifier(pFrame, CIRCUIT_PING_DEVICES_ONE_TIME_AUTOMATIC);
    RequestSetData16(pFrame, 0, OneTimeIntervalTime);
    RequestSetData16(pFrame, 2, AutoIntervalTime);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return CircuitPingDevices_one_time_automatic_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int CircuitPingDevices_one_time_off_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_PING_DEVICES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_PING_DEVICES_ONE_TIME_OFF) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitPingDevices_one_time_off_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *IntervalTime)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_PING_DEVICES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_PING_DEVICES_ONE_TIME_OFF) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (IntervalTime != NULL)
    {
        *IntervalTime = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int CircuitPingDevices_one_time_off(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t IntervalTime)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CIRCUIT_PING_DEVICES);
    SetModifier(pFrame, CIRCUIT_PING_DEVICES_ONE_TIME_OFF);
    RequestSetData16(pFrame, 0, IntervalTime);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return CircuitPingDevices_one_time_off_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int CircuitPingDevices_off_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_PING_DEVICES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_PING_DEVICES_OFF) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitPingDevices_off_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_PING_DEVICES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_PING_DEVICES_OFF) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int CircuitPingDevices_off(DsmApiHandle_t handle, dsuid_t dSMdSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CIRCUIT_PING_DEVICES);
    SetModifier(pFrame, CIRCUIT_PING_DEVICES_OFF);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return CircuitPingDevices_off_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int CircuitEnergyMeterValue_get_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *PowerW, uint32_t *EnergyWh)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE_GET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (PowerW != NULL)
    {
        *PowerW = ResponseGetData32(*pFrameAnswer, 0);
    }
    if (EnergyWh != NULL)
    {
        *EnergyWh = ResponseGetData32(*pFrameAnswer, 4);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitEnergyMeterValue_get_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE_GET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int CircuitEnergyMeterValue_get(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint32_t *PowerW, uint32_t *EnergyWh)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CIRCUIT_ENERGY_METER_VALUE);
    SetModifier(pFrame, CIRCUIT_ENERGY_METER_VALUE_GET);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return CircuitEnergyMeterValue_get_parse_response(&pFrameAnswer, PowerW, EnergyWh);
    }
    else
    {
        return result;
    }
}

static int CircuitEnergyMeterValue_reset_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *PowerW, uint32_t *EnergyWh)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE_RESET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (PowerW != NULL)
    {
        *PowerW = ResponseGetData32(*pFrameAnswer, 0);
    }
    if (EnergyWh != NULL)
    {
        *EnergyWh = ResponseGetData32(*pFrameAnswer, 4);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitEnergyMeterValue_reset_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE_RESET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int CircuitEnergyMeterValue_reset(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint32_t *PowerW, uint32_t *EnergyWh)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CIRCUIT_ENERGY_METER_VALUE);
    SetModifier(pFrame, CIRCUIT_ENERGY_METER_VALUE_RESET);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return CircuitEnergyMeterValue_reset_parse_response(&pFrameAnswer, PowerW, EnergyWh);
    }
    else
    {
        return result;
    }
}

static int CircuitEnergyMeterValue_calibration_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *Uaverage, uint16_t *I14average, uint16_t *I180average, uint32_t *PActiveLow, uint32_t *PActiveHigh)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE_CALIBRATION) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Uaverage != NULL)
    {
        *Uaverage = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (I14average != NULL)
    {
        *I14average = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (I180average != NULL)
    {
        *I180average = ResponseGetData16(*pFrameAnswer, 4);
    }
    if (PActiveLow != NULL)
    {
        *PActiveLow = ResponseGetData32(*pFrameAnswer, 6);
    }
    if (PActiveHigh != NULL)
    {
        *PActiveHigh = ResponseGetData32(*pFrameAnswer, 10);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitEnergyMeterValue_calibration_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE_CALIBRATION) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int CircuitEnergyMeterValue_calibration(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t *Uaverage, uint16_t *I14average, uint16_t *I180average, uint32_t *PActiveLow, uint32_t *PActiveHigh)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CIRCUIT_ENERGY_METER_VALUE);
    SetModifier(pFrame, CIRCUIT_ENERGY_METER_VALUE_CALIBRATION);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return CircuitEnergyMeterValue_calibration_parse_response(&pFrameAnswer, Uaverage, I14average, I180average, PActiveLow, PActiveHigh);
    }
    else
    {
        return result;
    }
}

static int CircuitEnergyMeterValue_Ws_get_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *PowerW, uint32_t *EnergyWs)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE_WS_GET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (PowerW != NULL)
    {
        *PowerW = ResponseGetData32(*pFrameAnswer, 0);
    }
    if (EnergyWs != NULL)
    {
        *EnergyWs = ResponseGetData32(*pFrameAnswer, 4);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitEnergyMeterValue_Ws_get_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_ENERGY_METER_VALUE_WS_GET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int CircuitEnergyMeterValue_Ws_get(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint32_t *PowerW, uint32_t *EnergyWs)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CIRCUIT_ENERGY_METER_VALUE);
    SetModifier(pFrame, CIRCUIT_ENERGY_METER_VALUE_WS_GET);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return CircuitEnergyMeterValue_Ws_get_parse_response(&pFrameAnswer, PowerW, EnergyWs);
    }
    else
    {
        return result;
    }
}

static int CircuitCurrentMeterValue_get_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *PowerW, uint16_t *PowerQ, uint16_t *Phi)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_CURRENT_METER_VALUE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_CURRENT_METER_VALUE_GET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (PowerW != NULL)
    {
        *PowerW = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (PowerQ != NULL)
    {
        *PowerQ = ResponseGetData16(*pFrameAnswer, 2);
    }
    if (Phi != NULL)
    {
        *Phi = ResponseGetData16(*pFrameAnswer, 4);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int CircuitCurrentMeterValue_get_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != CIRCUIT_CURRENT_METER_VALUE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != CIRCUIT_CURRENT_METER_VALUE_GET) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int CircuitCurrentMeterValue_get(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t *PowerW, uint16_t *PowerQ, uint16_t *Phi)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, CIRCUIT_CURRENT_METER_VALUE);
    SetModifier(pFrame, CIRCUIT_CURRENT_METER_VALUE_GET);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return CircuitCurrentMeterValue_get_parse_response(&pFrameAnswer, PowerW, PowerQ, Phi);
    }
    else
    {
        return result;
    }
}

static int dSMInfo_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *HWVersion, uint32_t *ARMSWVersion, uint32_t *DSPSWVersion, uint16_t *ApiVersion, dsid_t *DSID, uint8_t *Name);
static int dSMInfo_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMProperties_set_name_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMProperties_set_name_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *Name);
static int dSMProperties_set_apartment_id_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMProperties_set_apartment_id_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *ApartmentId);
static int dSMProperties_set_temperature_limits_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMProperties_set_temperature_limits_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *WarnTemperature, uint8_t *ErrorTemperature);
static int dSMProperties_get_apartment_id_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *ApartmentId);
static int dSMProperties_get_apartment_id_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMProperties_get_temperature_limits_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *WarnTemperature, uint8_t *ErrorTemperature);
static int dSMProperties_get_temperature_limits_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMProperties_get_current_temperature_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *Temperature);
static int dSMProperties_get_current_temperature_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMProperties_set_flags_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMProperties_set_flags_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *Flags);
static int dSMProperties_get_flags_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Flags);
static int dSMProperties_get_flags_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMProperties_get_power_down_duration_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Duration);
static int dSMProperties_get_power_down_duration_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMProperties_set_ping_intervals_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMProperties_set_ping_intervals_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *AutoPingInterval, uint16_t *OnePingInterval);
static int dSMProperties_get_ping_intervals_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *AutoPingInterval, uint16_t *OnePingInterval);
static int dSMProperties_get_ping_intervals_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMProperties_get_max_temperature_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *MaxTemperature);
static int dSMProperties_get_max_temperature_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMProperties_reset_max_temperature_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMProperties_reset_max_temperature_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMProperties_set_upstream_frequency_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMProperties_set_upstream_frequency_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *UpstreamFrequency);
static int dSMProperties_get_upstream_frequency_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *UpstreamFrequency);
static int dSMProperties_get_upstream_frequency_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMProperties_get_apartment_state_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *State);
static int dSMProperties_get_apartment_state_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMState_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Hardware, uint8_t *DSP, uint8_t *Temperature, uint8_t *Config, uint8_t *dS485, uint8_t *Line);
static int dSMState_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMConfig_set_dSM_config_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMConfig_set_dSM_config_parse_request(const ds485_container_t *pFrameAnswer, dsid_t *DSID, uint32_t *HWVersion);
static int dSMConfig_get_DSP_config_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Size, uint8_t *Config);
static int dSMConfig_get_DSP_config_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMConfig_set_DSP_config_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMConfig_set_DSP_config_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *Size, uint8_t *Config);
static int dSMConfig_get_hash_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *Hash, uint32_t *ConfigurationCount, uint32_t *BinaryInputEventCount);
static int dSMConfig_get_hash_parse_request(const ds485_container_t *pFrameAnswer);
static int UserProtobufMessageRequest_parse_response(const ds485n_packet_t *pFrameAnswer, uint16_t *Response_Size, uint8_t *Response);
static int UserProtobufMessageRequest_parse_request(const ds485n_packet_t *pFrameAnswer, uint16_t *Request_Size, uint8_t *Request);
static int dSMStatistics_get_dS485_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *TxToken, uint16_t *TxStartupRequest, uint16_t *TxStartupResponse, uint16_t *TxJoinRequest, uint16_t *TxJoinResponse, uint16_t *TxGetAddressRequest, uint16_t *TxGetAddressResponse, uint16_t *TxSetAddressRequest, uint16_t *TxSetAddressResponse, uint16_t *TxSetSuccessorAddressRequest, uint16_t *TxSetSuccessorAddressResponse, uint16_t *TxResponse, uint16_t *TxDataRequest, uint16_t *TxDataResponse, uint16_t *TxDataEvent, uint16_t *RxResponse, uint16_t *RxDataRequest, uint16_t *RxDataResponse, uint16_t *RxDataEvent, uint16_t *StartRegisterStation, uint16_t *DoneRegisterStation, uint16_t *EnterOperational, uint16_t *SuccessorLost);
static int dSMStatistics_get_dS485_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMStatistics_reset_dS485_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMStatistics_reset_dS485_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMStatistics_get_upstream_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Length, uint8_t *Statistics);
static int dSMStatistics_get_upstream_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *Index);
static int dSMStatistics_reset_upstream_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMStatistics_reset_upstream_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMStatistics_get_internals_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *RxShortUpstream, uint32_t *RxLongUpstream, uint32_t *TxDownstream, uint32_t *TxErrorSelectA, uint32_t *TxErrorSelectB, uint32_t *DSPResets, uint32_t *DSPMsgSizeError, uint32_t *DSPMsgMagicError, uint32_t *DSPMsgUnknown);
static int dSMStatistics_get_internals_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMStatistics_reset_internals_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMStatistics_reset_internals_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMStatistics_get_pool_margins_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *SmallPoolMargin, uint8_t *MediumPoolMargin, uint8_t *LargePoolMargin, uint8_t *FreescaleQueueMargin, uint8_t *MMIQueueMargin, uint8_t *dSMAPIQueueMargin, uint8_t *DatamodelQueueMargin, uint8_t *SelectBQueueMargin, uint8_t *SelectAQueueMargin, uint8_t *SPIQueueMargin, uint8_t *dS485QueueMargin, uint8_t *ReceiverQueueMargin, uint8_t *dSMAPIDeferredQueue, uint8_t *dS485TxMessageQueue, uint8_t *dS485DeferredTxMessageQueue, uint8_t *FreescaleDeferredQueue, uint8_t *MMIDeferredQueue, uint8_t *SelectADeferredQueue, uint8_t *SelectBDeferredCommandQueue, uint8_t *SelectBDeferredDsuidQueue, uint8_t *SPIFrontPanelDeferredQueue, uint8_t *SPIPrioDeferredQueue, uint8_t *SPIDSPTxMessageQueue);
static int dSMStatistics_get_pool_margins_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMStatistics_get_stop_timer_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *LocalZoneId, uint8_t *GroupId, uint8_t *ButtonId, uint8_t *TimeOut, uint32_t *TimerCount);
static int dSMStatistics_get_stop_timer_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *Index);
static int dSMReboot_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMReboot_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMFactoryReset_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMFactoryReset_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *Password);
static int ImageMaintenance_check_image_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *ReadCRC, uint16_t *ComputedCRC);
static int ImageMaintenance_check_image_parse_request(const ds485_container_t *pFrameAnswer);
static int ImageMaintenance_get_image_info_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *ManufacturerId, uint32_t *DeviceId, uint32_t *ContentType, uint32_t *ContentSize, uint16_t *ContentCRC);
static int ImageMaintenance_get_image_info_parse_request(const ds485_container_t *pFrameAnswer);
static int ImageMaintenance_start_update_parse_response(const ds485_container_t *pFrameAnswer);
static int ImageMaintenance_start_update_parse_request(const ds485_container_t *pFrameAnswer);
static int ImageMaintenance_remove_image_parse_response(const ds485_container_t *pFrameAnswer);
static int ImageMaintenance_remove_image_parse_request(const ds485_container_t *pFrameAnswer);
static int ImageTransfer_write_request_parse_response(const ds485_container_t *pFrameAnswer);
static int ImageTransfer_write_request_parse_request(const ds485_container_t *pFrameAnswer, uint32_t *ManufacturerId, uint32_t *DeviceId, uint32_t *ContentType, uint32_t *ContentSize, uint16_t *ContentCRC);
static int ImageTransfer_data_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *ExpectedPacketNr, uint32_t *ReceivedPacketNr);
static int ImageTransfer_data_parse_request(const ds485_container_t *pFrameAnswer, uint32_t *PacketNr, uint8_t *Data);
static int EventDsmStateChange_parse_event(const ds485_container_t *pFrameAnswer, uint8_t *Hardware, uint8_t *DSP, uint8_t *Temperature, uint8_t *Config, uint8_t *dS485, uint8_t *Line);
static int EventDsmError_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *Error, uint32_t *Data);

static int dSMInfo_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *HWVersion, uint32_t *ARMSWVersion, uint32_t *DSPSWVersion, uint16_t *ApiVersion, dsid_t *DSID, uint8_t *Name)
{
    if (GetCommand(*pFrameAnswer) != DSM_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (HWVersion != NULL)
    {
        *HWVersion = ResponseGetData32(*pFrameAnswer, 0);
    }
    if (ARMSWVersion != NULL)
    {
        *ARMSWVersion = ResponseGetData32(*pFrameAnswer, 4);
    }
    if (DSPSWVersion != NULL)
    {
        *DSPSWVersion = ResponseGetData32(*pFrameAnswer, 8);
    }
    if (ApiVersion != NULL)
    {
        *ApiVersion = ResponseGetData16(*pFrameAnswer, 12);
    }
    if (DSID != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 14, DSID->id, 12);
    }
    if (Name != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 26, Name, 21);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMInfo_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_INFO) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMInfo(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint32_t *HWVersion, uint32_t *ARMSWVersion, uint32_t *DSPSWVersion, uint16_t *ApiVersion, dsid_t *DSID, uint8_t *Name)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_INFO);
    SetModifier(pFrame, 0);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMInfo_parse_response(&pFrameAnswer, HWVersion, ARMSWVersion, DSPSWVersion, ApiVersion, DSID, Name);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_set_name_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_SET_NAME) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_set_name_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *Name)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_SET_NAME) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Name != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 0, Name, 21);
    }
    return 0;
}

int dSMProperties_set_name(DsmApiHandle_t handle, dsuid_t dSMdSUID, const uint8_t *Name)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_SET_NAME);
    RequestSetArray8(pFrame, 0, Name, 21);
    SetParameterLength(pFrame, 21);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_set_name_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_set_apartment_id_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_SET_APARTMENT_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_set_apartment_id_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *ApartmentId)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_SET_APARTMENT_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ApartmentId != NULL)
    {
        *ApartmentId = RequestGetData8(*pFrameAnswer, 0);
    }
    return 0;
}

int dSMProperties_set_apartment_id(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t ApartmentId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_SET_APARTMENT_ID);
    RequestSetData8(pFrame, 0, ApartmentId);
    SetParameterLength(pFrame, 1);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_set_apartment_id_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_set_temperature_limits_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_SET_TEMPERATURE_LIMITS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_set_temperature_limits_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *WarnTemperature, uint8_t *ErrorTemperature)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_SET_TEMPERATURE_LIMITS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (WarnTemperature != NULL)
    {
        *WarnTemperature = RequestGetData8(*pFrameAnswer, 0);
    }
    if (ErrorTemperature != NULL)
    {
        *ErrorTemperature = RequestGetData8(*pFrameAnswer, 1);
    }
    return 0;
}

int dSMProperties_set_temperature_limits(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t WarnTemperature, uint8_t ErrorTemperature)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_SET_TEMPERATURE_LIMITS);
    RequestSetData8(pFrame, 0, WarnTemperature);
    RequestSetData8(pFrame, 1, ErrorTemperature);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_set_temperature_limits_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_get_apartment_id_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *ApartmentId)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_APARTMENT_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ApartmentId != NULL)
    {
        *ApartmentId = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_get_apartment_id_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_APARTMENT_ID) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMProperties_get_apartment_id(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *ApartmentId)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_GET_APARTMENT_ID);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_get_apartment_id_parse_response(&pFrameAnswer, ApartmentId);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_get_temperature_limits_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *WarnTemperature, uint8_t *ErrorTemperature)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_TEMPERATURE_LIMITS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (WarnTemperature != NULL)
    {
        *WarnTemperature = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (ErrorTemperature != NULL)
    {
        *ErrorTemperature = ResponseGetData8(*pFrameAnswer, 1);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_get_temperature_limits_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_TEMPERATURE_LIMITS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMProperties_get_temperature_limits(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *WarnTemperature, uint8_t *ErrorTemperature)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_GET_TEMPERATURE_LIMITS);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_get_temperature_limits_parse_response(&pFrameAnswer, WarnTemperature, ErrorTemperature);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_get_current_temperature_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *Temperature)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_CURRENT_TEMPERATURE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Temperature != NULL)
    {
        *Temperature = ResponseGetData16(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_get_current_temperature_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_CURRENT_TEMPERATURE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMProperties_get_current_temperature(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t *Temperature)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_GET_CURRENT_TEMPERATURE);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_get_current_temperature_parse_response(&pFrameAnswer, Temperature);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_set_flags_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_SET_FLAGS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_set_flags_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *Flags)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_SET_FLAGS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Flags != NULL)
    {
        *Flags = RequestGetData8(*pFrameAnswer, 0);
    }
    return 0;
}

int dSMProperties_set_flags(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t Flags)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_SET_FLAGS);
    RequestSetData8(pFrame, 0, Flags);
    SetParameterLength(pFrame, 1);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_set_flags_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_get_flags_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Flags)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_FLAGS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Flags != NULL)
    {
        *Flags = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_get_flags_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_FLAGS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMProperties_get_flags(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *Flags)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_GET_FLAGS);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_get_flags_parse_response(&pFrameAnswer, Flags);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_get_power_down_duration_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Duration)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_POWER_DOWN_DURATION) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Duration != NULL)
    {
        *Duration = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_get_power_down_duration_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_POWER_DOWN_DURATION) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMProperties_get_power_down_duration(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *Duration)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_GET_POWER_DOWN_DURATION);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_get_power_down_duration_parse_response(&pFrameAnswer, Duration);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_set_ping_intervals_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_SET_PING_INTERVALS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_set_ping_intervals_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *AutoPingInterval, uint16_t *OnePingInterval)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_SET_PING_INTERVALS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (AutoPingInterval != NULL)
    {
        *AutoPingInterval = RequestGetData16(*pFrameAnswer, 0);
    }
    if (OnePingInterval != NULL)
    {
        *OnePingInterval = RequestGetData16(*pFrameAnswer, 2);
    }
    return 0;
}

int dSMProperties_set_ping_intervals(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t AutoPingInterval, uint16_t OnePingInterval)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_SET_PING_INTERVALS);
    RequestSetData16(pFrame, 0, AutoPingInterval);
    RequestSetData16(pFrame, 2, OnePingInterval);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_set_ping_intervals_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_get_ping_intervals_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *AutoPingInterval, uint16_t *OnePingInterval)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_PING_INTERVALS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (AutoPingInterval != NULL)
    {
        *AutoPingInterval = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (OnePingInterval != NULL)
    {
        *OnePingInterval = ResponseGetData16(*pFrameAnswer, 2);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_get_ping_intervals_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_PING_INTERVALS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMProperties_get_ping_intervals(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t *AutoPingInterval, uint16_t *OnePingInterval)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_GET_PING_INTERVALS);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_get_ping_intervals_parse_response(&pFrameAnswer, AutoPingInterval, OnePingInterval);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_get_max_temperature_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *MaxTemperature)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_MAX_TEMPERATURE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (MaxTemperature != NULL)
    {
        *MaxTemperature = ResponseGetData16(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_get_max_temperature_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_MAX_TEMPERATURE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMProperties_get_max_temperature(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t *MaxTemperature)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_GET_MAX_TEMPERATURE);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_get_max_temperature_parse_response(&pFrameAnswer, MaxTemperature);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_reset_max_temperature_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_RESET_MAX_TEMPERATURE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_reset_max_temperature_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_RESET_MAX_TEMPERATURE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMProperties_reset_max_temperature(DsmApiHandle_t handle, dsuid_t dSMdSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_RESET_MAX_TEMPERATURE);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_reset_max_temperature_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_set_upstream_frequency_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_SET_UPSTREAM_FREQUENCY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_set_upstream_frequency_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *UpstreamFrequency)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_SET_UPSTREAM_FREQUENCY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (UpstreamFrequency != NULL)
    {
        *UpstreamFrequency = RequestGetData8(*pFrameAnswer, 0);
    }
    return 0;
}

int dSMProperties_set_upstream_frequency(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t UpstreamFrequency)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_SET_UPSTREAM_FREQUENCY);
    RequestSetData8(pFrame, 0, UpstreamFrequency);
    SetParameterLength(pFrame, 1);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_set_upstream_frequency_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_get_upstream_frequency_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *UpstreamFrequency)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_UPSTREAM_FREQUENCY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (UpstreamFrequency != NULL)
    {
        *UpstreamFrequency = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_get_upstream_frequency_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_UPSTREAM_FREQUENCY) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMProperties_get_upstream_frequency(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *UpstreamFrequency)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_GET_UPSTREAM_FREQUENCY);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_get_upstream_frequency_parse_response(&pFrameAnswer, UpstreamFrequency);
    }
    else
    {
        return result;
    }
}

static int dSMProperties_get_apartment_state_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *State)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_APARTMENT_STATE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (State != NULL)
    {
        *State = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMProperties_get_apartment_state_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_PROPERTIES) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_PROPERTIES_GET_APARTMENT_STATE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMProperties_get_apartment_state(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *State)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_PROPERTIES);
    SetModifier(pFrame, DSM_PROPERTIES_GET_APARTMENT_STATE);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMProperties_get_apartment_state_parse_response(&pFrameAnswer, State);
    }
    else
    {
        return result;
    }
}

static int dSMState_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Hardware, uint8_t *DSP, uint8_t *Temperature, uint8_t *Config, uint8_t *dS485, uint8_t *Line)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Hardware != NULL)
    {
        *Hardware = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (DSP != NULL)
    {
        *DSP = ResponseGetData8(*pFrameAnswer, 1);
    }
    if (Temperature != NULL)
    {
        *Temperature = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (Config != NULL)
    {
        *Config = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (dS485 != NULL)
    {
        *dS485 = ResponseGetData8(*pFrameAnswer, 4);
    }
    if (Line != NULL)
    {
        *Line = ResponseGetData8(*pFrameAnswer, 5);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMState_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMState(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *Hardware, uint8_t *DSP, uint8_t *Temperature, uint8_t *Config, uint8_t *dS485, uint8_t *Line)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_STATE);
    SetModifier(pFrame, 0);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMState_parse_response(&pFrameAnswer, Hardware, DSP, Temperature, Config, dS485, Line);
    }
    else
    {
        return result;
    }
}

static int dSMConfig_set_dSM_config_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_CONFIG_SET_DSM_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMConfig_set_dSM_config_parse_request(const ds485_container_t *pFrameAnswer, dsid_t *DSID, uint32_t *HWVersion)
{
    if (GetCommand(*pFrameAnswer) != DSM_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_CONFIG_SET_DSM_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DSID != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 0, DSID->id, 12);
    }
    if (HWVersion != NULL)
    {
        *HWVersion = RequestGetData32(*pFrameAnswer, 12);
    }
    return 0;
}

int dSMConfig_set_dSM_config(DsmApiHandle_t handle, dsuid_t dSMdSUID, dsid_t DSID, uint32_t HWVersion)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_CONFIG);
    SetModifier(pFrame, DSM_CONFIG_SET_DSM_CONFIG);
    RequestSetArray8(pFrame, 0, DSID.id, 12);
    RequestSetData32(pFrame, 12, HWVersion);
    SetParameterLength(pFrame, 16);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMConfig_set_dSM_config_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMConfig_get_DSP_config_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Size, uint8_t *Config)
{
    if (GetCommand(*pFrameAnswer) != DSM_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_CONFIG_GET_DSP_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Size != NULL)
    {
        *Size = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (Config != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 1, Config, 96);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMConfig_get_DSP_config_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_CONFIG_GET_DSP_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMConfig_get_DSP_config(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *Size, uint8_t *Config)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_CONFIG);
    SetModifier(pFrame, DSM_CONFIG_GET_DSP_CONFIG);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMConfig_get_DSP_config_parse_response(&pFrameAnswer, Size, Config);
    }
    else
    {
        return result;
    }
}

static int dSMConfig_set_DSP_config_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_CONFIG_SET_DSP_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMConfig_set_DSP_config_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *Size, uint8_t *Config)
{
    if (GetCommand(*pFrameAnswer) != DSM_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_CONFIG_SET_DSP_CONFIG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Size != NULL)
    {
        *Size = RequestGetData8(*pFrameAnswer, 0);
    }
    if (Config != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 1, Config, 96);
    }
    return 0;
}

int dSMConfig_set_DSP_config(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t Size, const uint8_t *Config)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_CONFIG);
    SetModifier(pFrame, DSM_CONFIG_SET_DSP_CONFIG);
    RequestSetData8(pFrame, 0, Size);
    RequestSetArray8(pFrame, 1, Config, 96);
    SetParameterLength(pFrame, 97);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMConfig_set_DSP_config_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMConfig_get_hash_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *Hash, uint32_t *ConfigurationCount, uint32_t *BinaryInputEventCount)
{
    if (GetCommand(*pFrameAnswer) != DSM_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_CONFIG_GET_HASH) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Hash != NULL)
    {
        *Hash = ResponseGetData32(*pFrameAnswer, 0);
    }
    if (ConfigurationCount != NULL)
    {
        *ConfigurationCount = ResponseGetData32(*pFrameAnswer, 4);
    }
    if (BinaryInputEventCount != NULL)
    {
        *BinaryInputEventCount = ResponseGetData32(*pFrameAnswer, 8);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMConfig_get_hash_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_CONFIG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_CONFIG_GET_HASH) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMConfig_get_hash(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint32_t *Hash, uint32_t *ConfigurationCount, uint32_t *BinaryInputEventCount)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_CONFIG);
    SetModifier(pFrame, DSM_CONFIG_GET_HASH);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMConfig_get_hash_parse_response(&pFrameAnswer, Hash, ConfigurationCount, BinaryInputEventCount);
    }
    else
    {
        return result;
    }
}

static int UserProtobufMessageRequest_parse_response(const ds485n_packet_t *pFrameAnswer, uint16_t *Response_Size, uint8_t *Response)
{
    if (GetCommand(*pFrameAnswer) != USER_PROTOBUF_MESSAGE_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Response_Size != NULL)
    {
        *Response_Size = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (Response != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 2, Response, (*Response_Size < 4096) ? *Response_Size : 4096);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int UserProtobufMessageRequest_parse_request(const ds485n_packet_t *pFrameAnswer, uint16_t *Request_Size, uint8_t *Request)
{
    if (GetCommand(*pFrameAnswer) != USER_PROTOBUF_MESSAGE_REQUEST) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Request_Size != NULL)
    {
        *Request_Size = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Request != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 2, Request, (*Request_Size < 4096) ? *Request_Size : 4096);
    }
    return 0;
}

int UserProtobufMessageRequest(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t Request_Size, const uint8_t *Request, uint16_t *Response_Size, uint8_t *Response)
{
    ds485n_packet_t pFrame;
    ds485n_packet_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485n_packet_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, USER_PROTOBUF_MESSAGE_REQUEST);
    SetModifier(pFrame, 0);
    RequestSetData16(pFrame, 0, Request_Size);
    RequestSetArray8(pFrame, 2, Request, (Request_Size < 4096) ? Request_Size : 4096);
    SetParameterLength(pFrame, 2+Request_Size);

    result = ds485_client_send_sync_long_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return UserProtobufMessageRequest_parse_response(&pFrameAnswer, Response_Size, Response);
    }
    else
    {
        return result;
    }
}

static int dSMStatistics_get_dS485_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *TxToken, uint16_t *TxStartupRequest, uint16_t *TxStartupResponse, uint16_t *TxJoinRequest, uint16_t *TxJoinResponse, uint16_t *TxGetAddressRequest, uint16_t *TxGetAddressResponse, uint16_t *TxSetAddressRequest, uint16_t *TxSetAddressResponse, uint16_t *TxSetSuccessorAddressRequest, uint16_t *TxSetSuccessorAddressResponse, uint16_t *TxResponse, uint16_t *TxDataRequest, uint16_t *TxDataResponse, uint16_t *TxDataEvent, uint16_t *RxResponse, uint16_t *RxDataRequest, uint16_t *RxDataResponse, uint16_t *RxDataEvent, uint16_t *StartRegisterStation, uint16_t *DoneRegisterStation, uint16_t *EnterOperational, uint16_t *SuccessorLost)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_GET_DS485) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (TxToken != NULL)
    {
        *TxToken = ResponseGetData32(*pFrameAnswer, 0);
    }
    if (TxStartupRequest != NULL)
    {
        *TxStartupRequest = ResponseGetData16(*pFrameAnswer, 4);
    }
    if (TxStartupResponse != NULL)
    {
        *TxStartupResponse = ResponseGetData16(*pFrameAnswer, 6);
    }
    if (TxJoinRequest != NULL)
    {
        *TxJoinRequest = ResponseGetData16(*pFrameAnswer, 8);
    }
    if (TxJoinResponse != NULL)
    {
        *TxJoinResponse = ResponseGetData16(*pFrameAnswer, 10);
    }
    if (TxGetAddressRequest != NULL)
    {
        *TxGetAddressRequest = ResponseGetData16(*pFrameAnswer, 12);
    }
    if (TxGetAddressResponse != NULL)
    {
        *TxGetAddressResponse = ResponseGetData16(*pFrameAnswer, 14);
    }
    if (TxSetAddressRequest != NULL)
    {
        *TxSetAddressRequest = ResponseGetData16(*pFrameAnswer, 16);
    }
    if (TxSetAddressResponse != NULL)
    {
        *TxSetAddressResponse = ResponseGetData16(*pFrameAnswer, 18);
    }
    if (TxSetSuccessorAddressRequest != NULL)
    {
        *TxSetSuccessorAddressRequest = ResponseGetData16(*pFrameAnswer, 20);
    }
    if (TxSetSuccessorAddressResponse != NULL)
    {
        *TxSetSuccessorAddressResponse = ResponseGetData16(*pFrameAnswer, 22);
    }
    if (TxResponse != NULL)
    {
        *TxResponse = ResponseGetData16(*pFrameAnswer, 24);
    }
    if (TxDataRequest != NULL)
    {
        *TxDataRequest = ResponseGetData16(*pFrameAnswer, 26);
    }
    if (TxDataResponse != NULL)
    {
        *TxDataResponse = ResponseGetData16(*pFrameAnswer, 28);
    }
    if (TxDataEvent != NULL)
    {
        *TxDataEvent = ResponseGetData16(*pFrameAnswer, 30);
    }
    if (RxResponse != NULL)
    {
        *RxResponse = ResponseGetData16(*pFrameAnswer, 32);
    }
    if (RxDataRequest != NULL)
    {
        *RxDataRequest = ResponseGetData16(*pFrameAnswer, 34);
    }
    if (RxDataResponse != NULL)
    {
        *RxDataResponse = ResponseGetData16(*pFrameAnswer, 36);
    }
    if (RxDataEvent != NULL)
    {
        *RxDataEvent = ResponseGetData16(*pFrameAnswer, 38);
    }
    if (StartRegisterStation != NULL)
    {
        *StartRegisterStation = ResponseGetData16(*pFrameAnswer, 40);
    }
    if (DoneRegisterStation != NULL)
    {
        *DoneRegisterStation = ResponseGetData16(*pFrameAnswer, 42);
    }
    if (EnterOperational != NULL)
    {
        *EnterOperational = ResponseGetData16(*pFrameAnswer, 44);
    }
    if (SuccessorLost != NULL)
    {
        *SuccessorLost = ResponseGetData16(*pFrameAnswer, 46);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMStatistics_get_dS485_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_GET_DS485) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMStatistics_get_dS485(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint32_t *TxToken, uint16_t *TxStartupRequest, uint16_t *TxStartupResponse, uint16_t *TxJoinRequest, uint16_t *TxJoinResponse, uint16_t *TxGetAddressRequest, uint16_t *TxGetAddressResponse, uint16_t *TxSetAddressRequest, uint16_t *TxSetAddressResponse, uint16_t *TxSetSuccessorAddressRequest, uint16_t *TxSetSuccessorAddressResponse, uint16_t *TxResponse, uint16_t *TxDataRequest, uint16_t *TxDataResponse, uint16_t *TxDataEvent, uint16_t *RxResponse, uint16_t *RxDataRequest, uint16_t *RxDataResponse, uint16_t *RxDataEvent, uint16_t *StartRegisterStation, uint16_t *DoneRegisterStation, uint16_t *EnterOperational, uint16_t *SuccessorLost)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_STATISTICS);
    SetModifier(pFrame, DSM_STATISTICS_GET_DS485);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return dSMStatistics_get_dS485_parse_response(&pFrameAnswer, TxToken, TxStartupRequest, TxStartupResponse, TxJoinRequest, TxJoinResponse, TxGetAddressRequest, TxGetAddressResponse, TxSetAddressRequest, TxSetAddressResponse, TxSetSuccessorAddressRequest, TxSetSuccessorAddressResponse, TxResponse, TxDataRequest, TxDataResponse, TxDataEvent, RxResponse, RxDataRequest, RxDataResponse, RxDataEvent, StartRegisterStation, DoneRegisterStation, EnterOperational, SuccessorLost);
    }
    else
    {
        return result;
    }
}

static int dSMStatistics_reset_dS485_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_RESET_DS485) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMStatistics_reset_dS485_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_RESET_DS485) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMStatistics_reset_dS485(DsmApiHandle_t handle, dsuid_t dSMdSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_STATISTICS);
    SetModifier(pFrame, DSM_STATISTICS_RESET_DS485);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return dSMStatistics_reset_dS485_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMStatistics_get_upstream_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Length, uint8_t *Statistics)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_GET_UPSTREAM) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Length != NULL)
    {
        *Length = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (Statistics != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 1, Statistics, 96);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMStatistics_get_upstream_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *Index)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_GET_UPSTREAM) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Index != NULL)
    {
        *Index = RequestGetData8(*pFrameAnswer, 0);
    }
    return 0;
}

int dSMStatistics_get_upstream(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t Index, uint8_t *Length, uint8_t *Statistics)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_STATISTICS);
    SetModifier(pFrame, DSM_STATISTICS_GET_UPSTREAM);
    RequestSetData8(pFrame, 0, Index);
    SetParameterLength(pFrame, 1);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return dSMStatistics_get_upstream_parse_response(&pFrameAnswer, Length, Statistics);
    }
    else
    {
        return result;
    }
}

static int dSMStatistics_reset_upstream_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_RESET_UPSTREAM) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMStatistics_reset_upstream_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_RESET_UPSTREAM) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMStatistics_reset_upstream(DsmApiHandle_t handle, dsuid_t dSMdSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_STATISTICS);
    SetModifier(pFrame, DSM_STATISTICS_RESET_UPSTREAM);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return dSMStatistics_reset_upstream_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMStatistics_get_internals_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *RxShortUpstream, uint32_t *RxLongUpstream, uint32_t *TxDownstream, uint32_t *TxErrorSelectA, uint32_t *TxErrorSelectB, uint32_t *DSPResets, uint32_t *DSPMsgSizeError, uint32_t *DSPMsgMagicError, uint32_t *DSPMsgUnknown)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_GET_INTERNALS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (RxShortUpstream != NULL)
    {
        *RxShortUpstream = ResponseGetData32(*pFrameAnswer, 0);
    }
    if (RxLongUpstream != NULL)
    {
        *RxLongUpstream = ResponseGetData32(*pFrameAnswer, 4);
    }
    if (TxDownstream != NULL)
    {
        *TxDownstream = ResponseGetData32(*pFrameAnswer, 8);
    }
    if (TxErrorSelectA != NULL)
    {
        *TxErrorSelectA = ResponseGetData32(*pFrameAnswer, 12);
    }
    if (TxErrorSelectB != NULL)
    {
        *TxErrorSelectB = ResponseGetData32(*pFrameAnswer, 16);
    }
    if (DSPResets != NULL)
    {
        *DSPResets = ResponseGetData32(*pFrameAnswer, 20);
    }
    if (DSPMsgSizeError != NULL)
    {
        *DSPMsgSizeError = ResponseGetData32(*pFrameAnswer, 24);
    }
    if (DSPMsgMagicError != NULL)
    {
        *DSPMsgMagicError = ResponseGetData32(*pFrameAnswer, 28);
    }
    if (DSPMsgUnknown != NULL)
    {
        *DSPMsgUnknown = ResponseGetData32(*pFrameAnswer, 32);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMStatistics_get_internals_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_GET_INTERNALS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMStatistics_get_internals(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint32_t *RxShortUpstream, uint32_t *RxLongUpstream, uint32_t *TxDownstream, uint32_t *TxErrorSelectA, uint32_t *TxErrorSelectB, uint32_t *DSPResets, uint32_t *DSPMsgSizeError, uint32_t *DSPMsgMagicError, uint32_t *DSPMsgUnknown)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_STATISTICS);
    SetModifier(pFrame, DSM_STATISTICS_GET_INTERNALS);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return dSMStatistics_get_internals_parse_response(&pFrameAnswer, RxShortUpstream, RxLongUpstream, TxDownstream, TxErrorSelectA, TxErrorSelectB, DSPResets, DSPMsgSizeError, DSPMsgMagicError, DSPMsgUnknown);
    }
    else
    {
        return result;
    }
}

static int dSMStatistics_reset_internals_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_RESET_INTERNALS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMStatistics_reset_internals_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_RESET_INTERNALS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMStatistics_reset_internals(DsmApiHandle_t handle, dsuid_t dSMdSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_STATISTICS);
    SetModifier(pFrame, DSM_STATISTICS_RESET_INTERNALS);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return dSMStatistics_reset_internals_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMStatistics_get_pool_margins_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *SmallPoolMargin, uint8_t *MediumPoolMargin, uint8_t *LargePoolMargin, uint8_t *FreescaleQueueMargin, uint8_t *MMIQueueMargin, uint8_t *dSMAPIQueueMargin, uint8_t *DatamodelQueueMargin, uint8_t *SelectBQueueMargin, uint8_t *SelectAQueueMargin, uint8_t *SPIQueueMargin, uint8_t *dS485QueueMargin, uint8_t *ReceiverQueueMargin, uint8_t *dSMAPIDeferredQueue, uint8_t *dS485TxMessageQueue, uint8_t *dS485DeferredTxMessageQueue, uint8_t *FreescaleDeferredQueue, uint8_t *MMIDeferredQueue, uint8_t *SelectADeferredQueue, uint8_t *SelectBDeferredCommandQueue, uint8_t *SelectBDeferredDsuidQueue, uint8_t *SPIFrontPanelDeferredQueue, uint8_t *SPIPrioDeferredQueue, uint8_t *SPIDSPTxMessageQueue)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_GET_POOL_MARGINS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (SmallPoolMargin != NULL)
    {
        *SmallPoolMargin = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (MediumPoolMargin != NULL)
    {
        *MediumPoolMargin = ResponseGetData8(*pFrameAnswer, 1);
    }
    if (LargePoolMargin != NULL)
    {
        *LargePoolMargin = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (FreescaleQueueMargin != NULL)
    {
        *FreescaleQueueMargin = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (MMIQueueMargin != NULL)
    {
        *MMIQueueMargin = ResponseGetData8(*pFrameAnswer, 4);
    }
    if (dSMAPIQueueMargin != NULL)
    {
        *dSMAPIQueueMargin = ResponseGetData8(*pFrameAnswer, 5);
    }
    if (DatamodelQueueMargin != NULL)
    {
        *DatamodelQueueMargin = ResponseGetData8(*pFrameAnswer, 6);
    }
    if (SelectBQueueMargin != NULL)
    {
        *SelectBQueueMargin = ResponseGetData8(*pFrameAnswer, 7);
    }
    if (SelectAQueueMargin != NULL)
    {
        *SelectAQueueMargin = ResponseGetData8(*pFrameAnswer, 8);
    }
    if (SPIQueueMargin != NULL)
    {
        *SPIQueueMargin = ResponseGetData8(*pFrameAnswer, 9);
    }
    if (dS485QueueMargin != NULL)
    {
        *dS485QueueMargin = ResponseGetData8(*pFrameAnswer, 10);
    }
    if (ReceiverQueueMargin != NULL)
    {
        *ReceiverQueueMargin = ResponseGetData8(*pFrameAnswer, 11);
    }
    if (dSMAPIDeferredQueue != NULL)
    {
        *dSMAPIDeferredQueue = ResponseGetData8(*pFrameAnswer, 12);
    }
    if (dS485TxMessageQueue != NULL)
    {
        *dS485TxMessageQueue = ResponseGetData8(*pFrameAnswer, 13);
    }
    if (dS485DeferredTxMessageQueue != NULL)
    {
        *dS485DeferredTxMessageQueue = ResponseGetData8(*pFrameAnswer, 14);
    }
    if (FreescaleDeferredQueue != NULL)
    {
        *FreescaleDeferredQueue = ResponseGetData8(*pFrameAnswer, 15);
    }
    if (MMIDeferredQueue != NULL)
    {
        *MMIDeferredQueue = ResponseGetData8(*pFrameAnswer, 16);
    }
    if (SelectADeferredQueue != NULL)
    {
        *SelectADeferredQueue = ResponseGetData8(*pFrameAnswer, 17);
    }
    if (SelectBDeferredCommandQueue != NULL)
    {
        *SelectBDeferredCommandQueue = ResponseGetData8(*pFrameAnswer, 18);
    }
    if (SelectBDeferredDsuidQueue != NULL)
    {
        *SelectBDeferredDsuidQueue = ResponseGetData8(*pFrameAnswer, 19);
    }
    if (SPIFrontPanelDeferredQueue != NULL)
    {
        *SPIFrontPanelDeferredQueue = ResponseGetData8(*pFrameAnswer, 20);
    }
    if (SPIPrioDeferredQueue != NULL)
    {
        *SPIPrioDeferredQueue = ResponseGetData8(*pFrameAnswer, 21);
    }
    if (SPIDSPTxMessageQueue != NULL)
    {
        *SPIDSPTxMessageQueue = ResponseGetData8(*pFrameAnswer, 22);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMStatistics_get_pool_margins_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_GET_POOL_MARGINS) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMStatistics_get_pool_margins(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *SmallPoolMargin, uint8_t *MediumPoolMargin, uint8_t *LargePoolMargin, uint8_t *FreescaleQueueMargin, uint8_t *MMIQueueMargin, uint8_t *dSMAPIQueueMargin, uint8_t *DatamodelQueueMargin, uint8_t *SelectBQueueMargin, uint8_t *SelectAQueueMargin, uint8_t *SPIQueueMargin, uint8_t *dS485QueueMargin, uint8_t *ReceiverQueueMargin, uint8_t *dSMAPIDeferredQueue, uint8_t *dS485TxMessageQueue, uint8_t *dS485DeferredTxMessageQueue, uint8_t *FreescaleDeferredQueue, uint8_t *MMIDeferredQueue, uint8_t *SelectADeferredQueue, uint8_t *SelectBDeferredCommandQueue, uint8_t *SelectBDeferredDsuidQueue, uint8_t *SPIFrontPanelDeferredQueue, uint8_t *SPIPrioDeferredQueue, uint8_t *SPIDSPTxMessageQueue)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_STATISTICS);
    SetModifier(pFrame, DSM_STATISTICS_GET_POOL_MARGINS);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return dSMStatistics_get_pool_margins_parse_response(&pFrameAnswer, SmallPoolMargin, MediumPoolMargin, LargePoolMargin, FreescaleQueueMargin, MMIQueueMargin, dSMAPIQueueMargin, DatamodelQueueMargin, SelectBQueueMargin, SelectAQueueMargin, SPIQueueMargin, dS485QueueMargin, ReceiverQueueMargin, dSMAPIDeferredQueue, dS485TxMessageQueue, dS485DeferredTxMessageQueue, FreescaleDeferredQueue, MMIDeferredQueue, SelectADeferredQueue, SelectBDeferredCommandQueue, SelectBDeferredDsuidQueue, SPIFrontPanelDeferredQueue, SPIPrioDeferredQueue, SPIDSPTxMessageQueue);
    }
    else
    {
        return result;
    }
}

static int dSMStatistics_get_stop_timer_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *LocalZoneId, uint8_t *GroupId, uint8_t *ButtonId, uint8_t *TimeOut, uint32_t *TimerCount)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_GET_STOP_TIMER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (LocalZoneId != NULL)
    {
        *LocalZoneId = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = ResponseGetData8(*pFrameAnswer, 1);
    }
    if (ButtonId != NULL)
    {
        *ButtonId = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (TimeOut != NULL)
    {
        *TimeOut = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (TimerCount != NULL)
    {
        *TimerCount = ResponseGetData32(*pFrameAnswer, 4);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMStatistics_get_stop_timer_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *Index)
{
    if (GetCommand(*pFrameAnswer) != DSM_STATISTICS) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_STATISTICS_GET_STOP_TIMER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Index != NULL)
    {
        *Index = RequestGetData8(*pFrameAnswer, 0);
    }
    return 0;
}

int dSMStatistics_get_stop_timer(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t Index, uint8_t *LocalZoneId, uint8_t *GroupId, uint8_t *ButtonId, uint8_t *TimeOut, uint32_t *TimerCount)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_STATISTICS);
    SetModifier(pFrame, DSM_STATISTICS_GET_STOP_TIMER);
    RequestSetData8(pFrame, 0, Index);
    SetParameterLength(pFrame, 1);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 10);
    if (result == 0)
    {
        return dSMStatistics_get_stop_timer_parse_response(&pFrameAnswer, LocalZoneId, GroupId, ButtonId, TimeOut, TimerCount);
    }
    else
    {
        return result;
    }
}

static int dSMReboot_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_REBOOT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMReboot_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_REBOOT) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMReboot(DsmApiHandle_t handle, dsuid_t dSMdSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_REBOOT);
    SetModifier(pFrame, 0);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMReboot_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMFactoryReset_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_FACTORY_RESET) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMFactoryReset_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *Password)
{
    if (GetCommand(*pFrameAnswer) != DSM_FACTORY_RESET) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Password != NULL)
    {
        *Password = RequestGetData16(*pFrameAnswer, 0);
    }
    return 0;
}

int dSMFactoryReset(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t Password)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_FACTORY_RESET);
    SetModifier(pFrame, 0);
    RequestSetData16(pFrame, 0, Password);
    SetParameterLength(pFrame, 2);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMFactoryReset_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ImageMaintenance_check_image_parse_response(const ds485_container_t *pFrameAnswer, uint16_t *ReadCRC, uint16_t *ComputedCRC)
{
    if (GetCommand(*pFrameAnswer) != IMAGE_MAINTENANCE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != IMAGE_MAINTENANCE_CHECK_IMAGE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ReadCRC != NULL)
    {
        *ReadCRC = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (ComputedCRC != NULL)
    {
        *ComputedCRC = ResponseGetData16(*pFrameAnswer, 2);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ImageMaintenance_check_image_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != IMAGE_MAINTENANCE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != IMAGE_MAINTENANCE_CHECK_IMAGE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int ImageMaintenance_check_image(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t *ReadCRC, uint16_t *ComputedCRC)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, IMAGE_MAINTENANCE);
    SetModifier(pFrame, IMAGE_MAINTENANCE_CHECK_IMAGE);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ImageMaintenance_check_image_parse_response(&pFrameAnswer, ReadCRC, ComputedCRC);
    }
    else
    {
        return result;
    }
}

static int ImageMaintenance_get_image_info_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *ManufacturerId, uint32_t *DeviceId, uint32_t *ContentType, uint32_t *ContentSize, uint16_t *ContentCRC)
{
    if (GetCommand(*pFrameAnswer) != IMAGE_MAINTENANCE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != IMAGE_MAINTENANCE_GET_IMAGE_INFO) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ManufacturerId != NULL)
    {
        *ManufacturerId = ResponseGetData32(*pFrameAnswer, 0);
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData32(*pFrameAnswer, 4);
    }
    if (ContentType != NULL)
    {
        *ContentType = ResponseGetData32(*pFrameAnswer, 8);
    }
    if (ContentSize != NULL)
    {
        *ContentSize = ResponseGetData32(*pFrameAnswer, 12);
    }
    if (ContentCRC != NULL)
    {
        *ContentCRC = ResponseGetData16(*pFrameAnswer, 16);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ImageMaintenance_get_image_info_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != IMAGE_MAINTENANCE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != IMAGE_MAINTENANCE_GET_IMAGE_INFO) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int ImageMaintenance_get_image_info(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint32_t *ManufacturerId, uint32_t *DeviceId, uint32_t *ContentType, uint32_t *ContentSize, uint16_t *ContentCRC)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, IMAGE_MAINTENANCE);
    SetModifier(pFrame, IMAGE_MAINTENANCE_GET_IMAGE_INFO);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ImageMaintenance_get_image_info_parse_response(&pFrameAnswer, ManufacturerId, DeviceId, ContentType, ContentSize, ContentCRC);
    }
    else
    {
        return result;
    }
}

static int ImageMaintenance_start_update_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != IMAGE_MAINTENANCE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != IMAGE_MAINTENANCE_START_UPDATE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ImageMaintenance_start_update_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != IMAGE_MAINTENANCE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != IMAGE_MAINTENANCE_START_UPDATE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int ImageMaintenance_start_update(DsmApiHandle_t handle, dsuid_t dSMdSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, IMAGE_MAINTENANCE);
    SetModifier(pFrame, IMAGE_MAINTENANCE_START_UPDATE);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ImageMaintenance_start_update_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ImageMaintenance_remove_image_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != IMAGE_MAINTENANCE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != IMAGE_MAINTENANCE_REMOVE_IMAGE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ImageMaintenance_remove_image_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != IMAGE_MAINTENANCE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != IMAGE_MAINTENANCE_REMOVE_IMAGE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int ImageMaintenance_remove_image(DsmApiHandle_t handle, dsuid_t dSMdSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, IMAGE_MAINTENANCE);
    SetModifier(pFrame, IMAGE_MAINTENANCE_REMOVE_IMAGE);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ImageMaintenance_remove_image_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ImageTransfer_write_request_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != IMAGE_TRANSFER) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != IMAGE_TRANSFER_WRITE_REQUEST) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ImageTransfer_write_request_parse_request(const ds485_container_t *pFrameAnswer, uint32_t *ManufacturerId, uint32_t *DeviceId, uint32_t *ContentType, uint32_t *ContentSize, uint16_t *ContentCRC)
{
    if (GetCommand(*pFrameAnswer) != IMAGE_TRANSFER) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != IMAGE_TRANSFER_WRITE_REQUEST) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ManufacturerId != NULL)
    {
        *ManufacturerId = RequestGetData32(*pFrameAnswer, 0);
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData32(*pFrameAnswer, 4);
    }
    if (ContentType != NULL)
    {
        *ContentType = RequestGetData32(*pFrameAnswer, 8);
    }
    if (ContentSize != NULL)
    {
        *ContentSize = RequestGetData32(*pFrameAnswer, 12);
    }
    if (ContentCRC != NULL)
    {
        *ContentCRC = RequestGetData16(*pFrameAnswer, 16);
    }
    return 0;
}

int ImageTransfer_write_request(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint32_t ManufacturerId, uint32_t DeviceId, uint32_t ContentType, uint32_t ContentSize, uint16_t ContentCRC)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, IMAGE_TRANSFER);
    SetModifier(pFrame, IMAGE_TRANSFER_WRITE_REQUEST);
    RequestSetData32(pFrame, 0, ManufacturerId);
    RequestSetData32(pFrame, 4, DeviceId);
    RequestSetData32(pFrame, 8, ContentType);
    RequestSetData32(pFrame, 12, ContentSize);
    RequestSetData16(pFrame, 16, ContentCRC);
    SetParameterLength(pFrame, 18);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ImageTransfer_write_request_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ImageTransfer_data_parse_response(const ds485_container_t *pFrameAnswer, uint32_t *ExpectedPacketNr, uint32_t *ReceivedPacketNr)
{
    if (GetCommand(*pFrameAnswer) != IMAGE_TRANSFER) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != IMAGE_TRANSFER_DATA) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ExpectedPacketNr != NULL)
    {
        *ExpectedPacketNr = ResponseGetData32(*pFrameAnswer, 0);
    }
    if (ReceivedPacketNr != NULL)
    {
        *ReceivedPacketNr = ResponseGetData32(*pFrameAnswer, 4);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ImageTransfer_data_parse_request(const ds485_container_t *pFrameAnswer, uint32_t *PacketNr, uint8_t *Data)
{
    if (GetCommand(*pFrameAnswer) != IMAGE_TRANSFER) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != IMAGE_TRANSFER_DATA) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (PacketNr != NULL)
    {
        *PacketNr = RequestGetData32(*pFrameAnswer, 0);
    }
    if (Data != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 4, Data, 64);
    }
    return 0;
}

int ImageTransfer_data(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint32_t PacketNr, const uint8_t *Data, uint32_t *ExpectedPacketNr, uint32_t *ReceivedPacketNr)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, IMAGE_TRANSFER);
    SetModifier(pFrame, IMAGE_TRANSFER_DATA);
    RequestSetData32(pFrame, 0, PacketNr);
    RequestSetArray8(pFrame, 4, Data, 64);
    SetParameterLength(pFrame, 68);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ImageTransfer_data_parse_response(&pFrameAnswer, ExpectedPacketNr, ReceivedPacketNr);
    }
    else
    {
        return result;
    }
}

static int EventDsmStateChange_parse_event(const ds485_container_t *pFrameAnswer, uint8_t *Hardware, uint8_t *DSP, uint8_t *Temperature, uint8_t *Config, uint8_t *dS485, uint8_t *Line)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DSM_STATE_CHANGE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Hardware != NULL)
    {
        *Hardware = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (DSP != NULL)
    {
        *DSP = ResponseGetData8(*pFrameAnswer, 1);
    }
    if (Temperature != NULL)
    {
        *Temperature = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (Config != NULL)
    {
        *Config = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (dS485 != NULL)
    {
        *dS485 = ResponseGetData8(*pFrameAnswer, 4);
    }
    if (Line != NULL)
    {
        *Line = ResponseGetData8(*pFrameAnswer, 5);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDsmError_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *Error, uint32_t *Data)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DSM_ERROR) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Error != NULL)
    {
        *Error = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (Data != NULL)
    {
        *Data = ResponseGetData32(*pFrameAnswer, 2);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupDslinkSend_not_last_byte_no_answer_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupDslinkSend_not_last_byte_no_answer_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *Value);
static int ZoneGroupDslinkSend_last_byte_no_answer_parse_response(const ds485_container_t *pFrameAnswer);
static int ZoneGroupDslinkSend_last_byte_no_answer_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *Value);
static int DeviceDslinkSend_not_last_byte_no_answer_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceDslinkSend_not_last_byte_no_answer_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Value);
static int DeviceDslinkSend_last_byte_no_answer_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceDslinkSend_last_byte_no_answer_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Value);
static int DeviceDslinkSend_not_last_byte_with_answer_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceDslinkSend_not_last_byte_with_answer_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Value);
static int DeviceDslinkSend_last_byte_with_answer_parse_response(const ds485_container_t *pFrameAnswer);
static int DeviceDslinkSend_last_byte_with_answer_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Value);
static int EventDslink_response_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Value);
static int EventDslink_interrupt_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Priority);

static int ZoneGroupDslinkSend_not_last_byte_no_answer_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_DSLINK_SEND) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_DSLINK_SEND_NOT_LAST_BYTE_NO_ANSWER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupDslinkSend_not_last_byte_no_answer_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *Value)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_DSLINK_SEND) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_DSLINK_SEND_NOT_LAST_BYTE_NO_ANSWER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData8(*pFrameAnswer, 3);
    }
    return 0;
}

int ZoneGroupDslinkSend_not_last_byte_no_answer(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint8_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_DSLINK_SEND);
    SetModifier(pFrame, ZONE_GROUP_DSLINK_SEND_NOT_LAST_BYTE_NO_ANSWER);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData8(pFrame, 3, Value);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupDslinkSend_not_last_byte_no_answer_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int ZoneGroupDslinkSend_last_byte_no_answer_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_DSLINK_SEND) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_DSLINK_SEND_LAST_BYTE_NO_ANSWER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int ZoneGroupDslinkSend_last_byte_no_answer_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *ZoneId, uint8_t *GroupId, uint8_t *Value)
{
    if (GetCommand(*pFrameAnswer) != ZONE_GROUP_DSLINK_SEND) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != ZONE_GROUP_DSLINK_SEND_LAST_BYTE_NO_ANSWER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (ZoneId != NULL)
    {
        *ZoneId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (GroupId != NULL)
    {
        *GroupId = RequestGetData8(*pFrameAnswer, 2);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData8(*pFrameAnswer, 3);
    }
    return 0;
}

int ZoneGroupDslinkSend_last_byte_no_answer(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t ZoneId, uint8_t GroupId, uint8_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, ZONE_GROUP_DSLINK_SEND);
    SetModifier(pFrame, ZONE_GROUP_DSLINK_SEND_LAST_BYTE_NO_ANSWER);
    RequestSetData16(pFrame, 0, ZoneId);
    RequestSetData8(pFrame, 2, GroupId);
    RequestSetData8(pFrame, 3, Value);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return ZoneGroupDslinkSend_last_byte_no_answer_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceDslinkSend_not_last_byte_no_answer_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_DSLINK_SEND) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_DSLINK_SEND_NOT_LAST_BYTE_NO_ANSWER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceDslinkSend_not_last_byte_no_answer_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Value)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_DSLINK_SEND) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_DSLINK_SEND_NOT_LAST_BYTE_NO_ANSWER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceDslinkSend_not_last_byte_no_answer(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_DSLINK_SEND);
    SetModifier(pFrame, DEVICE_DSLINK_SEND_NOT_LAST_BYTE_NO_ANSWER);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, Value);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceDslinkSend_not_last_byte_no_answer_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceDslinkSend_last_byte_no_answer_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_DSLINK_SEND) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_DSLINK_SEND_LAST_BYTE_NO_ANSWER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceDslinkSend_last_byte_no_answer_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Value)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_DSLINK_SEND) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_DSLINK_SEND_LAST_BYTE_NO_ANSWER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceDslinkSend_last_byte_no_answer(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_DSLINK_SEND);
    SetModifier(pFrame, DEVICE_DSLINK_SEND_LAST_BYTE_NO_ANSWER);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, Value);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceDslinkSend_last_byte_no_answer_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceDslinkSend_not_last_byte_with_answer_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_DSLINK_SEND) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_DSLINK_SEND_NOT_LAST_BYTE_WITH_ANSWER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceDslinkSend_not_last_byte_with_answer_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Value)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_DSLINK_SEND) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_DSLINK_SEND_NOT_LAST_BYTE_WITH_ANSWER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceDslinkSend_not_last_byte_with_answer(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_DSLINK_SEND);
    SetModifier(pFrame, DEVICE_DSLINK_SEND_NOT_LAST_BYTE_WITH_ANSWER);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, Value);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceDslinkSend_not_last_byte_with_answer_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int DeviceDslinkSend_last_byte_with_answer_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_DSLINK_SEND) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_DSLINK_SEND_LAST_BYTE_WITH_ANSWER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int DeviceDslinkSend_last_byte_with_answer_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Value)
{
    if (GetCommand(*pFrameAnswer) != DEVICE_DSLINK_SEND) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DEVICE_DSLINK_SEND_LAST_BYTE_WITH_ANSWER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Value != NULL)
    {
        *Value = RequestGetData8(*pFrameAnswer, 2);
    }
    return 0;
}

int DeviceDslinkSend_last_byte_with_answer(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t DeviceId, uint8_t Value)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DEVICE_DSLINK_SEND);
    SetModifier(pFrame, DEVICE_DSLINK_SEND_LAST_BYTE_WITH_ANSWER);
    RequestSetData16(pFrame, 0, DeviceId);
    RequestSetData8(pFrame, 2, Value);
    SetParameterLength(pFrame, 3);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return DeviceDslinkSend_last_byte_with_answer_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int EventDslink_response_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Value)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DSLINK) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_DSLINK_RESPONSE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (Value != NULL)
    {
        *Value = ResponseGetData8(*pFrameAnswer, 2);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDslink_interrupt_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *Priority)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DSLINK) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_DSLINK_INTERRUPT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (Priority != NULL)
    {
        *Priority = ResponseGetData8(*pFrameAnswer, 2);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int BusMember_get_type_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Type);
static int BusMember_get_type_parse_request(const ds485_container_t *pFrameAnswer);

static int BusMember_get_type_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Type)
{
    if (GetCommand(*pFrameAnswer) != BUS_MEMBER) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != BUS_MEMBER_GET_TYPE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Type != NULL)
    {
        *Type = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int BusMember_get_type_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != BUS_MEMBER) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != BUS_MEMBER_GET_TYPE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int BusMember_get_type(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *Type)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, BUS_MEMBER);
    SetModifier(pFrame, BUS_MEMBER_GET_TYPE);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return BusMember_get_type_parse_response(&pFrameAnswer, Type);
    }
    else
    {
        return result;
    }
}

static int dSMDebugMode_set_MMI_flag_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_set_MMI_flag_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *DebugFlag);
static int dSMDebugMode_get_MMI_flag_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *DebugFlag);
static int dSMDebugMode_get_MMI_flag_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_stop_select_b_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_stop_select_b_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_restart_registration_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_restart_registration_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_restart_dsp_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_restart_dsp_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_read_flash_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Data);
static int dSMDebugMode_read_flash_parse_request(const ds485_container_t *pFrameAnswer, uint32_t *Index);
static int dSMDebugMode_write_flash_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_write_flash_parse_request(const ds485_container_t *pFrameAnswer, uint32_t *Index, uint8_t *Data);
static int dSMDebugMode_get_communication_log_state_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *State);
static int dSMDebugMode_get_communication_log_state_parse_request(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_set_communication_log_state_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_set_communication_log_state_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *State);
static int dSMDebugMode_disable_jumble_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_disable_jumble_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *Disable);
static int dSMDebugMode_inject_short_upstream_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_inject_short_upstream_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *Source, uint8_t *Circuit, uint8_t *Key, uint8_t *Click, uint8_t *Sensor, uint8_t *Resend, uint8_t *Quality, uint8_t *Flags);
static int dSMDebugMode_inject_long_upstream_parse_response(const ds485_container_t *pFrameAnswer);
static int dSMDebugMode_inject_long_upstream_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *Source, uint8_t *Circuit, uint8_t *Mainqualifier, uint8_t *Subqualifier, uint32_t *Data, uint8_t *Quality, uint8_t *Flags);
static int EventCommunicationLog_upstream_short_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *CircuitId, uint8_t *Resend, uint8_t *Sensor, uint8_t *Key, uint8_t *Click, uint8_t *Quality, uint8_t *Flags, uint8_t *Crosstalk);
static int EventCommunicationLog_upstream_long_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *CircuitId, uint8_t *Mainqualifier, uint8_t *Subqualifier, uint32_t *Data, uint8_t *Quality, uint8_t *Flags, uint8_t *Crosstalk);
static int EventCommunicationLog_downstream_short_parse_event(const ds485_container_t *pFrameAnswer, uint8_t *Command);
static int EventCommunicationLog_downstream_long_16bit_parameter_parse_event(const ds485_container_t *pFrameAnswer, uint8_t *Command, uint16_t *Data);
static int EventCommunicationLog_downstream_long_8bit_parameter_parse_event(const ds485_container_t *pFrameAnswer, uint8_t *Command, uint8_t *Data);
static int EventCommunicationLog_downstream_long_no_parameter_parse_event(const ds485_container_t *pFrameAnswer, uint8_t *Command);
static int EventDspDebugData_parse_event(const ds485_container_t *pFrameAnswer, uint8_t *Length, uint8_t *Data);

static int dSMDebugMode_set_MMI_flag_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_SET_MMI_FLAG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMDebugMode_set_MMI_flag_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *DebugFlag)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_SET_MMI_FLAG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DebugFlag != NULL)
    {
        *DebugFlag = RequestGetData8(*pFrameAnswer, 0);
    }
    return 0;
}

int dSMDebugMode_set_MMI_flag(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t DebugFlag)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_DEBUG_MODE);
    SetModifier(pFrame, DSM_DEBUG_MODE_SET_MMI_FLAG);
    RequestSetData8(pFrame, 0, DebugFlag);
    SetParameterLength(pFrame, 1);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMDebugMode_set_MMI_flag_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMDebugMode_get_MMI_flag_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *DebugFlag)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_GET_MMI_FLAG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DebugFlag != NULL)
    {
        *DebugFlag = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMDebugMode_get_MMI_flag_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_GET_MMI_FLAG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMDebugMode_get_MMI_flag(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *DebugFlag)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_DEBUG_MODE);
    SetModifier(pFrame, DSM_DEBUG_MODE_GET_MMI_FLAG);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMDebugMode_get_MMI_flag_parse_response(&pFrameAnswer, DebugFlag);
    }
    else
    {
        return result;
    }
}

static int dSMDebugMode_stop_select_b_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_STOP_SELECT_B) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMDebugMode_stop_select_b_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_STOP_SELECT_B) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMDebugMode_stop_select_b(DsmApiHandle_t handle, dsuid_t dSMdSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_DEBUG_MODE);
    SetModifier(pFrame, DSM_DEBUG_MODE_STOP_SELECT_B);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMDebugMode_stop_select_b_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMDebugMode_restart_registration_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_RESTART_REGISTRATION) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMDebugMode_restart_registration_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_RESTART_REGISTRATION) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMDebugMode_restart_registration(DsmApiHandle_t handle, dsuid_t dSMdSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_DEBUG_MODE);
    SetModifier(pFrame, DSM_DEBUG_MODE_RESTART_REGISTRATION);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMDebugMode_restart_registration_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMDebugMode_restart_dsp_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_RESTART_DSP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMDebugMode_restart_dsp_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_RESTART_DSP) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMDebugMode_restart_dsp(DsmApiHandle_t handle, dsuid_t dSMdSUID)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_DEBUG_MODE);
    SetModifier(pFrame, DSM_DEBUG_MODE_RESTART_DSP);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMDebugMode_restart_dsp_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMDebugMode_read_flash_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *Data)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_READ_FLASH) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Data != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 0, Data, 64);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMDebugMode_read_flash_parse_request(const ds485_container_t *pFrameAnswer, uint32_t *Index)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_READ_FLASH) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Index != NULL)
    {
        *Index = RequestGetData32(*pFrameAnswer, 0);
    }
    return 0;
}

int dSMDebugMode_read_flash(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint32_t Index, uint8_t *Data)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_DEBUG_MODE);
    SetModifier(pFrame, DSM_DEBUG_MODE_READ_FLASH);
    RequestSetData32(pFrame, 0, Index);
    SetParameterLength(pFrame, 4);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMDebugMode_read_flash_parse_response(&pFrameAnswer, Data);
    }
    else
    {
        return result;
    }
}

static int dSMDebugMode_write_flash_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_WRITE_FLASH) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMDebugMode_write_flash_parse_request(const ds485_container_t *pFrameAnswer, uint32_t *Index, uint8_t *Data)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_WRITE_FLASH) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Index != NULL)
    {
        *Index = RequestGetData32(*pFrameAnswer, 0);
    }
    if (Data != NULL)
    {
        RequestGetArray8(*pFrameAnswer, 4, Data, 64);
    }
    return 0;
}

int dSMDebugMode_write_flash(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint32_t Index, const uint8_t *Data)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_DEBUG_MODE);
    SetModifier(pFrame, DSM_DEBUG_MODE_WRITE_FLASH);
    RequestSetData32(pFrame, 0, Index);
    RequestSetArray8(pFrame, 4, Data, 64);
    SetParameterLength(pFrame, 68);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMDebugMode_write_flash_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMDebugMode_get_communication_log_state_parse_response(const ds485_container_t *pFrameAnswer, uint8_t *State)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_GET_COMMUNICATION_LOG_STATE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (State != NULL)
    {
        *State = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMDebugMode_get_communication_log_state_parse_request(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_GET_COMMUNICATION_LOG_STATE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return 0;
}

int dSMDebugMode_get_communication_log_state(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t *State)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_DEBUG_MODE);
    SetModifier(pFrame, DSM_DEBUG_MODE_GET_COMMUNICATION_LOG_STATE);
    
    SetParameterLength(pFrame, 0);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMDebugMode_get_communication_log_state_parse_response(&pFrameAnswer, State);
    }
    else
    {
        return result;
    }
}

static int dSMDebugMode_set_communication_log_state_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_SET_COMMUNICATION_LOG_STATE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMDebugMode_set_communication_log_state_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *State)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_SET_COMMUNICATION_LOG_STATE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (State != NULL)
    {
        *State = RequestGetData8(*pFrameAnswer, 0);
    }
    return 0;
}

int dSMDebugMode_set_communication_log_state(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t State)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_DEBUG_MODE);
    SetModifier(pFrame, DSM_DEBUG_MODE_SET_COMMUNICATION_LOG_STATE);
    RequestSetData8(pFrame, 0, State);
    SetParameterLength(pFrame, 1);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMDebugMode_set_communication_log_state_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMDebugMode_disable_jumble_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_DISABLE_JUMBLE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMDebugMode_disable_jumble_parse_request(const ds485_container_t *pFrameAnswer, uint8_t *Disable)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_DISABLE_JUMBLE) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Disable != NULL)
    {
        *Disable = RequestGetData8(*pFrameAnswer, 0);
    }
    return 0;
}

int dSMDebugMode_disable_jumble(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint8_t Disable)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_DEBUG_MODE);
    SetModifier(pFrame, DSM_DEBUG_MODE_DISABLE_JUMBLE);
    RequestSetData8(pFrame, 0, Disable);
    SetParameterLength(pFrame, 1);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMDebugMode_disable_jumble_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMDebugMode_inject_short_upstream_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_INJECT_SHORT_UPSTREAM) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMDebugMode_inject_short_upstream_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *Source, uint8_t *Circuit, uint8_t *Key, uint8_t *Click, uint8_t *Sensor, uint8_t *Resend, uint8_t *Quality, uint8_t *Flags)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_INJECT_SHORT_UPSTREAM) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Source != NULL)
    {
        *Source = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Circuit != NULL)
    {
        *Circuit = RequestGetData8(*pFrameAnswer, 2);
    }
    if (Key != NULL)
    {
        *Key = RequestGetData8(*pFrameAnswer, 3);
    }
    if (Click != NULL)
    {
        *Click = RequestGetData8(*pFrameAnswer, 4);
    }
    if (Sensor != NULL)
    {
        *Sensor = RequestGetData8(*pFrameAnswer, 5);
    }
    if (Resend != NULL)
    {
        *Resend = RequestGetData8(*pFrameAnswer, 6);
    }
    if (Quality != NULL)
    {
        *Quality = RequestGetData8(*pFrameAnswer, 7);
    }
    if (Flags != NULL)
    {
        *Flags = RequestGetData8(*pFrameAnswer, 8);
    }
    return 0;
}

int dSMDebugMode_inject_short_upstream(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t Source, uint8_t Circuit, uint8_t Key, uint8_t Click, uint8_t Sensor, uint8_t Resend, uint8_t Quality, uint8_t Flags)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_DEBUG_MODE);
    SetModifier(pFrame, DSM_DEBUG_MODE_INJECT_SHORT_UPSTREAM);
    RequestSetData16(pFrame, 0, Source);
    RequestSetData8(pFrame, 2, Circuit);
    RequestSetData8(pFrame, 3, Key);
    RequestSetData8(pFrame, 4, Click);
    RequestSetData8(pFrame, 5, Sensor);
    RequestSetData8(pFrame, 6, Resend);
    RequestSetData8(pFrame, 7, Quality);
    RequestSetData8(pFrame, 8, Flags);
    SetParameterLength(pFrame, 9);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMDebugMode_inject_short_upstream_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int dSMDebugMode_inject_long_upstream_parse_response(const ds485_container_t *pFrameAnswer)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_INJECT_LONG_UPSTREAM) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dSMDebugMode_inject_long_upstream_parse_request(const ds485_container_t *pFrameAnswer, uint16_t *Source, uint8_t *Circuit, uint8_t *Mainqualifier, uint8_t *Subqualifier, uint32_t *Data, uint8_t *Quality, uint8_t *Flags)
{
    if (GetCommand(*pFrameAnswer) != DSM_DEBUG_MODE) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != DSM_DEBUG_MODE_INJECT_LONG_UPSTREAM) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Source != NULL)
    {
        *Source = RequestGetData16(*pFrameAnswer, 0);
    }
    if (Circuit != NULL)
    {
        *Circuit = RequestGetData8(*pFrameAnswer, 2);
    }
    if (Mainqualifier != NULL)
    {
        *Mainqualifier = RequestGetData8(*pFrameAnswer, 3);
    }
    if (Subqualifier != NULL)
    {
        *Subqualifier = RequestGetData8(*pFrameAnswer, 4);
    }
    if (Data != NULL)
    {
        *Data = RequestGetData32(*pFrameAnswer, 5);
    }
    if (Quality != NULL)
    {
        *Quality = RequestGetData8(*pFrameAnswer, 9);
    }
    if (Flags != NULL)
    {
        *Flags = RequestGetData8(*pFrameAnswer, 10);
    }
    return 0;
}

int dSMDebugMode_inject_long_upstream(DsmApiHandle_t handle, dsuid_t dSMdSUID, uint16_t Source, uint8_t Circuit, uint8_t Mainqualifier, uint8_t Subqualifier, uint32_t Data, uint8_t Quality, uint8_t Flags)
{
    ds485_container_t pFrame;
    ds485_container_t pFrameAnswer;
    dsm_api_data_t *data = (dsm_api_data_t*)handle;
    int result;

    if (data == NULL)
    {
        return ERROR_INVALID_HANDLE;
    }

    memset(&pFrame, 0, sizeof(ds485_container_t));
    pFrame.containerType = DS485_CONTAINER_REQUEST;
    SetDSUID(pFrame.destinationId, dSMdSUID);
    SetCommand(pFrame, DSM_DEBUG_MODE);
    SetModifier(pFrame, DSM_DEBUG_MODE_INJECT_LONG_UPSTREAM);
    RequestSetData16(pFrame, 0, Source);
    RequestSetData8(pFrame, 2, Circuit);
    RequestSetData8(pFrame, 3, Mainqualifier);
    RequestSetData8(pFrame, 4, Subqualifier);
    RequestSetData32(pFrame, 5, Data);
    RequestSetData8(pFrame, 9, Quality);
    RequestSetData8(pFrame, 10, Flags);
    SetParameterLength(pFrame, 11);

    result = ds485_client_send_sync_command(data->client, &pFrame, &pFrameAnswer, 5);
    if (result == 0)
    {
        return dSMDebugMode_inject_long_upstream_parse_response(&pFrameAnswer);
    }
    else
    {
        return result;
    }
}

static int EventCommunicationLog_upstream_short_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *CircuitId, uint8_t *Resend, uint8_t *Sensor, uint8_t *Key, uint8_t *Click, uint8_t *Quality, uint8_t *Flags, uint8_t *Crosstalk)
{
    if (GetCommand(*pFrameAnswer) != EVENT_COMMUNICATION_LOG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_COMMUNICATION_LOG_UPSTREAM_SHORT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (CircuitId != NULL)
    {
        *CircuitId = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (Resend != NULL)
    {
        *Resend = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (Sensor != NULL)
    {
        *Sensor = ResponseGetData8(*pFrameAnswer, 4);
    }
    if (Key != NULL)
    {
        *Key = ResponseGetData8(*pFrameAnswer, 5);
    }
    if (Click != NULL)
    {
        *Click = ResponseGetData8(*pFrameAnswer, 6);
    }
    if (Quality != NULL)
    {
        *Quality = ResponseGetData8(*pFrameAnswer, 7);
    }
    if (Flags != NULL)
    {
        *Flags = ResponseGetData8(*pFrameAnswer, 8);
    }
    if (Crosstalk != NULL)
    {
        *Crosstalk = ResponseGetData8(*pFrameAnswer, 9);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventCommunicationLog_upstream_long_parse_event(const ds485_container_t *pFrameAnswer, uint16_t *DeviceId, uint8_t *CircuitId, uint8_t *Mainqualifier, uint8_t *Subqualifier, uint32_t *Data, uint8_t *Quality, uint8_t *Flags, uint8_t *Crosstalk)
{
    if (GetCommand(*pFrameAnswer) != EVENT_COMMUNICATION_LOG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_COMMUNICATION_LOG_UPSTREAM_LONG) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (DeviceId != NULL)
    {
        *DeviceId = ResponseGetData16(*pFrameAnswer, 0);
    }
    if (CircuitId != NULL)
    {
        *CircuitId = ResponseGetData8(*pFrameAnswer, 2);
    }
    if (Mainqualifier != NULL)
    {
        *Mainqualifier = ResponseGetData8(*pFrameAnswer, 3);
    }
    if (Subqualifier != NULL)
    {
        *Subqualifier = ResponseGetData8(*pFrameAnswer, 4);
    }
    if (Data != NULL)
    {
        *Data = ResponseGetData32(*pFrameAnswer, 5);
    }
    if (Quality != NULL)
    {
        *Quality = ResponseGetData8(*pFrameAnswer, 9);
    }
    if (Flags != NULL)
    {
        *Flags = ResponseGetData8(*pFrameAnswer, 10);
    }
    if (Crosstalk != NULL)
    {
        *Crosstalk = ResponseGetData8(*pFrameAnswer, 11);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventCommunicationLog_downstream_short_parse_event(const ds485_container_t *pFrameAnswer, uint8_t *Command)
{
    if (GetCommand(*pFrameAnswer) != EVENT_COMMUNICATION_LOG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_COMMUNICATION_LOG_DOWNSTREAM_SHORT) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Command != NULL)
    {
        *Command = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventCommunicationLog_downstream_long_16bit_parameter_parse_event(const ds485_container_t *pFrameAnswer, uint8_t *Command, uint16_t *Data)
{
    if (GetCommand(*pFrameAnswer) != EVENT_COMMUNICATION_LOG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_COMMUNICATION_LOG_DOWNSTREAM_LONG_16BIT_PARAMETER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Command != NULL)
    {
        *Command = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (Data != NULL)
    {
        *Data = ResponseGetData16(*pFrameAnswer, 1);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventCommunicationLog_downstream_long_8bit_parameter_parse_event(const ds485_container_t *pFrameAnswer, uint8_t *Command, uint8_t *Data)
{
    if (GetCommand(*pFrameAnswer) != EVENT_COMMUNICATION_LOG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_COMMUNICATION_LOG_DOWNSTREAM_LONG_8BIT_PARAMETER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Command != NULL)
    {
        *Command = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (Data != NULL)
    {
        *Data = ResponseGetData8(*pFrameAnswer, 1);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventCommunicationLog_downstream_long_no_parameter_parse_event(const ds485_container_t *pFrameAnswer, uint8_t *Command)
{
    if (GetCommand(*pFrameAnswer) != EVENT_COMMUNICATION_LOG) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != EVENT_COMMUNICATION_LOG_DOWNSTREAM_LONG_NO_PARAMETER) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Command != NULL)
    {
        *Command = ResponseGetData8(*pFrameAnswer, 0);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int EventDspDebugData_parse_event(const ds485_container_t *pFrameAnswer, uint8_t *Length, uint8_t *Data)
{
    if (GetCommand(*pFrameAnswer) != EVENT_DSP_DEBUG_DATA) {
        return ERROR_REC_WRONG_FUNCTION_ID;
    }
    if (GetModifier(*pFrameAnswer) != 0) {
        return ERROR_REC_WRONG_MODIFIER;
    }
    if (Length != NULL)
    {
        *Length = ResponseGetData8(*pFrameAnswer, 0);
    }
    if (Data != NULL)
    {
        ResponseGetArray8(*pFrameAnswer, 1, Data, 122);
    }
    return GetErrorCode(*pFrameAnswer);
}

static int dsm_api_ds485_message_callback(void *handle, const ds485_container_t *container)
{
    uint8_t MessageId;
    uint8_t ModifierId;
    container_type_t MessageType;
    uint32_t hash_key;
    struct callback_item *callback_entry = NULL;
    
    dsm_api_data_t *data = (dsm_api_data_t*)handle;

    if (data == NULL)
    {
        return -1;
    }
    
    if (container == NULL)
    {
        return -1;
    }

    MessageId = GetCommand(*container);
    ModifierId = GetModifier(*container);
    MessageType = container->containerType;
    hash_key = (MessageType << 16) | (MessageId << 8) | (ModifierId);

    pthread_mutex_lock(&data->mutex_callback);
    HASH_FIND_INT(data->callback_list, &hash_key, callback_entry);
    pthread_mutex_unlock(&data->mutex_callback);
    if (callback_entry == NULL)
    {
        return -1;
    }
    
    if (callback_entry->callback == NULL)
    {
        return -1;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_COUNT && ModifierId == 0)
    {
        uint8_t error;
        uint8_t ZoneCount;
        error = ZoneCount_parse_response(container, &ZoneCount);
        ((ZoneCount_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneCount);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_COUNT && ModifierId == 0)
    {
        uint8_t error;
        error = ZoneCount_parse_request(container);
        ((ZoneCount_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_INFO && ModifierId == ZONE_INFO_BY_INDEX)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t VirtualZoneId;
        uint8_t NumberOfGroups;
        uint8_t Name[21];
        error = ZoneInfo_by_index_parse_response(container, &ZoneId, &VirtualZoneId, &NumberOfGroups, Name);
        ((ZoneInfo_by_index_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, VirtualZoneId, NumberOfGroups, Name);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_INFO && ModifierId == ZONE_INFO_BY_INDEX)
    {
        uint8_t error;
        uint8_t ZoneIndex;
        error = ZoneInfo_by_index_parse_request(container, &ZoneIndex);
        ((ZoneInfo_by_index_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneIndex);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_INFO && ModifierId == ZONE_INFO_BY_ID)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t VirtualZoneId;
        uint8_t NumberOfGroups;
        uint8_t Name[21];
        error = ZoneInfo_by_id_parse_response(container, &ZoneId, &VirtualZoneId, &NumberOfGroups, Name);
        ((ZoneInfo_by_id_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, VirtualZoneId, NumberOfGroups, Name);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_INFO && ModifierId == ZONE_INFO_BY_ID)
    {
        uint8_t error;
        uint16_t ZoneIdReq;
        error = ZoneInfo_by_id_parse_request(container, &ZoneIdReq);
        ((ZoneInfo_by_id_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneIdReq);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_MODIFY && ModifierId == ZONE_MODIFY_ADD)
    {
        uint8_t error;
        error = ZoneModify_add_parse_response(container);
        ((ZoneModify_add_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_MODIFY && ModifierId == ZONE_MODIFY_ADD)
    {
        uint8_t error;
        uint16_t ZoneId;
        error = ZoneModify_add_parse_request(container, &ZoneId);
        ((ZoneModify_add_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_MODIFY && ModifierId == ZONE_MODIFY_REMOVE)
    {
        uint8_t error;
        error = ZoneModify_remove_parse_response(container);
        ((ZoneModify_remove_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_MODIFY && ModifierId == ZONE_MODIFY_REMOVE)
    {
        uint8_t error;
        uint16_t ZoneId;
        error = ZoneModify_remove_parse_request(container, &ZoneId);
        ((ZoneModify_remove_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_MODIFY && ModifierId == ZONE_MODIFY_CHANGE_ID)
    {
        uint8_t error;
        error = ZoneModify_change_id_parse_response(container);
        ((ZoneModify_change_id_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_MODIFY && ModifierId == ZONE_MODIFY_CHANGE_ID)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint16_t NewZoneId;
        error = ZoneModify_change_id_parse_request(container, &ZoneId, &NewZoneId);
        ((ZoneModify_change_id_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, NewZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_DEVICE_COUNT && ModifierId == ZONE_DEVICE_COUNT_ONLY_ACTIVE)
    {
        uint8_t error;
        uint16_t NumberOfDevices;
        error = ZoneDeviceCount_only_active_parse_response(container, &NumberOfDevices);
        ((ZoneDeviceCount_only_active_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, NumberOfDevices);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_DEVICE_COUNT && ModifierId == ZONE_DEVICE_COUNT_ONLY_ACTIVE)
    {
        uint8_t error;
        uint16_t ZoneId;
        error = ZoneDeviceCount_only_active_parse_request(container, &ZoneId);
        ((ZoneDeviceCount_only_active_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_DEVICE_COUNT && ModifierId == ZONE_DEVICE_COUNT_ONLY_INACTIVE)
    {
        uint8_t error;
        uint16_t NumberOfDevices;
        error = ZoneDeviceCount_only_inactive_parse_response(container, &NumberOfDevices);
        ((ZoneDeviceCount_only_inactive_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, NumberOfDevices);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_DEVICE_COUNT && ModifierId == ZONE_DEVICE_COUNT_ONLY_INACTIVE)
    {
        uint8_t error;
        uint16_t ZoneId;
        error = ZoneDeviceCount_only_inactive_parse_request(container, &ZoneId);
        ((ZoneDeviceCount_only_inactive_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_DEVICE_COUNT && ModifierId == ZONE_DEVICE_COUNT_ALL)
    {
        uint8_t error;
        uint16_t NumberOfDevices;
        error = ZoneDeviceCount_all_parse_response(container, &NumberOfDevices);
        ((ZoneDeviceCount_all_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, NumberOfDevices);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_DEVICE_COUNT && ModifierId == ZONE_DEVICE_COUNT_ALL)
    {
        uint8_t error;
        uint16_t ZoneId;
        error = ZoneDeviceCount_all_parse_request(container, &ZoneId);
        ((ZoneDeviceCount_all_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_SET_NAME)
    {
        uint8_t error;
        error = ZoneProperties_set_name_parse_response(container);
        ((ZoneProperties_set_name_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_SET_NAME)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t Name[21];
        error = ZoneProperties_set_name_parse_request(container, &ZoneId, Name);
        ((ZoneProperties_set_name_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, Name);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_GET_SCENE_HISTORY)
    {
        uint8_t error;
        uint8_t HistorySize;
        uint8_t GroupId_0;
        uint8_t Scene_0;
        uint8_t GroupId_1;
        uint8_t Scene_1;
        uint8_t GroupId_2;
        uint8_t Scene_2;
        uint8_t GroupId_3;
        uint8_t Scene_3;
        uint8_t GroupId_4;
        uint8_t Scene_4;
        uint8_t GroupId_5;
        uint8_t Scene_5;
        uint8_t GroupId_6;
        uint8_t Scene_6;
        error = ZoneProperties_get_scene_history_parse_response(container, &HistorySize, &GroupId_0, &Scene_0, &GroupId_1, &Scene_1, &GroupId_2, &Scene_2, &GroupId_3, &Scene_3, &GroupId_4, &Scene_4, &GroupId_5, &Scene_5, &GroupId_6, &Scene_6);
        ((ZoneProperties_get_scene_history_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, HistorySize, GroupId_0, Scene_0, GroupId_1, Scene_1, GroupId_2, Scene_2, GroupId_3, Scene_3, GroupId_4, Scene_4, GroupId_5, Scene_5, GroupId_6, Scene_6);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_GET_SCENE_HISTORY)
    {
        uint8_t error;
        uint16_t ZoneId;
        error = ZoneProperties_get_scene_history_parse_request(container, &ZoneId);
        ((ZoneProperties_get_scene_history_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_GET_ROOM_STATES)
    {
        uint8_t error;
        uint16_t Room;
        uint16_t Area1;
        uint16_t Area2;
        uint16_t Area3;
        uint16_t Area4;
        error = ZoneProperties_get_room_states_parse_response(container, &Room, &Area1, &Area2, &Area3, &Area4);
        ((ZoneProperties_get_room_states_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Room, Area1, Area2, Area3, Area4);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_GET_ROOM_STATES)
    {
        uint8_t error;
        uint16_t ZoneId;
        error = ZoneProperties_get_room_states_parse_request(container, &ZoneId);
        ((ZoneProperties_get_room_states_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_SET_ZONE_SENSOR)
    {
        uint8_t error;
        error = ZoneProperties_set_zone_sensor_parse_response(container);
        ((ZoneProperties_set_zone_sensor_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_SET_ZONE_SENSOR)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t SensorType;
        dsuid_t dSUID;
        error = ZoneProperties_set_zone_sensor_parse_request(container, &ZoneId, &SensorType, &dSUID);
        ((ZoneProperties_set_zone_sensor_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, SensorType, dSUID);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_GET_ZONE_SENSOR)
    {
        uint8_t error;
        dsuid_t dSUID;
        error = ZoneProperties_get_zone_sensor_parse_response(container, &dSUID);
        ((ZoneProperties_get_zone_sensor_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, dSUID);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_GET_ZONE_SENSOR)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t SensorType;
        error = ZoneProperties_get_zone_sensor_parse_request(container, &ZoneId, &SensorType);
        ((ZoneProperties_get_zone_sensor_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, SensorType);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_RESET_ZONE_SENSOR)
    {
        uint8_t error;
        error = ZoneProperties_reset_zone_sensor_parse_response(container);
        ((ZoneProperties_reset_zone_sensor_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_RESET_ZONE_SENSOR)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t SensorType;
        error = ZoneProperties_reset_zone_sensor_parse_request(container, &ZoneId, &SensorType);
        ((ZoneProperties_reset_zone_sensor_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, SensorType);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_GET_ZONE_SENSOR_VALUE)
    {
        uint8_t error;
        uint16_t SensorValue;
        uint32_t SensorAge;
        error = ZoneProperties_get_zone_sensor_value_parse_response(container, &SensorValue, &SensorAge);
        ((ZoneProperties_get_zone_sensor_value_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, SensorValue, SensorAge);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_PROPERTIES && ModifierId == ZONE_PROPERTIES_GET_ZONE_SENSOR_VALUE)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t SensorType;
        error = ZoneProperties_get_zone_sensor_value_parse_request(container, &ZoneId, &SensorType);
        ((ZoneProperties_get_zone_sensor_value_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, SensorType);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_MODIFY && ModifierId == ZONE_GROUP_MODIFY_ADD)
    {
        uint8_t error;
        error = ZoneGroupModify_add_parse_response(container);
        ((ZoneGroupModify_add_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_MODIFY && ModifierId == ZONE_GROUP_MODIFY_ADD)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint8_t StateMachineGroupId;
        error = ZoneGroupModify_add_parse_request(container, &ZoneId, &GroupId, &StateMachineGroupId);
        ((ZoneGroupModify_add_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, StateMachineGroupId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_MODIFY && ModifierId == ZONE_GROUP_MODIFY_REMOVE)
    {
        uint8_t error;
        error = ZoneGroupModify_remove_parse_response(container);
        ((ZoneGroupModify_remove_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_MODIFY && ModifierId == ZONE_GROUP_MODIFY_REMOVE)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        error = ZoneGroupModify_remove_parse_request(container, &ZoneId, &GroupId);
        ((ZoneGroupModify_remove_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_INFO && ModifierId == ZONE_GROUP_INFO_BY_INDEX)
    {
        uint8_t error;
        uint8_t GroupId;
        uint8_t StateMachineGroupId;
        uint16_t NumberOfDevices;
        uint8_t Name[21];
        uint8_t StopTimeout;
        uint8_t RemoteStopTimeout;
        error = ZoneGroupInfo_by_index_parse_response(container, &GroupId, &StateMachineGroupId, &NumberOfDevices, Name, &StopTimeout, &RemoteStopTimeout);
        ((ZoneGroupInfo_by_index_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, GroupId, StateMachineGroupId, NumberOfDevices, Name, StopTimeout, RemoteStopTimeout);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_INFO && ModifierId == ZONE_GROUP_INFO_BY_INDEX)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t Index;
        error = ZoneGroupInfo_by_index_parse_request(container, &ZoneId, &Index);
        ((ZoneGroupInfo_by_index_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, Index);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_INFO && ModifierId == ZONE_GROUP_INFO_BY_ID)
    {
        uint8_t error;
        uint8_t GroupId;
        uint8_t StateMachineGroupId;
        uint16_t NumberOfDevices;
        uint8_t Name[21];
        uint8_t StopTimeout;
        uint8_t RemoteStopTimeout;
        error = ZoneGroupInfo_by_id_parse_response(container, &GroupId, &StateMachineGroupId, &NumberOfDevices, Name, &StopTimeout, &RemoteStopTimeout);
        ((ZoneGroupInfo_by_id_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, GroupId, StateMachineGroupId, NumberOfDevices, Name, StopTimeout, RemoteStopTimeout);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_INFO && ModifierId == ZONE_GROUP_INFO_BY_ID)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupIdReq;
        error = ZoneGroupInfo_by_id_parse_request(container, &ZoneId, &GroupIdReq);
        ((ZoneGroupInfo_by_id_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupIdReq);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_PROPERTIES && ModifierId == ZONE_GROUP_PROPERTIES_SET_NAME)
    {
        uint8_t error;
        error = ZoneGroupProperties_set_name_parse_response(container);
        ((ZoneGroupProperties_set_name_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_PROPERTIES && ModifierId == ZONE_GROUP_PROPERTIES_SET_NAME)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint8_t Name[21];
        error = ZoneGroupProperties_set_name_parse_request(container, &ZoneId, &GroupId, Name);
        ((ZoneGroupProperties_set_name_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, Name);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_PROPERTIES && ModifierId == ZONE_GROUP_PROPERTIES_SET_STOP_TIMEOUT)
    {
        uint8_t error;
        error = ZoneGroupProperties_set_stop_timeout_parse_response(container);
        ((ZoneGroupProperties_set_stop_timeout_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_PROPERTIES && ModifierId == ZONE_GROUP_PROPERTIES_SET_STOP_TIMEOUT)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint8_t StopTimeout;
        error = ZoneGroupProperties_set_stop_timeout_parse_request(container, &ZoneId, &GroupId, &StopTimeout);
        ((ZoneGroupProperties_set_stop_timeout_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, StopTimeout);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_PROPERTIES && ModifierId == ZONE_GROUP_PROPERTIES_SET_STATE_MACHINE)
    {
        uint8_t error;
        error = ZoneGroupProperties_set_state_machine_parse_response(container);
        ((ZoneGroupProperties_set_state_machine_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_PROPERTIES && ModifierId == ZONE_GROUP_PROPERTIES_SET_STATE_MACHINE)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint8_t StateMachine;
        error = ZoneGroupProperties_set_state_machine_parse_request(container, &ZoneId, &GroupId, &StateMachine);
        ((ZoneGroupProperties_set_state_machine_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, StateMachine);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_SET_CONFIG)
    {
        uint8_t error;
        error = ControllerHeating_set_config_parse_response(container);
        ((ControllerHeating_set_config_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_SET_CONFIG)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t ControllerMode;
        uint16_t Kp;
        uint8_t Ts;
        uint16_t Ti;
        uint16_t Kd;
        uint16_t Imin;
        uint16_t Imax;
        uint8_t Ymin;
        uint8_t Ymax;
        uint8_t AntiWindUp;
        uint8_t KeepFloorWarm;
        uint16_t SourceZoneId;
        uint16_t Offset;
        uint8_t ManualValue;
        uint8_t EmergencyValue;
        error = ControllerHeating_set_config_parse_request(container, &ZoneId, &ControllerMode, &Kp, &Ts, &Ti, &Kd, &Imin, &Imax, &Ymin, &Ymax, &AntiWindUp, &KeepFloorWarm, &SourceZoneId, &Offset, &ManualValue, &EmergencyValue);
        ((ControllerHeating_set_config_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, ControllerMode, Kp, Ts, Ti, Kd, Imin, Imax, Ymin, Ymax, AntiWindUp, KeepFloorWarm, SourceZoneId, Offset, ManualValue, EmergencyValue);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_GET_CONFIG)
    {
        uint8_t error;
        uint8_t ControllerMode;
        uint16_t Kp;
        uint8_t Ts;
        uint16_t Ti;
        uint16_t Kd;
        uint16_t Imin;
        uint16_t Imax;
        uint8_t Ymin;
        uint8_t Ymax;
        uint8_t AntiWindUp;
        uint8_t KeepFloorWarm;
        uint16_t SourceZoneId;
        uint16_t Offset;
        uint8_t ManualValue;
        uint8_t EmergencyValue;
        error = ControllerHeating_get_config_parse_response(container, &ControllerMode, &Kp, &Ts, &Ti, &Kd, &Imin, &Imax, &Ymin, &Ymax, &AntiWindUp, &KeepFloorWarm, &SourceZoneId, &Offset, &ManualValue, &EmergencyValue);
        ((ControllerHeating_get_config_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ControllerMode, Kp, Ts, Ti, Kd, Imin, Imax, Ymin, Ymax, AntiWindUp, KeepFloorWarm, SourceZoneId, Offset, ManualValue, EmergencyValue);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_GET_CONFIG)
    {
        uint8_t error;
        uint16_t ZoneId;
        error = ControllerHeating_get_config_parse_request(container, &ZoneId);
        ((ControllerHeating_get_config_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_GET_INTERNALS)
    {
        uint8_t error;
        uint16_t t;
        uint16_t tref;
        uint16_t E;
        uint16_t Eprev;
        uint32_t Integral;
        uint32_t Yp;
        uint32_t Yi;
        uint32_t Yd;
        uint8_t Y;
        uint8_t AntiWindUp;
        error = ControllerHeating_get_internals_parse_response(container, &t, &tref, &E, &Eprev, &Integral, &Yp, &Yi, &Yd, &Y, &AntiWindUp);
        ((ControllerHeating_get_internals_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, t, tref, E, Eprev, Integral, Yp, Yi, Yd, Y, AntiWindUp);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_GET_INTERNALS)
    {
        uint8_t error;
        uint16_t ZoneId;
        error = ControllerHeating_get_internals_parse_request(container, &ZoneId);
        ((ControllerHeating_get_internals_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_SET_OPERATION_MODES)
    {
        uint8_t error;
        error = ControllerHeating_set_operation_modes_parse_response(container);
        ((ControllerHeating_set_operation_modes_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_SET_OPERATION_MODES)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint16_t OperationMode0;
        uint16_t OperationMode1;
        uint16_t OperationMode2;
        uint16_t OperationMode3;
        uint16_t OperationMode4;
        uint16_t OperationMode5;
        uint16_t OperationMode6;
        uint16_t OperationMode7;
        uint16_t OperationMode8;
        uint16_t OperationMode9;
        uint16_t OperationMode10;
        uint16_t OperationMode11;
        uint16_t OperationMode12;
        uint16_t OperationMode13;
        uint16_t OperationMode14;
        uint16_t OperationMode15;
        error = ControllerHeating_set_operation_modes_parse_request(container, &ZoneId, &OperationMode0, &OperationMode1, &OperationMode2, &OperationMode3, &OperationMode4, &OperationMode5, &OperationMode6, &OperationMode7, &OperationMode8, &OperationMode9, &OperationMode10, &OperationMode11, &OperationMode12, &OperationMode13, &OperationMode14, &OperationMode15);
        ((ControllerHeating_set_operation_modes_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, OperationMode0, OperationMode1, OperationMode2, OperationMode3, OperationMode4, OperationMode5, OperationMode6, OperationMode7, OperationMode8, OperationMode9, OperationMode10, OperationMode11, OperationMode12, OperationMode13, OperationMode14, OperationMode15);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_GET_OPERATION_MODES)
    {
        uint8_t error;
        uint16_t OperationMode0;
        uint16_t OperationMode1;
        uint16_t OperationMode2;
        uint16_t OperationMode3;
        uint16_t OperationMode4;
        uint16_t OperationMode5;
        uint16_t OperationMode6;
        uint16_t OperationMode7;
        uint16_t OperationMode8;
        uint16_t OperationMode9;
        uint16_t OperationMode10;
        uint16_t OperationMode11;
        uint16_t OperationMode12;
        uint16_t OperationMode13;
        uint16_t OperationMode14;
        uint16_t OperationMode15;
        error = ControllerHeating_get_operation_modes_parse_response(container, &OperationMode0, &OperationMode1, &OperationMode2, &OperationMode3, &OperationMode4, &OperationMode5, &OperationMode6, &OperationMode7, &OperationMode8, &OperationMode9, &OperationMode10, &OperationMode11, &OperationMode12, &OperationMode13, &OperationMode14, &OperationMode15);
        ((ControllerHeating_get_operation_modes_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, OperationMode0, OperationMode1, OperationMode2, OperationMode3, OperationMode4, OperationMode5, OperationMode6, OperationMode7, OperationMode8, OperationMode9, OperationMode10, OperationMode11, OperationMode12, OperationMode13, OperationMode14, OperationMode15);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_GET_OPERATION_MODES)
    {
        uint8_t error;
        uint16_t ZoneId;
        error = ControllerHeating_get_operation_modes_parse_request(container, &ZoneId);
        ((ControllerHeating_get_operation_modes_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_SET_STATE)
    {
        uint8_t error;
        error = ControllerHeating_set_state_parse_response(container);
        ((ControllerHeating_set_state_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_SET_STATE)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t State;
        error = ControllerHeating_set_state_parse_request(container, &ZoneId, &State);
        ((ControllerHeating_set_state_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, State);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_GET_STATE)
    {
        uint8_t error;
        uint8_t State;
        error = ControllerHeating_get_state_parse_response(container, &State);
        ((ControllerHeating_get_state_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, State);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CONTROLLER_HEATING && ModifierId == CONTROLLER_HEATING_GET_STATE)
    {
        uint8_t error;
        uint16_t ZoneId;
        error = ControllerHeating_get_state_parse_request(container, &ZoneId);
        ((ControllerHeating_get_state_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_HEATING_CONTROLLER_STATE && ModifierId == 0)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t State;
        error = EventHeatingControllerState_parse_event(container, &ZoneId, &State);
        ((EventHeatingControllerState_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, State);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_SCENE_INFO && ModifierId == 0)
    {
        uint8_t error;
        uint8_t Name[21];
        error = ZoneGroupSceneInfo_parse_response(container, Name);
        ((ZoneGroupSceneInfo_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Name);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_SCENE_INFO && ModifierId == 0)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint8_t SceneId;
        error = ZoneGroupSceneInfo_parse_request(container, &ZoneId, &GroupId, &SceneId);
        ((ZoneGroupSceneInfo_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_SCENE_PROPERTIES && ModifierId == ZONE_GROUP_SCENE_PROPERTIES_SET_NAME)
    {
        uint8_t error;
        error = ZoneGroupSceneProperties_set_name_parse_response(container);
        ((ZoneGroupSceneProperties_set_name_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_SCENE_PROPERTIES && ModifierId == ZONE_GROUP_SCENE_PROPERTIES_SET_NAME)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint8_t SceneId;
        uint8_t Name[21];
        error = ZoneGroupSceneProperties_set_name_parse_request(container, &ZoneId, &GroupId, &SceneId, Name);
        ((ZoneGroupSceneProperties_set_name_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, SceneId, Name);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_CALL_SCENE)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_call_scene_parse_response(container);
        ((ZoneGroupActionRequest_action_call_scene_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_CALL_SCENE)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        uint8_t SceneId;
        error = ZoneGroupActionRequest_action_call_scene_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId, &SceneId);
        ((ZoneGroupActionRequest_action_call_scene_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_SAVE_SCENE)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_save_scene_parse_response(container);
        ((ZoneGroupActionRequest_action_save_scene_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_SAVE_SCENE)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        uint8_t SceneId;
        error = ZoneGroupActionRequest_action_save_scene_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId, &SceneId);
        ((ZoneGroupActionRequest_action_save_scene_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_UNDO_SCENE)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_undo_scene_parse_response(container);
        ((ZoneGroupActionRequest_action_undo_scene_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_UNDO_SCENE)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        error = ZoneGroupActionRequest_action_undo_scene_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId);
        ((ZoneGroupActionRequest_action_undo_scene_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_BLINK)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_blink_parse_response(container);
        ((ZoneGroupActionRequest_action_blink_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_BLINK)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        error = ZoneGroupActionRequest_action_blink_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId);
        ((ZoneGroupActionRequest_action_blink_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_UNDO_SCENE_NUMBER)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_undo_scene_number_parse_response(container);
        ((ZoneGroupActionRequest_action_undo_scene_number_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_UNDO_SCENE_NUMBER)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        uint8_t SceneId;
        error = ZoneGroupActionRequest_action_undo_scene_number_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId, &SceneId);
        ((ZoneGroupActionRequest_action_undo_scene_number_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_FORCE_CALL_SCENE)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_force_call_scene_parse_response(container);
        ((ZoneGroupActionRequest_action_force_call_scene_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_FORCE_CALL_SCENE)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        uint8_t SceneId;
        error = ZoneGroupActionRequest_action_force_call_scene_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId, &SceneId);
        ((ZoneGroupActionRequest_action_force_call_scene_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_SET_OUTVAL)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_set_outval_parse_response(container);
        ((ZoneGroupActionRequest_action_set_outval_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_SET_OUTVAL)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        uint8_t Value;
        error = ZoneGroupActionRequest_action_set_outval_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId, &Value);
        ((ZoneGroupActionRequest_action_set_outval_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_SET_SCENE_LOCAL_PRIORITY)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_set_scene_local_priority_parse_response(container);
        ((ZoneGroupActionRequest_action_set_scene_local_priority_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_SET_SCENE_LOCAL_PRIORITY)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        uint8_t SceneId;
        error = ZoneGroupActionRequest_action_set_scene_local_priority_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId, &SceneId);
        ((ZoneGroupActionRequest_action_set_scene_local_priority_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_ON)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_programming_mode_on_parse_response(container);
        ((ZoneGroupActionRequest_action_programming_mode_on_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_ON)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        error = ZoneGroupActionRequest_action_programming_mode_on_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId);
        ((ZoneGroupActionRequest_action_programming_mode_on_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_OFF)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_programming_mode_off_parse_response(container);
        ((ZoneGroupActionRequest_action_programming_mode_off_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_OFF)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        error = ZoneGroupActionRequest_action_programming_mode_off_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId);
        ((ZoneGroupActionRequest_action_programming_mode_off_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_SELECT_GROUP)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_select_group_parse_response(container);
        ((ZoneGroupActionRequest_action_select_group_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_SELECT_GROUP)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        error = ZoneGroupActionRequest_action_select_group_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId);
        ((ZoneGroupActionRequest_action_select_group_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_REGISTER_SCENE_LOCAL_PRIORITY)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_register_scene_local_priority_parse_response(container);
        ((ZoneGroupActionRequest_action_register_scene_local_priority_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_REGISTER_SCENE_LOCAL_PRIORITY)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        uint8_t SceneId;
        error = ZoneGroupActionRequest_action_register_scene_local_priority_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId, &SceneId);
        ((ZoneGroupActionRequest_action_register_scene_local_priority_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_CALL_SCENE_MIN)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_call_scene_min_parse_response(container);
        ((ZoneGroupActionRequest_action_call_scene_min_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_CALL_SCENE_MIN)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        uint8_t SceneId;
        error = ZoneGroupActionRequest_action_call_scene_min_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId, &SceneId);
        ((ZoneGroupActionRequest_action_call_scene_min_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_LOCAL_STOP)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_local_stop_parse_response(container);
        ((ZoneGroupActionRequest_action_local_stop_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_LOCAL_STOP)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        error = ZoneGroupActionRequest_action_local_stop_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId);
        ((ZoneGroupActionRequest_action_local_stop_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_INC)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_opc_inc_parse_response(container);
        ((ZoneGroupActionRequest_action_opc_inc_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_INC)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        uint8_t ChannelId;
        error = ZoneGroupActionRequest_action_opc_inc_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId, &ChannelId);
        ((ZoneGroupActionRequest_action_opc_inc_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId, ChannelId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_DEC)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_opc_dec_parse_response(container);
        ((ZoneGroupActionRequest_action_opc_dec_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_DEC)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        uint8_t ChannelId;
        error = ZoneGroupActionRequest_action_opc_dec_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId, &ChannelId);
        ((ZoneGroupActionRequest_action_opc_dec_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId, ChannelId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_STOP)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_opc_stop_parse_response(container);
        ((ZoneGroupActionRequest_action_opc_stop_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_OPC_STOP)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        uint8_t ChannelId;
        error = ZoneGroupActionRequest_action_opc_stop_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId, &ChannelId);
        ((ZoneGroupActionRequest_action_opc_stop_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId, ChannelId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_EXTRA_COMMAND)
    {
        uint8_t error;
        error = ZoneGroupActionRequest_action_extra_command_parse_response(container);
        ((ZoneGroupActionRequest_action_extra_command_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_ACTION_REQUEST && ModifierId == ZONE_GROUP_ACTION_REQUEST_ACTION_EXTRA_COMMAND)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint16_t OriginDeviceId;
        uint8_t Command;
        error = ZoneGroupActionRequest_action_extra_command_parse_request(container, &ZoneId, &GroupId, &OriginDeviceId, &Command);
        ((ZoneGroupActionRequest_action_extra_command_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, OriginDeviceId, Command);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_SENSOR_PUSH && ModifierId == 0)
    {
        uint8_t error;
        error = ZoneGroupSensorPush_parse_response(container);
        ((ZoneGroupSensorPush_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_SENSOR_PUSH && ModifierId == 0)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        dsuid_t dSUID;
        uint8_t SensorType;
        uint16_t Value;
        uint8_t Precision;
        error = ZoneGroupSensorPush_parse_request(container, &ZoneId, &GroupId, &dSUID, &SensorType, &Value, &Precision);
        ((ZoneGroupSensorPush_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, dSUID, SensorType, Value, Precision);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_INFO && ModifierId == DEVICE_INFO_BY_INDEX_ONLY_ACTIVE)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint16_t VendorId;
        uint16_t ProductId;
        uint16_t FunctionId;
        uint16_t Version;
        uint16_t ZoneId;
        uint8_t State;
        uint8_t Locked;
        uint8_t OutputMode;
        uint8_t LTMode;
        uint8_t Groups[8];
        uint8_t Name[21];
        dsuid_t dSUID;
        error = DeviceInfo_by_index_only_active_parse_response(container, &DeviceId, &VendorId, &ProductId, &FunctionId, &Version, &ZoneId, &State, &Locked, &OutputMode, &LTMode, Groups, Name, &dSUID);
        ((DeviceInfo_by_index_only_active_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, VendorId, ProductId, FunctionId, Version, ZoneId, State, Locked, OutputMode, LTMode, Groups, Name, dSUID);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_INFO && ModifierId == DEVICE_INFO_BY_INDEX_ONLY_ACTIVE)
    {
        uint8_t error;
        uint16_t ZoneIdReq;
        uint16_t DeviceIndex;
        error = DeviceInfo_by_index_only_active_parse_request(container, &ZoneIdReq, &DeviceIndex);
        ((DeviceInfo_by_index_only_active_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneIdReq, DeviceIndex);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_INFO && ModifierId == DEVICE_INFO_BY_INDEX_ONLY_INACTIVE)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint16_t VendorId;
        uint16_t ProductId;
        uint16_t FunctionId;
        uint16_t Version;
        uint16_t ZoneId;
        uint8_t State;
        uint8_t Locked;
        uint8_t OutputMode;
        uint8_t LTMode;
        uint8_t Groups[8];
        uint8_t Name[21];
        dsuid_t dSUID;
        error = DeviceInfo_by_index_only_inactive_parse_response(container, &DeviceId, &VendorId, &ProductId, &FunctionId, &Version, &ZoneId, &State, &Locked, &OutputMode, &LTMode, Groups, Name, &dSUID);
        ((DeviceInfo_by_index_only_inactive_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, VendorId, ProductId, FunctionId, Version, ZoneId, State, Locked, OutputMode, LTMode, Groups, Name, dSUID);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_INFO && ModifierId == DEVICE_INFO_BY_INDEX_ONLY_INACTIVE)
    {
        uint8_t error;
        uint16_t ZoneIdReq;
        uint16_t DeviceIndex;
        error = DeviceInfo_by_index_only_inactive_parse_request(container, &ZoneIdReq, &DeviceIndex);
        ((DeviceInfo_by_index_only_inactive_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneIdReq, DeviceIndex);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_INFO && ModifierId == DEVICE_INFO_BY_INDEX)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint16_t VendorId;
        uint16_t ProductId;
        uint16_t FunctionId;
        uint16_t Version;
        uint16_t ZoneId;
        uint8_t State;
        uint8_t Locked;
        uint8_t OutputMode;
        uint8_t LTMode;
        uint8_t Groups[8];
        uint8_t Name[21];
        dsuid_t dSUID;
        error = DeviceInfo_by_index_parse_response(container, &DeviceId, &VendorId, &ProductId, &FunctionId, &Version, &ZoneId, &State, &Locked, &OutputMode, &LTMode, Groups, Name, &dSUID);
        ((DeviceInfo_by_index_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, VendorId, ProductId, FunctionId, Version, ZoneId, State, Locked, OutputMode, LTMode, Groups, Name, dSUID);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_INFO && ModifierId == DEVICE_INFO_BY_INDEX)
    {
        uint8_t error;
        uint16_t ZoneIdReq;
        uint16_t DeviceIndex;
        error = DeviceInfo_by_index_parse_request(container, &ZoneIdReq, &DeviceIndex);
        ((DeviceInfo_by_index_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneIdReq, DeviceIndex);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_INFO && ModifierId == DEVICE_INFO_BY_DEVICE_ID)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint16_t VendorId;
        uint16_t ProductId;
        uint16_t FunctionId;
        uint16_t Version;
        uint16_t ZoneId;
        uint8_t State;
        uint8_t Locked;
        uint8_t OutputMode;
        uint8_t LTMode;
        uint8_t Groups[8];
        uint8_t Name[21];
        dsuid_t dSUID;
        error = DeviceInfo_by_device_id_parse_response(container, &DeviceId, &VendorId, &ProductId, &FunctionId, &Version, &ZoneId, &State, &Locked, &OutputMode, &LTMode, Groups, Name, &dSUID);
        ((DeviceInfo_by_device_id_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, VendorId, ProductId, FunctionId, Version, ZoneId, State, Locked, OutputMode, LTMode, Groups, Name, dSUID);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_INFO && ModifierId == DEVICE_INFO_BY_DEVICE_ID)
    {
        uint8_t error;
        uint16_t DeviceIdReq;
        error = DeviceInfo_by_device_id_parse_request(container, &DeviceIdReq);
        ((DeviceInfo_by_device_id_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceIdReq);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_STATE && ModifierId == 0)
    {
        uint8_t error;
        uint8_t ActiveFlag;
        error = DeviceState_parse_response(container, &ActiveFlag);
        ((DeviceState_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ActiveFlag);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_STATE && ModifierId == 0)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = DeviceState_parse_request(container, &DeviceId);
        ((DeviceState_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_STATISTICS_REQUEST && ModifierId == DEVICE_STATISTICS_REQUEST_GET)
    {
        uint8_t error;
        error = DeviceStatisticsRequest_get_parse_response(container);
        ((DeviceStatisticsRequest_get_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_STATISTICS_REQUEST && ModifierId == DEVICE_STATISTICS_REQUEST_GET)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ParamOffset;
        error = DeviceStatisticsRequest_get_parse_request(container, &DeviceId, &ParamOffset);
        ((DeviceStatisticsRequest_get_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ParamOffset);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_ZONE)
    {
        uint8_t error;
        error = DeviceProperties_set_zone_parse_response(container);
        ((DeviceProperties_set_zone_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_ZONE)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint16_t ZoneId;
        error = DeviceProperties_set_zone_parse_request(container, &DeviceId, &ZoneId);
        ((DeviceProperties_set_zone_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ZoneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_LOCKED_FLAG)
    {
        uint8_t error;
        error = DeviceProperties_set_locked_flag_parse_response(container);
        ((DeviceProperties_set_locked_flag_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_LOCKED_FLAG)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t LockedFlag;
        error = DeviceProperties_set_locked_flag_parse_request(container, &DeviceId, &LockedFlag);
        ((DeviceProperties_set_locked_flag_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, LockedFlag);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_NAME)
    {
        uint8_t error;
        error = DeviceProperties_set_name_parse_response(container);
        ((DeviceProperties_set_name_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_NAME)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t Name[21];
        error = DeviceProperties_set_name_parse_request(container, &DeviceId, Name);
        ((DeviceProperties_set_name_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, Name);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_BUTTON_ACTIVE_GROUP)
    {
        uint8_t error;
        error = DeviceProperties_set_button_active_group_parse_response(container);
        ((DeviceProperties_set_button_active_group_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_BUTTON_ACTIVE_GROUP)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t GroupId;
        error = DeviceProperties_set_button_active_group_parse_request(container, &DeviceId, &GroupId);
        ((DeviceProperties_set_button_active_group_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, GroupId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_RESET_BUTTON_ACTIVE_GROUP)
    {
        uint8_t error;
        error = DeviceProperties_reset_button_active_group_parse_response(container);
        ((DeviceProperties_reset_button_active_group_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_RESET_BUTTON_ACTIVE_GROUP)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = DeviceProperties_reset_button_active_group_parse_request(container, &DeviceId);
        ((DeviceProperties_reset_button_active_group_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_BUTTON_SET_LOCAL_PRIORITY)
    {
        uint8_t error;
        error = DeviceProperties_set_button_set_local_priority_parse_response(container);
        ((DeviceProperties_set_button_set_local_priority_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_BUTTON_SET_LOCAL_PRIORITY)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t SetLocalPriority;
        error = DeviceProperties_set_button_set_local_priority_parse_request(container, &DeviceId, &SetLocalPriority);
        ((DeviceProperties_set_button_set_local_priority_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, SetLocalPriority);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_BUTTON_SET_NO_COMING_HOME_CALL)
    {
        uint8_t error;
        error = DeviceProperties_set_button_set_no_coming_home_call_parse_response(container);
        ((DeviceProperties_set_button_set_no_coming_home_call_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_BUTTON_SET_NO_COMING_HOME_CALL)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t NoComingHomeCall;
        error = DeviceProperties_set_button_set_no_coming_home_call_parse_request(container, &DeviceId, &NoComingHomeCall);
        ((DeviceProperties_set_button_set_no_coming_home_call_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, NoComingHomeCall);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_BUTTON_SET_APARTMENT)
    {
        uint8_t error;
        error = DeviceProperties_set_button_set_apartment_parse_response(container);
        ((DeviceProperties_set_button_set_apartment_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_BUTTON_SET_APARTMENT)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t WholeApartment;
        error = DeviceProperties_set_button_set_apartment_parse_request(container, &DeviceId, &WholeApartment);
        ((DeviceProperties_set_button_set_apartment_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, WholeApartment);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_BUTTON_SET_OUTPUT_CHANNEL)
    {
        uint8_t error;
        error = DeviceProperties_set_button_set_output_channel_parse_response(container);
        ((DeviceProperties_set_button_set_output_channel_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_BUTTON_SET_OUTPUT_CHANNEL)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ChannelId;
        error = DeviceProperties_set_button_set_output_channel_parse_request(container, &DeviceId, &ChannelId);
        ((DeviceProperties_set_button_set_output_channel_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ChannelId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_BUTTON_SET_GLOBAL_GROUP)
    {
        uint8_t error;
        error = DeviceProperties_set_button_set_global_group_parse_response(container);
        ((DeviceProperties_set_button_set_global_group_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_PROPERTIES && ModifierId == DEVICE_PROPERTIES_SET_BUTTON_SET_GLOBAL_GROUP)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t GroupId;
        error = DeviceProperties_set_button_set_global_group_parse_request(container, &DeviceId, &GroupId);
        ((DeviceProperties_set_button_set_global_group_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, GroupId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_BUTTON_INFO && ModifierId == DEVICE_BUTTON_INFO_BY_DEVICE)
    {
        uint8_t error;
        uint8_t ButtonId;
        uint8_t GroupMembership;
        uint8_t Group;
        uint8_t Flags;
        uint8_t ChannelId;
        uint8_t GlobalGroup;
        error = DeviceButtonInfo_by_device_parse_response(container, &ButtonId, &GroupMembership, &Group, &Flags, &ChannelId, &GlobalGroup);
        ((DeviceButtonInfo_by_device_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ButtonId, GroupMembership, Group, Flags, ChannelId, GlobalGroup);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_BUTTON_INFO && ModifierId == DEVICE_BUTTON_INFO_BY_DEVICE)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = DeviceButtonInfo_by_device_parse_request(container, &DeviceId);
        ((DeviceButtonInfo_by_device_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_BINARY_INPUT && ModifierId == DEVICE_BINARY_INPUT_GET_COUNT)
    {
        uint8_t error;
        uint8_t Count;
        error = DeviceBinaryInput_get_count_parse_response(container, &Count);
        ((DeviceBinaryInput_get_count_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Count);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_BINARY_INPUT && ModifierId == DEVICE_BINARY_INPUT_GET_COUNT)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = DeviceBinaryInput_get_count_parse_request(container, &DeviceId);
        ((DeviceBinaryInput_get_count_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_BINARY_INPUT && ModifierId == DEVICE_BINARY_INPUT_GET_BY_INDEX)
    {
        uint8_t error;
        uint8_t TargetGroupType;
        uint8_t TargetGroup;
        uint8_t BinaryInputType;
        uint8_t ButtonId;
        error = DeviceBinaryInput_get_by_index_parse_response(container, &TargetGroupType, &TargetGroup, &BinaryInputType, &ButtonId);
        ((DeviceBinaryInput_get_by_index_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, TargetGroupType, TargetGroup, BinaryInputType, ButtonId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_BINARY_INPUT && ModifierId == DEVICE_BINARY_INPUT_GET_BY_INDEX)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t InputIndex;
        error = DeviceBinaryInput_get_by_index_parse_request(container, &DeviceId, &InputIndex);
        ((DeviceBinaryInput_get_by_index_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, InputIndex);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_GROUP_MEMBERSHIP_MODIFY && ModifierId == DEVICE_GROUP_MEMBERSHIP_MODIFY_ADD)
    {
        uint8_t error;
        error = DeviceGroupMembershipModify_add_parse_response(container);
        ((DeviceGroupMembershipModify_add_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_GROUP_MEMBERSHIP_MODIFY && ModifierId == DEVICE_GROUP_MEMBERSHIP_MODIFY_ADD)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t GroupId;
        error = DeviceGroupMembershipModify_add_parse_request(container, &DeviceId, &GroupId);
        ((DeviceGroupMembershipModify_add_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, GroupId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_GROUP_MEMBERSHIP_MODIFY && ModifierId == DEVICE_GROUP_MEMBERSHIP_MODIFY_REMOVE)
    {
        uint8_t error;
        error = DeviceGroupMembershipModify_remove_parse_response(container);
        ((DeviceGroupMembershipModify_remove_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_GROUP_MEMBERSHIP_MODIFY && ModifierId == DEVICE_GROUP_MEMBERSHIP_MODIFY_REMOVE)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t GroupId;
        error = DeviceGroupMembershipModify_remove_parse_request(container, &DeviceId, &GroupId);
        ((DeviceGroupMembershipModify_remove_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, GroupId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == TEST_TRANSMISSION_QUALITY && ModifierId == TEST_TRANSMISSION_QUALITY_GET)
    {
        uint8_t error;
        error = TestTransmissionQuality_get_parse_response(container);
        ((TestTransmissionQuality_get_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == TEST_TRANSMISSION_QUALITY && ModifierId == TEST_TRANSMISSION_QUALITY_GET)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = TestTransmissionQuality_get_parse_request(container, &DeviceId);
        ((TestTransmissionQuality_get_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == TEST_DEVICE_PRESENCE && ModifierId == 0)
    {
        uint8_t error;
        error = TestDevicePresence_parse_response(container);
        ((TestDevicePresence_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == TEST_DEVICE_PRESENCE && ModifierId == 0)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = TestDevicePresence_parse_request(container, &DeviceId);
        ((TestDevicePresence_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_CALL_SCENE)
    {
        uint8_t error;
        error = DeviceActionRequest_action_call_scene_parse_response(container);
        ((DeviceActionRequest_action_call_scene_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_CALL_SCENE)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t SceneId;
        error = DeviceActionRequest_action_call_scene_parse_request(container, &DeviceId, &SceneId);
        ((DeviceActionRequest_action_call_scene_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_SAVE_SCENE)
    {
        uint8_t error;
        error = DeviceActionRequest_action_save_scene_parse_response(container);
        ((DeviceActionRequest_action_save_scene_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_SAVE_SCENE)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t SceneId;
        error = DeviceActionRequest_action_save_scene_parse_request(container, &DeviceId, &SceneId);
        ((DeviceActionRequest_action_save_scene_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_UNDO_SCENE)
    {
        uint8_t error;
        error = DeviceActionRequest_action_undo_scene_parse_response(container);
        ((DeviceActionRequest_action_undo_scene_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_UNDO_SCENE)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = DeviceActionRequest_action_undo_scene_parse_request(container, &DeviceId);
        ((DeviceActionRequest_action_undo_scene_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_BLINK)
    {
        uint8_t error;
        error = DeviceActionRequest_action_blink_parse_response(container);
        ((DeviceActionRequest_action_blink_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_BLINK)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = DeviceActionRequest_action_blink_parse_request(container, &DeviceId);
        ((DeviceActionRequest_action_blink_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_UNDO_SCENE_NUMBER)
    {
        uint8_t error;
        error = DeviceActionRequest_action_undo_scene_number_parse_response(container);
        ((DeviceActionRequest_action_undo_scene_number_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_UNDO_SCENE_NUMBER)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t SceneId;
        error = DeviceActionRequest_action_undo_scene_number_parse_request(container, &DeviceId, &SceneId);
        ((DeviceActionRequest_action_undo_scene_number_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_FORCE_CALL_SCENE)
    {
        uint8_t error;
        error = DeviceActionRequest_action_force_call_scene_parse_response(container);
        ((DeviceActionRequest_action_force_call_scene_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_FORCE_CALL_SCENE)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t SceneId;
        error = DeviceActionRequest_action_force_call_scene_parse_request(container, &DeviceId, &SceneId);
        ((DeviceActionRequest_action_force_call_scene_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_SET_OUTVAL)
    {
        uint8_t error;
        error = DeviceActionRequest_action_set_outval_parse_response(container);
        ((DeviceActionRequest_action_set_outval_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_SET_OUTVAL)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t Value;
        error = DeviceActionRequest_action_set_outval_parse_request(container, &DeviceId, &Value);
        ((DeviceActionRequest_action_set_outval_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_ON)
    {
        uint8_t error;
        error = DeviceActionRequest_action_programming_mode_on_parse_response(container);
        ((DeviceActionRequest_action_programming_mode_on_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_ON)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = DeviceActionRequest_action_programming_mode_on_parse_request(container, &DeviceId);
        ((DeviceActionRequest_action_programming_mode_on_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_OFF)
    {
        uint8_t error;
        error = DeviceActionRequest_action_programming_mode_off_parse_response(container);
        ((DeviceActionRequest_action_programming_mode_off_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_PROGRAMMING_MODE_OFF)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = DeviceActionRequest_action_programming_mode_off_parse_request(container, &DeviceId);
        ((DeviceActionRequest_action_programming_mode_off_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_OPC_INC)
    {
        uint8_t error;
        error = DeviceActionRequest_action_opc_inc_parse_response(container);
        ((DeviceActionRequest_action_opc_inc_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_OPC_INC)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ChannelId;
        error = DeviceActionRequest_action_opc_inc_parse_request(container, &DeviceId, &ChannelId);
        ((DeviceActionRequest_action_opc_inc_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ChannelId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_OPC_DEC)
    {
        uint8_t error;
        error = DeviceActionRequest_action_opc_dec_parse_response(container);
        ((DeviceActionRequest_action_opc_dec_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_OPC_DEC)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ChannelId;
        error = DeviceActionRequest_action_opc_dec_parse_request(container, &DeviceId, &ChannelId);
        ((DeviceActionRequest_action_opc_dec_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ChannelId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_OPC_STOP)
    {
        uint8_t error;
        error = DeviceActionRequest_action_opc_stop_parse_response(container);
        ((DeviceActionRequest_action_opc_stop_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_OPC_STOP)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ChannelId;
        error = DeviceActionRequest_action_opc_stop_parse_request(container, &DeviceId, &ChannelId);
        ((DeviceActionRequest_action_opc_stop_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ChannelId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_EXTRA_COMMAND)
    {
        uint8_t error;
        error = DeviceActionRequest_action_extra_command_parse_response(container);
        ((DeviceActionRequest_action_extra_command_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_ACTION_REQUEST && ModifierId == DEVICE_ACTION_REQUEST_ACTION_EXTRA_COMMAND)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t Command;
        error = DeviceActionRequest_action_extra_command_parse_request(container, &DeviceId, &Command);
        ((DeviceActionRequest_action_extra_command_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, Command);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_CONFIG && ModifierId == DEVICE_CONFIG_GET)
    {
        uint8_t error;
        error = DeviceConfig_get_parse_response(container);
        ((DeviceConfig_get_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_CONFIG && ModifierId == DEVICE_CONFIG_GET)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ConfigClass;
        uint8_t ConfigIndex;
        error = DeviceConfig_get_parse_request(container, &DeviceId, &ConfigClass, &ConfigIndex);
        ((DeviceConfig_get_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ConfigClass, ConfigIndex);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_CONFIG && ModifierId == DEVICE_CONFIG_SET)
    {
        uint8_t error;
        error = DeviceConfig_set_parse_response(container);
        ((DeviceConfig_set_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_CONFIG && ModifierId == DEVICE_CONFIG_SET)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ConfigClass;
        uint8_t ConfigIndex;
        uint8_t Value;
        error = DeviceConfig_set_parse_request(container, &DeviceId, &ConfigClass, &ConfigIndex, &Value);
        ((DeviceConfig_set_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ConfigClass, ConfigIndex, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_GET_CURRENT)
    {
        uint8_t error;
        error = DeviceOPCConfig_get_current_parse_response(container);
        ((DeviceOPCConfig_get_current_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_GET_CURRENT)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ChannelId;
        error = DeviceOPCConfig_get_current_parse_request(container, &DeviceId, &ChannelId);
        ((DeviceOPCConfig_get_current_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ChannelId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_SET_CURRENT_AND_APPLY)
    {
        uint8_t error;
        error = DeviceOPCConfig_set_current_and_apply_parse_response(container);
        ((DeviceOPCConfig_set_current_and_apply_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_SET_CURRENT_AND_APPLY)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ChannelId;
        uint8_t Size;
        uint16_t Value;
        error = DeviceOPCConfig_set_current_and_apply_parse_request(container, &DeviceId, &ChannelId, &Size, &Value);
        ((DeviceOPCConfig_set_current_and_apply_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ChannelId, Size, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_SET_CURRENT)
    {
        uint8_t error;
        error = DeviceOPCConfig_set_current_parse_response(container);
        ((DeviceOPCConfig_set_current_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_SET_CURRENT)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ChannelId;
        uint8_t Size;
        uint16_t Value;
        error = DeviceOPCConfig_set_current_parse_request(container, &DeviceId, &ChannelId, &Size, &Value);
        ((DeviceOPCConfig_set_current_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ChannelId, Size, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_GET_SCENE)
    {
        uint8_t error;
        error = DeviceOPCConfig_get_scene_parse_response(container);
        ((DeviceOPCConfig_get_scene_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_GET_SCENE)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ChannelId;
        uint8_t SceneId;
        error = DeviceOPCConfig_get_scene_parse_request(container, &DeviceId, &ChannelId, &SceneId);
        ((DeviceOPCConfig_get_scene_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ChannelId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_SET_SCENE)
    {
        uint8_t error;
        error = DeviceOPCConfig_set_scene_parse_response(container);
        ((DeviceOPCConfig_set_scene_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_SET_SCENE)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ChannelId;
        uint8_t Size;
        uint8_t SceneId;
        uint16_t Value;
        error = DeviceOPCConfig_set_scene_parse_request(container, &DeviceId, &ChannelId, &Size, &SceneId, &Value);
        ((DeviceOPCConfig_set_scene_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ChannelId, Size, SceneId, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_GET_SCENE_CONFIG)
    {
        uint8_t error;
        error = DeviceOPCConfig_get_scene_config_parse_response(container);
        ((DeviceOPCConfig_get_scene_config_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_GET_SCENE_CONFIG)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t SceneId;
        error = DeviceOPCConfig_get_scene_config_parse_request(container, &DeviceId, &SceneId);
        ((DeviceOPCConfig_get_scene_config_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_SET_SCENE_CONFIG)
    {
        uint8_t error;
        error = DeviceOPCConfig_set_scene_config_parse_response(container);
        ((DeviceOPCConfig_set_scene_config_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_SET_SCENE_CONFIG)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t SceneId;
        uint16_t Value;
        error = DeviceOPCConfig_set_scene_config_parse_request(container, &DeviceId, &SceneId, &Value);
        ((DeviceOPCConfig_set_scene_config_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, SceneId, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_GET_DC_FLAGS)
    {
        uint8_t error;
        error = DeviceOPCConfig_get_dc_flags_parse_response(container);
        ((DeviceOPCConfig_get_dc_flags_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_GET_DC_FLAGS)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t SceneId;
        error = DeviceOPCConfig_get_dc_flags_parse_request(container, &DeviceId, &SceneId);
        ((DeviceOPCConfig_get_dc_flags_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, SceneId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_SET_DC_FLAGS)
    {
        uint8_t error;
        error = DeviceOPCConfig_set_dc_flags_parse_response(container);
        ((DeviceOPCConfig_set_dc_flags_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_O_P_C_CONFIG && ModifierId == DEVICE_O_P_C_CONFIG_SET_DC_FLAGS)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t SceneId;
        uint16_t Value;
        error = DeviceOPCConfig_set_dc_flags_parse_request(container, &DeviceId, &SceneId, &Value);
        ((DeviceOPCConfig_set_dc_flags_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, SceneId, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_O_P_C_TABLE && ModifierId == DEVICE_O_P_C_TABLE_GET_COUNT)
    {
        uint8_t error;
        uint8_t Count;
        error = DeviceOPCTable_get_count_parse_response(container, &Count);
        ((DeviceOPCTable_get_count_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Count);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_O_P_C_TABLE && ModifierId == DEVICE_O_P_C_TABLE_GET_COUNT)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = DeviceOPCTable_get_count_parse_request(container, &DeviceId);
        ((DeviceOPCTable_get_count_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_O_P_C_TABLE && ModifierId == DEVICE_O_P_C_TABLE_GET_BY_INDEX)
    {
        uint8_t error;
        uint8_t ChannelId;
        error = DeviceOPCTable_get_by_index_parse_response(container, &ChannelId);
        ((DeviceOPCTable_get_by_index_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ChannelId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_O_P_C_TABLE && ModifierId == DEVICE_O_P_C_TABLE_GET_BY_INDEX)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t Index;
        error = DeviceOPCTable_get_by_index_parse_request(container, &DeviceId, &Index);
        ((DeviceOPCTable_get_by_index_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, Index);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_SENSOR && ModifierId == DEVICE_SENSOR_GET_VALUE)
    {
        uint8_t error;
        error = DeviceSensor_get_value_parse_response(container);
        ((DeviceSensor_get_value_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_SENSOR && ModifierId == DEVICE_SENSOR_GET_VALUE)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t SensorIndex;
        error = DeviceSensor_get_value_parse_request(container, &DeviceId, &SensorIndex);
        ((DeviceSensor_get_value_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, SensorIndex);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_SENSOR && ModifierId == DEVICE_SENSOR_GET_COUNT)
    {
        uint8_t error;
        uint8_t Count;
        error = DeviceSensor_get_count_parse_response(container, &Count);
        ((DeviceSensor_get_count_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Count);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_SENSOR && ModifierId == DEVICE_SENSOR_GET_COUNT)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = DeviceSensor_get_count_parse_request(container, &DeviceId);
        ((DeviceSensor_get_count_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_SENSOR && ModifierId == DEVICE_SENSOR_GET_BY_INDEX)
    {
        uint8_t error;
        uint8_t Type;
        uint32_t PollInterval;
        uint8_t Broadcast;
        uint8_t PushConvert;
        error = DeviceSensor_get_by_index_parse_response(container, &Type, &PollInterval, &Broadcast, &PushConvert);
        ((DeviceSensor_get_by_index_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Type, PollInterval, Broadcast, PushConvert);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_SENSOR && ModifierId == DEVICE_SENSOR_GET_BY_INDEX)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t SensorIndex;
        error = DeviceSensor_get_by_index_parse_request(container, &DeviceId, &SensorIndex);
        ((DeviceSensor_get_by_index_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, SensorIndex);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CIRCUIT_REMOVE_INACTIVE_DEVICES && ModifierId == 0)
    {
        uint8_t error;
        error = CircuitRemoveInactiveDevices_parse_response(container);
        ((CircuitRemoveInactiveDevices_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CIRCUIT_REMOVE_INACTIVE_DEVICES && ModifierId == 0)
    {
        uint8_t error;
        error = CircuitRemoveInactiveDevices_parse_request(container);
        ((CircuitRemoveInactiveDevices_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CIRCUIT_REMOVE_DEVICE && ModifierId == CIRCUIT_REMOVE_DEVICE_BY_ID)
    {
        uint8_t error;
        error = CircuitRemoveDevice_by_id_parse_response(container);
        ((CircuitRemoveDevice_by_id_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CIRCUIT_REMOVE_DEVICE && ModifierId == CIRCUIT_REMOVE_DEVICE_BY_ID)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = CircuitRemoveDevice_by_id_parse_request(container, &DeviceId);
        ((CircuitRemoveDevice_by_id_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CIRCUIT_REMOVE_DEVICE && ModifierId == CIRCUIT_REMOVE_DEVICE_BY_DSUID)
    {
        uint8_t error;
        error = CircuitRemoveDevice_by_dsuid_parse_response(container);
        ((CircuitRemoveDevice_by_dsuid_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CIRCUIT_REMOVE_DEVICE && ModifierId == CIRCUIT_REMOVE_DEVICE_BY_DSUID)
    {
        uint8_t error;
        dsuid_t dSUID;
        error = CircuitRemoveDevice_by_dsuid_parse_request(container, &dSUID);
        ((CircuitRemoveDevice_by_dsuid_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, dSUID);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_TEST_TRANSMISSION_QUALITY && ModifierId == 0)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t DownstreamQuality;
        uint16_t UpstreamQuality;
        error = EventTestTransmissionQuality_parse_event(container, &DeviceId, &DownstreamQuality, &UpstreamQuality);
        ((EventTestTransmissionQuality_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, DownstreamQuality, UpstreamQuality);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_TEST_DEVICE_PRESENCE && ModifierId == 0)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t Present;
        error = EventTestDevicePresence_parse_event(container, &DeviceId, &Present);
        ((EventTestDevicePresence_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, Present);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DEVICE_ACCESSIBILITY && ModifierId == EVENT_DEVICE_ACCESSIBILITY_ON)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint16_t ZoneId;
        uint16_t VendorId;
        uint16_t ProductId;
        uint16_t FunctionId;
        uint16_t Version;
        dsuid_t dSUID;
        error = EventDeviceAccessibility_on_parse_event(container, &DeviceId, &ZoneId, &VendorId, &ProductId, &FunctionId, &Version, &dSUID);
        ((EventDeviceAccessibility_on_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ZoneId, VendorId, ProductId, FunctionId, Version, dSUID);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DEVICE_ACCESSIBILITY && ModifierId == EVENT_DEVICE_ACCESSIBILITY_OFF)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint16_t ZoneId;
        uint16_t VendorId;
        uint16_t ProductId;
        uint16_t FunctionId;
        uint16_t Version;
        dsuid_t dSUID;
        error = EventDeviceAccessibility_off_parse_event(container, &DeviceId, &ZoneId, &VendorId, &ProductId, &FunctionId, &Version, &dSUID);
        ((EventDeviceAccessibility_off_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ZoneId, VendorId, ProductId, FunctionId, Version, dSUID);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DEVICE_STATISTICS && ModifierId == 0)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t Offset;
        uint16_t Value;
        error = EventDeviceStatistics_parse_event(container, &DeviceId, &Offset, &Value);
        ((EventDeviceStatistics_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, Offset, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DEVICE_ACTION && ModifierId == 0)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint8_t ButtonNr;
        uint8_t ClickType;
        error = EventDeviceAction_parse_event(container, &DeviceId, &ZoneId, &GroupId, &ButtonNr, &ClickType);
        ((EventDeviceAction_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ZoneId, GroupId, ButtonNr, ClickType);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DEVICE_LOCAL_ACTION && ModifierId == 0)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint16_t ZoneId;
        uint8_t State;
        error = EventDeviceLocalAction_parse_event(container, &DeviceId, &ZoneId, &State);
        ((EventDeviceLocalAction_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ZoneId, State);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DEVICE_CONFIG && ModifierId == 0)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t ConfigClass;
        uint8_t ConfigIndex;
        uint8_t Value;
        error = EventDeviceConfig_parse_event(container, &DeviceId, &ConfigClass, &ConfigIndex, &Value);
        ((EventDeviceConfig_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, ConfigClass, ConfigIndex, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DEVICE_SENSOR && ModifierId == EVENT_DEVICE_SENSOR_VALUE)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t SensorIndex;
        uint16_t SensorValue;
        error = EventDeviceSensor_value_parse_event(container, &DeviceId, &SensorIndex, &SensorValue);
        ((EventDeviceSensor_value_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, SensorIndex, SensorValue);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DEVICE_SENSOR && ModifierId == EVENT_DEVICE_SENSOR_EVENT)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t EventIndex;
        error = EventDeviceSensor_event_parse_event(container, &DeviceId, &EventIndex);
        ((EventDeviceSensor_event_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, EventIndex);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DEVICE_SENSOR && ModifierId == EVENT_DEVICE_SENSOR_BINARYINPUTEVENT)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t EventIndex;
        uint8_t EventType;
        uint8_t State;
        error = EventDeviceSensor_binaryInputEvent_parse_event(container, &DeviceId, &EventIndex, &EventType, &State);
        ((EventDeviceSensor_binaryInputEvent_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, EventIndex, EventType, State);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DEVICE_GIVE_UP && ModifierId == 0)
    {
        uint8_t error;
        uint32_t SerialNumber;
        uint8_t CircuitId;
        error = EventDeviceGiveUp_parse_event(container, &SerialNumber, &CircuitId);
        ((EventDeviceGiveUp_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, SerialNumber, CircuitId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DEVICE_MODEL_CHANGED && ModifierId == 0)
    {
        uint8_t error;
        uint16_t DeviceId;
        error = EventDeviceModelChanged_parse_event(container, &DeviceId);
        ((EventDeviceModelChanged_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CIRCUIT_PING_DEVICES && ModifierId == CIRCUIT_PING_DEVICES_AUTOMATIC)
    {
        uint8_t error;
        error = CircuitPingDevices_automatic_parse_response(container);
        ((CircuitPingDevices_automatic_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CIRCUIT_PING_DEVICES && ModifierId == CIRCUIT_PING_DEVICES_AUTOMATIC)
    {
        uint8_t error;
        uint16_t IntervalTime;
        error = CircuitPingDevices_automatic_parse_request(container, &IntervalTime);
        ((CircuitPingDevices_automatic_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, IntervalTime);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CIRCUIT_PING_DEVICES && ModifierId == CIRCUIT_PING_DEVICES_ONE_TIME_AUTOMATIC)
    {
        uint8_t error;
        error = CircuitPingDevices_one_time_automatic_parse_response(container);
        ((CircuitPingDevices_one_time_automatic_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CIRCUIT_PING_DEVICES && ModifierId == CIRCUIT_PING_DEVICES_ONE_TIME_AUTOMATIC)
    {
        uint8_t error;
        uint16_t OneTimeIntervalTime;
        uint16_t AutoIntervalTime;
        error = CircuitPingDevices_one_time_automatic_parse_request(container, &OneTimeIntervalTime, &AutoIntervalTime);
        ((CircuitPingDevices_one_time_automatic_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, OneTimeIntervalTime, AutoIntervalTime);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CIRCUIT_PING_DEVICES && ModifierId == CIRCUIT_PING_DEVICES_ONE_TIME_OFF)
    {
        uint8_t error;
        error = CircuitPingDevices_one_time_off_parse_response(container);
        ((CircuitPingDevices_one_time_off_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CIRCUIT_PING_DEVICES && ModifierId == CIRCUIT_PING_DEVICES_ONE_TIME_OFF)
    {
        uint8_t error;
        uint16_t IntervalTime;
        error = CircuitPingDevices_one_time_off_parse_request(container, &IntervalTime);
        ((CircuitPingDevices_one_time_off_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, IntervalTime);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CIRCUIT_PING_DEVICES && ModifierId == CIRCUIT_PING_DEVICES_OFF)
    {
        uint8_t error;
        error = CircuitPingDevices_off_parse_response(container);
        ((CircuitPingDevices_off_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CIRCUIT_PING_DEVICES && ModifierId == CIRCUIT_PING_DEVICES_OFF)
    {
        uint8_t error;
        error = CircuitPingDevices_off_parse_request(container);
        ((CircuitPingDevices_off_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CIRCUIT_ENERGY_METER_VALUE && ModifierId == CIRCUIT_ENERGY_METER_VALUE_GET)
    {
        uint8_t error;
        uint32_t PowerW;
        uint32_t EnergyWh;
        error = CircuitEnergyMeterValue_get_parse_response(container, &PowerW, &EnergyWh);
        ((CircuitEnergyMeterValue_get_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, PowerW, EnergyWh);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CIRCUIT_ENERGY_METER_VALUE && ModifierId == CIRCUIT_ENERGY_METER_VALUE_GET)
    {
        uint8_t error;
        error = CircuitEnergyMeterValue_get_parse_request(container);
        ((CircuitEnergyMeterValue_get_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CIRCUIT_ENERGY_METER_VALUE && ModifierId == CIRCUIT_ENERGY_METER_VALUE_RESET)
    {
        uint8_t error;
        uint32_t PowerW;
        uint32_t EnergyWh;
        error = CircuitEnergyMeterValue_reset_parse_response(container, &PowerW, &EnergyWh);
        ((CircuitEnergyMeterValue_reset_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, PowerW, EnergyWh);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CIRCUIT_ENERGY_METER_VALUE && ModifierId == CIRCUIT_ENERGY_METER_VALUE_RESET)
    {
        uint8_t error;
        error = CircuitEnergyMeterValue_reset_parse_request(container);
        ((CircuitEnergyMeterValue_reset_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CIRCUIT_ENERGY_METER_VALUE && ModifierId == CIRCUIT_ENERGY_METER_VALUE_CALIBRATION)
    {
        uint8_t error;
        uint16_t Uaverage;
        uint16_t I14average;
        uint16_t I180average;
        uint32_t PActiveLow;
        uint32_t PActiveHigh;
        error = CircuitEnergyMeterValue_calibration_parse_response(container, &Uaverage, &I14average, &I180average, &PActiveLow, &PActiveHigh);
        ((CircuitEnergyMeterValue_calibration_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Uaverage, I14average, I180average, PActiveLow, PActiveHigh);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CIRCUIT_ENERGY_METER_VALUE && ModifierId == CIRCUIT_ENERGY_METER_VALUE_CALIBRATION)
    {
        uint8_t error;
        error = CircuitEnergyMeterValue_calibration_parse_request(container);
        ((CircuitEnergyMeterValue_calibration_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CIRCUIT_ENERGY_METER_VALUE && ModifierId == CIRCUIT_ENERGY_METER_VALUE_WS_GET)
    {
        uint8_t error;
        uint32_t PowerW;
        uint32_t EnergyWs;
        error = CircuitEnergyMeterValue_Ws_get_parse_response(container, &PowerW, &EnergyWs);
        ((CircuitEnergyMeterValue_Ws_get_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, PowerW, EnergyWs);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CIRCUIT_ENERGY_METER_VALUE && ModifierId == CIRCUIT_ENERGY_METER_VALUE_WS_GET)
    {
        uint8_t error;
        error = CircuitEnergyMeterValue_Ws_get_parse_request(container);
        ((CircuitEnergyMeterValue_Ws_get_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == CIRCUIT_CURRENT_METER_VALUE && ModifierId == CIRCUIT_CURRENT_METER_VALUE_GET)
    {
        uint8_t error;
        uint16_t PowerW;
        uint16_t PowerQ;
        uint16_t Phi;
        error = CircuitCurrentMeterValue_get_parse_response(container, &PowerW, &PowerQ, &Phi);
        ((CircuitCurrentMeterValue_get_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, PowerW, PowerQ, Phi);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == CIRCUIT_CURRENT_METER_VALUE && ModifierId == CIRCUIT_CURRENT_METER_VALUE_GET)
    {
        uint8_t error;
        error = CircuitCurrentMeterValue_get_parse_request(container);
        ((CircuitCurrentMeterValue_get_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_INFO && ModifierId == 0)
    {
        uint8_t error;
        uint32_t HWVersion;
        uint32_t ARMSWVersion;
        uint32_t DSPSWVersion;
        uint16_t ApiVersion;
        dsid_t DSID;
        uint8_t Name[21];
        error = dSMInfo_parse_response(container, &HWVersion, &ARMSWVersion, &DSPSWVersion, &ApiVersion, &DSID, Name);
        ((dSMInfo_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, HWVersion, ARMSWVersion, DSPSWVersion, ApiVersion, DSID, Name);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_INFO && ModifierId == 0)
    {
        uint8_t error;
        error = dSMInfo_parse_request(container);
        ((dSMInfo_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_SET_NAME)
    {
        uint8_t error;
        error = dSMProperties_set_name_parse_response(container);
        ((dSMProperties_set_name_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_SET_NAME)
    {
        uint8_t error;
        uint8_t Name[21];
        error = dSMProperties_set_name_parse_request(container, Name);
        ((dSMProperties_set_name_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Name);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_SET_APARTMENT_ID)
    {
        uint8_t error;
        error = dSMProperties_set_apartment_id_parse_response(container);
        ((dSMProperties_set_apartment_id_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_SET_APARTMENT_ID)
    {
        uint8_t error;
        uint8_t ApartmentId;
        error = dSMProperties_set_apartment_id_parse_request(container, &ApartmentId);
        ((dSMProperties_set_apartment_id_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ApartmentId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_SET_TEMPERATURE_LIMITS)
    {
        uint8_t error;
        error = dSMProperties_set_temperature_limits_parse_response(container);
        ((dSMProperties_set_temperature_limits_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_SET_TEMPERATURE_LIMITS)
    {
        uint8_t error;
        uint8_t WarnTemperature;
        uint8_t ErrorTemperature;
        error = dSMProperties_set_temperature_limits_parse_request(container, &WarnTemperature, &ErrorTemperature);
        ((dSMProperties_set_temperature_limits_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, WarnTemperature, ErrorTemperature);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_APARTMENT_ID)
    {
        uint8_t error;
        uint8_t ApartmentId;
        error = dSMProperties_get_apartment_id_parse_response(container, &ApartmentId);
        ((dSMProperties_get_apartment_id_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ApartmentId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_APARTMENT_ID)
    {
        uint8_t error;
        error = dSMProperties_get_apartment_id_parse_request(container);
        ((dSMProperties_get_apartment_id_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_TEMPERATURE_LIMITS)
    {
        uint8_t error;
        uint8_t WarnTemperature;
        uint8_t ErrorTemperature;
        error = dSMProperties_get_temperature_limits_parse_response(container, &WarnTemperature, &ErrorTemperature);
        ((dSMProperties_get_temperature_limits_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, WarnTemperature, ErrorTemperature);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_TEMPERATURE_LIMITS)
    {
        uint8_t error;
        error = dSMProperties_get_temperature_limits_parse_request(container);
        ((dSMProperties_get_temperature_limits_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_CURRENT_TEMPERATURE)
    {
        uint8_t error;
        uint16_t Temperature;
        error = dSMProperties_get_current_temperature_parse_response(container, &Temperature);
        ((dSMProperties_get_current_temperature_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Temperature);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_CURRENT_TEMPERATURE)
    {
        uint8_t error;
        error = dSMProperties_get_current_temperature_parse_request(container);
        ((dSMProperties_get_current_temperature_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_SET_FLAGS)
    {
        uint8_t error;
        error = dSMProperties_set_flags_parse_response(container);
        ((dSMProperties_set_flags_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_SET_FLAGS)
    {
        uint8_t error;
        uint8_t Flags;
        error = dSMProperties_set_flags_parse_request(container, &Flags);
        ((dSMProperties_set_flags_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Flags);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_FLAGS)
    {
        uint8_t error;
        uint8_t Flags;
        error = dSMProperties_get_flags_parse_response(container, &Flags);
        ((dSMProperties_get_flags_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Flags);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_FLAGS)
    {
        uint8_t error;
        error = dSMProperties_get_flags_parse_request(container);
        ((dSMProperties_get_flags_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_POWER_DOWN_DURATION)
    {
        uint8_t error;
        uint8_t Duration;
        error = dSMProperties_get_power_down_duration_parse_response(container, &Duration);
        ((dSMProperties_get_power_down_duration_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Duration);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_POWER_DOWN_DURATION)
    {
        uint8_t error;
        error = dSMProperties_get_power_down_duration_parse_request(container);
        ((dSMProperties_get_power_down_duration_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_SET_PING_INTERVALS)
    {
        uint8_t error;
        error = dSMProperties_set_ping_intervals_parse_response(container);
        ((dSMProperties_set_ping_intervals_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_SET_PING_INTERVALS)
    {
        uint8_t error;
        uint16_t AutoPingInterval;
        uint16_t OnePingInterval;
        error = dSMProperties_set_ping_intervals_parse_request(container, &AutoPingInterval, &OnePingInterval);
        ((dSMProperties_set_ping_intervals_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, AutoPingInterval, OnePingInterval);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_PING_INTERVALS)
    {
        uint8_t error;
        uint16_t AutoPingInterval;
        uint16_t OnePingInterval;
        error = dSMProperties_get_ping_intervals_parse_response(container, &AutoPingInterval, &OnePingInterval);
        ((dSMProperties_get_ping_intervals_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, AutoPingInterval, OnePingInterval);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_PING_INTERVALS)
    {
        uint8_t error;
        error = dSMProperties_get_ping_intervals_parse_request(container);
        ((dSMProperties_get_ping_intervals_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_MAX_TEMPERATURE)
    {
        uint8_t error;
        uint16_t MaxTemperature;
        error = dSMProperties_get_max_temperature_parse_response(container, &MaxTemperature);
        ((dSMProperties_get_max_temperature_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, MaxTemperature);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_MAX_TEMPERATURE)
    {
        uint8_t error;
        error = dSMProperties_get_max_temperature_parse_request(container);
        ((dSMProperties_get_max_temperature_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_RESET_MAX_TEMPERATURE)
    {
        uint8_t error;
        error = dSMProperties_reset_max_temperature_parse_response(container);
        ((dSMProperties_reset_max_temperature_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_RESET_MAX_TEMPERATURE)
    {
        uint8_t error;
        error = dSMProperties_reset_max_temperature_parse_request(container);
        ((dSMProperties_reset_max_temperature_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_SET_UPSTREAM_FREQUENCY)
    {
        uint8_t error;
        error = dSMProperties_set_upstream_frequency_parse_response(container);
        ((dSMProperties_set_upstream_frequency_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_SET_UPSTREAM_FREQUENCY)
    {
        uint8_t error;
        uint8_t UpstreamFrequency;
        error = dSMProperties_set_upstream_frequency_parse_request(container, &UpstreamFrequency);
        ((dSMProperties_set_upstream_frequency_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, UpstreamFrequency);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_UPSTREAM_FREQUENCY)
    {
        uint8_t error;
        uint8_t UpstreamFrequency;
        error = dSMProperties_get_upstream_frequency_parse_response(container, &UpstreamFrequency);
        ((dSMProperties_get_upstream_frequency_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, UpstreamFrequency);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_UPSTREAM_FREQUENCY)
    {
        uint8_t error;
        error = dSMProperties_get_upstream_frequency_parse_request(container);
        ((dSMProperties_get_upstream_frequency_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_APARTMENT_STATE)
    {
        uint8_t error;
        uint8_t State;
        error = dSMProperties_get_apartment_state_parse_response(container, &State);
        ((dSMProperties_get_apartment_state_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, State);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_PROPERTIES && ModifierId == DSM_PROPERTIES_GET_APARTMENT_STATE)
    {
        uint8_t error;
        error = dSMProperties_get_apartment_state_parse_request(container);
        ((dSMProperties_get_apartment_state_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_STATE && ModifierId == 0)
    {
        uint8_t error;
        uint8_t Hardware;
        uint8_t DSP;
        uint8_t Temperature;
        uint8_t Config;
        uint8_t dS485;
        uint8_t Line;
        error = dSMState_parse_response(container, &Hardware, &DSP, &Temperature, &Config, &dS485, &Line);
        ((dSMState_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Hardware, DSP, Temperature, Config, dS485, Line);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_STATE && ModifierId == 0)
    {
        uint8_t error;
        error = dSMState_parse_request(container);
        ((dSMState_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_CONFIG && ModifierId == DSM_CONFIG_SET_DSM_CONFIG)
    {
        uint8_t error;
        error = dSMConfig_set_dSM_config_parse_response(container);
        ((dSMConfig_set_dSM_config_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_CONFIG && ModifierId == DSM_CONFIG_SET_DSM_CONFIG)
    {
        uint8_t error;
        dsid_t DSID;
        uint32_t HWVersion;
        error = dSMConfig_set_dSM_config_parse_request(container, &DSID, &HWVersion);
        ((dSMConfig_set_dSM_config_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DSID, HWVersion);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_CONFIG && ModifierId == DSM_CONFIG_GET_DSP_CONFIG)
    {
        uint8_t error;
        uint8_t Size;
        uint8_t Config[96];
        error = dSMConfig_get_DSP_config_parse_response(container, &Size, Config);
        ((dSMConfig_get_DSP_config_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Size, Config);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_CONFIG && ModifierId == DSM_CONFIG_GET_DSP_CONFIG)
    {
        uint8_t error;
        error = dSMConfig_get_DSP_config_parse_request(container);
        ((dSMConfig_get_DSP_config_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_CONFIG && ModifierId == DSM_CONFIG_SET_DSP_CONFIG)
    {
        uint8_t error;
        error = dSMConfig_set_DSP_config_parse_response(container);
        ((dSMConfig_set_DSP_config_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_CONFIG && ModifierId == DSM_CONFIG_SET_DSP_CONFIG)
    {
        uint8_t error;
        uint8_t Size;
        uint8_t Config[96];
        error = dSMConfig_set_DSP_config_parse_request(container, &Size, Config);
        ((dSMConfig_set_DSP_config_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Size, Config);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_CONFIG && ModifierId == DSM_CONFIG_GET_HASH)
    {
        uint8_t error;
        uint32_t Hash;
        uint32_t ConfigurationCount;
        uint32_t BinaryInputEventCount;
        error = dSMConfig_get_hash_parse_response(container, &Hash, &ConfigurationCount, &BinaryInputEventCount);
        ((dSMConfig_get_hash_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Hash, ConfigurationCount, BinaryInputEventCount);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_CONFIG && ModifierId == DSM_CONFIG_GET_HASH)
    {
        uint8_t error;
        error = dSMConfig_get_hash_parse_request(container);
        ((dSMConfig_get_hash_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_GET_DS485)
    {
        uint8_t error;
        uint32_t TxToken;
        uint16_t TxStartupRequest;
        uint16_t TxStartupResponse;
        uint16_t TxJoinRequest;
        uint16_t TxJoinResponse;
        uint16_t TxGetAddressRequest;
        uint16_t TxGetAddressResponse;
        uint16_t TxSetAddressRequest;
        uint16_t TxSetAddressResponse;
        uint16_t TxSetSuccessorAddressRequest;
        uint16_t TxSetSuccessorAddressResponse;
        uint16_t TxResponse;
        uint16_t TxDataRequest;
        uint16_t TxDataResponse;
        uint16_t TxDataEvent;
        uint16_t RxResponse;
        uint16_t RxDataRequest;
        uint16_t RxDataResponse;
        uint16_t RxDataEvent;
        uint16_t StartRegisterStation;
        uint16_t DoneRegisterStation;
        uint16_t EnterOperational;
        uint16_t SuccessorLost;
        error = dSMStatistics_get_dS485_parse_response(container, &TxToken, &TxStartupRequest, &TxStartupResponse, &TxJoinRequest, &TxJoinResponse, &TxGetAddressRequest, &TxGetAddressResponse, &TxSetAddressRequest, &TxSetAddressResponse, &TxSetSuccessorAddressRequest, &TxSetSuccessorAddressResponse, &TxResponse, &TxDataRequest, &TxDataResponse, &TxDataEvent, &RxResponse, &RxDataRequest, &RxDataResponse, &RxDataEvent, &StartRegisterStation, &DoneRegisterStation, &EnterOperational, &SuccessorLost);
        ((dSMStatistics_get_dS485_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, TxToken, TxStartupRequest, TxStartupResponse, TxJoinRequest, TxJoinResponse, TxGetAddressRequest, TxGetAddressResponse, TxSetAddressRequest, TxSetAddressResponse, TxSetSuccessorAddressRequest, TxSetSuccessorAddressResponse, TxResponse, TxDataRequest, TxDataResponse, TxDataEvent, RxResponse, RxDataRequest, RxDataResponse, RxDataEvent, StartRegisterStation, DoneRegisterStation, EnterOperational, SuccessorLost);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_GET_DS485)
    {
        uint8_t error;
        error = dSMStatistics_get_dS485_parse_request(container);
        ((dSMStatistics_get_dS485_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_RESET_DS485)
    {
        uint8_t error;
        error = dSMStatistics_reset_dS485_parse_response(container);
        ((dSMStatistics_reset_dS485_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_RESET_DS485)
    {
        uint8_t error;
        error = dSMStatistics_reset_dS485_parse_request(container);
        ((dSMStatistics_reset_dS485_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_GET_UPSTREAM)
    {
        uint8_t error;
        uint8_t Length;
        uint8_t Statistics[96];
        error = dSMStatistics_get_upstream_parse_response(container, &Length, Statistics);
        ((dSMStatistics_get_upstream_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Length, Statistics);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_GET_UPSTREAM)
    {
        uint8_t error;
        uint8_t Index;
        error = dSMStatistics_get_upstream_parse_request(container, &Index);
        ((dSMStatistics_get_upstream_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Index);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_RESET_UPSTREAM)
    {
        uint8_t error;
        error = dSMStatistics_reset_upstream_parse_response(container);
        ((dSMStatistics_reset_upstream_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_RESET_UPSTREAM)
    {
        uint8_t error;
        error = dSMStatistics_reset_upstream_parse_request(container);
        ((dSMStatistics_reset_upstream_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_GET_INTERNALS)
    {
        uint8_t error;
        uint32_t RxShortUpstream;
        uint32_t RxLongUpstream;
        uint32_t TxDownstream;
        uint32_t TxErrorSelectA;
        uint32_t TxErrorSelectB;
        uint32_t DSPResets;
        uint32_t DSPMsgSizeError;
        uint32_t DSPMsgMagicError;
        uint32_t DSPMsgUnknown;
        error = dSMStatistics_get_internals_parse_response(container, &RxShortUpstream, &RxLongUpstream, &TxDownstream, &TxErrorSelectA, &TxErrorSelectB, &DSPResets, &DSPMsgSizeError, &DSPMsgMagicError, &DSPMsgUnknown);
        ((dSMStatistics_get_internals_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, RxShortUpstream, RxLongUpstream, TxDownstream, TxErrorSelectA, TxErrorSelectB, DSPResets, DSPMsgSizeError, DSPMsgMagicError, DSPMsgUnknown);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_GET_INTERNALS)
    {
        uint8_t error;
        error = dSMStatistics_get_internals_parse_request(container);
        ((dSMStatistics_get_internals_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_RESET_INTERNALS)
    {
        uint8_t error;
        error = dSMStatistics_reset_internals_parse_response(container);
        ((dSMStatistics_reset_internals_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_RESET_INTERNALS)
    {
        uint8_t error;
        error = dSMStatistics_reset_internals_parse_request(container);
        ((dSMStatistics_reset_internals_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_GET_POOL_MARGINS)
    {
        uint8_t error;
        uint8_t SmallPoolMargin;
        uint8_t MediumPoolMargin;
        uint8_t LargePoolMargin;
        uint8_t FreescaleQueueMargin;
        uint8_t MMIQueueMargin;
        uint8_t dSMAPIQueueMargin;
        uint8_t DatamodelQueueMargin;
        uint8_t SelectBQueueMargin;
        uint8_t SelectAQueueMargin;
        uint8_t SPIQueueMargin;
        uint8_t dS485QueueMargin;
        uint8_t ReceiverQueueMargin;
        uint8_t dSMAPIDeferredQueue;
        uint8_t dS485TxMessageQueue;
        uint8_t dS485DeferredTxMessageQueue;
        uint8_t FreescaleDeferredQueue;
        uint8_t MMIDeferredQueue;
        uint8_t SelectADeferredQueue;
        uint8_t SelectBDeferredCommandQueue;
        uint8_t SelectBDeferredDsuidQueue;
        uint8_t SPIFrontPanelDeferredQueue;
        uint8_t SPIPrioDeferredQueue;
        uint8_t SPIDSPTxMessageQueue;
        error = dSMStatistics_get_pool_margins_parse_response(container, &SmallPoolMargin, &MediumPoolMargin, &LargePoolMargin, &FreescaleQueueMargin, &MMIQueueMargin, &dSMAPIQueueMargin, &DatamodelQueueMargin, &SelectBQueueMargin, &SelectAQueueMargin, &SPIQueueMargin, &dS485QueueMargin, &ReceiverQueueMargin, &dSMAPIDeferredQueue, &dS485TxMessageQueue, &dS485DeferredTxMessageQueue, &FreescaleDeferredQueue, &MMIDeferredQueue, &SelectADeferredQueue, &SelectBDeferredCommandQueue, &SelectBDeferredDsuidQueue, &SPIFrontPanelDeferredQueue, &SPIPrioDeferredQueue, &SPIDSPTxMessageQueue);
        ((dSMStatistics_get_pool_margins_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, SmallPoolMargin, MediumPoolMargin, LargePoolMargin, FreescaleQueueMargin, MMIQueueMargin, dSMAPIQueueMargin, DatamodelQueueMargin, SelectBQueueMargin, SelectAQueueMargin, SPIQueueMargin, dS485QueueMargin, ReceiverQueueMargin, dSMAPIDeferredQueue, dS485TxMessageQueue, dS485DeferredTxMessageQueue, FreescaleDeferredQueue, MMIDeferredQueue, SelectADeferredQueue, SelectBDeferredCommandQueue, SelectBDeferredDsuidQueue, SPIFrontPanelDeferredQueue, SPIPrioDeferredQueue, SPIDSPTxMessageQueue);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_GET_POOL_MARGINS)
    {
        uint8_t error;
        error = dSMStatistics_get_pool_margins_parse_request(container);
        ((dSMStatistics_get_pool_margins_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_GET_STOP_TIMER)
    {
        uint8_t error;
        uint8_t LocalZoneId;
        uint8_t GroupId;
        uint8_t ButtonId;
        uint8_t TimeOut;
        uint32_t TimerCount;
        error = dSMStatistics_get_stop_timer_parse_response(container, &LocalZoneId, &GroupId, &ButtonId, &TimeOut, &TimerCount);
        ((dSMStatistics_get_stop_timer_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, LocalZoneId, GroupId, ButtonId, TimeOut, TimerCount);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_STATISTICS && ModifierId == DSM_STATISTICS_GET_STOP_TIMER)
    {
        uint8_t error;
        uint8_t Index;
        error = dSMStatistics_get_stop_timer_parse_request(container, &Index);
        ((dSMStatistics_get_stop_timer_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Index);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_REBOOT && ModifierId == 0)
    {
        uint8_t error;
        error = dSMReboot_parse_response(container);
        ((dSMReboot_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_REBOOT && ModifierId == 0)
    {
        uint8_t error;
        error = dSMReboot_parse_request(container);
        ((dSMReboot_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_FACTORY_RESET && ModifierId == 0)
    {
        uint8_t error;
        error = dSMFactoryReset_parse_response(container);
        ((dSMFactoryReset_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_FACTORY_RESET && ModifierId == 0)
    {
        uint8_t error;
        uint16_t Password;
        error = dSMFactoryReset_parse_request(container, &Password);
        ((dSMFactoryReset_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Password);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == IMAGE_MAINTENANCE && ModifierId == IMAGE_MAINTENANCE_CHECK_IMAGE)
    {
        uint8_t error;
        uint16_t ReadCRC;
        uint16_t ComputedCRC;
        error = ImageMaintenance_check_image_parse_response(container, &ReadCRC, &ComputedCRC);
        ((ImageMaintenance_check_image_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ReadCRC, ComputedCRC);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == IMAGE_MAINTENANCE && ModifierId == IMAGE_MAINTENANCE_CHECK_IMAGE)
    {
        uint8_t error;
        error = ImageMaintenance_check_image_parse_request(container);
        ((ImageMaintenance_check_image_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == IMAGE_MAINTENANCE && ModifierId == IMAGE_MAINTENANCE_GET_IMAGE_INFO)
    {
        uint8_t error;
        uint32_t ManufacturerId;
        uint32_t DeviceId;
        uint32_t ContentType;
        uint32_t ContentSize;
        uint16_t ContentCRC;
        error = ImageMaintenance_get_image_info_parse_response(container, &ManufacturerId, &DeviceId, &ContentType, &ContentSize, &ContentCRC);
        ((ImageMaintenance_get_image_info_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ManufacturerId, DeviceId, ContentType, ContentSize, ContentCRC);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == IMAGE_MAINTENANCE && ModifierId == IMAGE_MAINTENANCE_GET_IMAGE_INFO)
    {
        uint8_t error;
        error = ImageMaintenance_get_image_info_parse_request(container);
        ((ImageMaintenance_get_image_info_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == IMAGE_MAINTENANCE && ModifierId == IMAGE_MAINTENANCE_START_UPDATE)
    {
        uint8_t error;
        error = ImageMaintenance_start_update_parse_response(container);
        ((ImageMaintenance_start_update_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == IMAGE_MAINTENANCE && ModifierId == IMAGE_MAINTENANCE_START_UPDATE)
    {
        uint8_t error;
        error = ImageMaintenance_start_update_parse_request(container);
        ((ImageMaintenance_start_update_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == IMAGE_MAINTENANCE && ModifierId == IMAGE_MAINTENANCE_REMOVE_IMAGE)
    {
        uint8_t error;
        error = ImageMaintenance_remove_image_parse_response(container);
        ((ImageMaintenance_remove_image_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == IMAGE_MAINTENANCE && ModifierId == IMAGE_MAINTENANCE_REMOVE_IMAGE)
    {
        uint8_t error;
        error = ImageMaintenance_remove_image_parse_request(container);
        ((ImageMaintenance_remove_image_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == IMAGE_TRANSFER && ModifierId == IMAGE_TRANSFER_WRITE_REQUEST)
    {
        uint8_t error;
        error = ImageTransfer_write_request_parse_response(container);
        ((ImageTransfer_write_request_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == IMAGE_TRANSFER && ModifierId == IMAGE_TRANSFER_WRITE_REQUEST)
    {
        uint8_t error;
        uint32_t ManufacturerId;
        uint32_t DeviceId;
        uint32_t ContentType;
        uint32_t ContentSize;
        uint16_t ContentCRC;
        error = ImageTransfer_write_request_parse_request(container, &ManufacturerId, &DeviceId, &ContentType, &ContentSize, &ContentCRC);
        ((ImageTransfer_write_request_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ManufacturerId, DeviceId, ContentType, ContentSize, ContentCRC);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == IMAGE_TRANSFER && ModifierId == IMAGE_TRANSFER_DATA)
    {
        uint8_t error;
        uint32_t ExpectedPacketNr;
        uint32_t ReceivedPacketNr;
        error = ImageTransfer_data_parse_response(container, &ExpectedPacketNr, &ReceivedPacketNr);
        ((ImageTransfer_data_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ExpectedPacketNr, ReceivedPacketNr);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == IMAGE_TRANSFER && ModifierId == IMAGE_TRANSFER_DATA)
    {
        uint8_t error;
        uint32_t PacketNr;
        uint8_t Data[64];
        error = ImageTransfer_data_parse_request(container, &PacketNr, Data);
        ((ImageTransfer_data_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, PacketNr, Data);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DSM_STATE_CHANGE && ModifierId == 0)
    {
        uint8_t error;
        uint8_t Hardware;
        uint8_t DSP;
        uint8_t Temperature;
        uint8_t Config;
        uint8_t dS485;
        uint8_t Line;
        error = EventDsmStateChange_parse_event(container, &Hardware, &DSP, &Temperature, &Config, &dS485, &Line);
        ((EventDsmStateChange_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Hardware, DSP, Temperature, Config, dS485, Line);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DSM_ERROR && ModifierId == 0)
    {
        uint8_t error;
        uint16_t Error;
        uint32_t Data;
        error = EventDsmError_parse_event(container, &Error, &Data);
        ((EventDsmError_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Error, Data);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_DSLINK_SEND && ModifierId == ZONE_GROUP_DSLINK_SEND_NOT_LAST_BYTE_NO_ANSWER)
    {
        uint8_t error;
        error = ZoneGroupDslinkSend_not_last_byte_no_answer_parse_response(container);
        ((ZoneGroupDslinkSend_not_last_byte_no_answer_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_DSLINK_SEND && ModifierId == ZONE_GROUP_DSLINK_SEND_NOT_LAST_BYTE_NO_ANSWER)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint8_t Value;
        error = ZoneGroupDslinkSend_not_last_byte_no_answer_parse_request(container, &ZoneId, &GroupId, &Value);
        ((ZoneGroupDslinkSend_not_last_byte_no_answer_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == ZONE_GROUP_DSLINK_SEND && ModifierId == ZONE_GROUP_DSLINK_SEND_LAST_BYTE_NO_ANSWER)
    {
        uint8_t error;
        error = ZoneGroupDslinkSend_last_byte_no_answer_parse_response(container);
        ((ZoneGroupDslinkSend_last_byte_no_answer_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == ZONE_GROUP_DSLINK_SEND && ModifierId == ZONE_GROUP_DSLINK_SEND_LAST_BYTE_NO_ANSWER)
    {
        uint8_t error;
        uint16_t ZoneId;
        uint8_t GroupId;
        uint8_t Value;
        error = ZoneGroupDslinkSend_last_byte_no_answer_parse_request(container, &ZoneId, &GroupId, &Value);
        ((ZoneGroupDslinkSend_last_byte_no_answer_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, ZoneId, GroupId, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_DSLINK_SEND && ModifierId == DEVICE_DSLINK_SEND_NOT_LAST_BYTE_NO_ANSWER)
    {
        uint8_t error;
        error = DeviceDslinkSend_not_last_byte_no_answer_parse_response(container);
        ((DeviceDslinkSend_not_last_byte_no_answer_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_DSLINK_SEND && ModifierId == DEVICE_DSLINK_SEND_NOT_LAST_BYTE_NO_ANSWER)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t Value;
        error = DeviceDslinkSend_not_last_byte_no_answer_parse_request(container, &DeviceId, &Value);
        ((DeviceDslinkSend_not_last_byte_no_answer_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_DSLINK_SEND && ModifierId == DEVICE_DSLINK_SEND_LAST_BYTE_NO_ANSWER)
    {
        uint8_t error;
        error = DeviceDslinkSend_last_byte_no_answer_parse_response(container);
        ((DeviceDslinkSend_last_byte_no_answer_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_DSLINK_SEND && ModifierId == DEVICE_DSLINK_SEND_LAST_BYTE_NO_ANSWER)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t Value;
        error = DeviceDslinkSend_last_byte_no_answer_parse_request(container, &DeviceId, &Value);
        ((DeviceDslinkSend_last_byte_no_answer_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_DSLINK_SEND && ModifierId == DEVICE_DSLINK_SEND_NOT_LAST_BYTE_WITH_ANSWER)
    {
        uint8_t error;
        error = DeviceDslinkSend_not_last_byte_with_answer_parse_response(container);
        ((DeviceDslinkSend_not_last_byte_with_answer_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_DSLINK_SEND && ModifierId == DEVICE_DSLINK_SEND_NOT_LAST_BYTE_WITH_ANSWER)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t Value;
        error = DeviceDslinkSend_not_last_byte_with_answer_parse_request(container, &DeviceId, &Value);
        ((DeviceDslinkSend_not_last_byte_with_answer_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DEVICE_DSLINK_SEND && ModifierId == DEVICE_DSLINK_SEND_LAST_BYTE_WITH_ANSWER)
    {
        uint8_t error;
        error = DeviceDslinkSend_last_byte_with_answer_parse_response(container);
        ((DeviceDslinkSend_last_byte_with_answer_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DEVICE_DSLINK_SEND && ModifierId == DEVICE_DSLINK_SEND_LAST_BYTE_WITH_ANSWER)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t Value;
        error = DeviceDslinkSend_last_byte_with_answer_parse_request(container, &DeviceId, &Value);
        ((DeviceDslinkSend_last_byte_with_answer_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DSLINK && ModifierId == EVENT_DSLINK_RESPONSE)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t Value;
        error = EventDslink_response_parse_event(container, &DeviceId, &Value);
        ((EventDslink_response_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, Value);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DSLINK && ModifierId == EVENT_DSLINK_INTERRUPT)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t Priority;
        error = EventDslink_interrupt_parse_event(container, &DeviceId, &Priority);
        ((EventDslink_interrupt_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, Priority);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == BUS_MEMBER && ModifierId == BUS_MEMBER_GET_TYPE)
    {
        uint8_t error;
        uint8_t Type;
        error = BusMember_get_type_parse_response(container, &Type);
        ((BusMember_get_type_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Type);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == BUS_MEMBER && ModifierId == BUS_MEMBER_GET_TYPE)
    {
        uint8_t error;
        error = BusMember_get_type_parse_request(container);
        ((BusMember_get_type_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_SET_MMI_FLAG)
    {
        uint8_t error;
        error = dSMDebugMode_set_MMI_flag_parse_response(container);
        ((dSMDebugMode_set_MMI_flag_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_SET_MMI_FLAG)
    {
        uint8_t error;
        uint8_t DebugFlag;
        error = dSMDebugMode_set_MMI_flag_parse_request(container, &DebugFlag);
        ((dSMDebugMode_set_MMI_flag_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DebugFlag);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_GET_MMI_FLAG)
    {
        uint8_t error;
        uint8_t DebugFlag;
        error = dSMDebugMode_get_MMI_flag_parse_response(container, &DebugFlag);
        ((dSMDebugMode_get_MMI_flag_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DebugFlag);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_GET_MMI_FLAG)
    {
        uint8_t error;
        error = dSMDebugMode_get_MMI_flag_parse_request(container);
        ((dSMDebugMode_get_MMI_flag_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_STOP_SELECT_B)
    {
        uint8_t error;
        error = dSMDebugMode_stop_select_b_parse_response(container);
        ((dSMDebugMode_stop_select_b_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_STOP_SELECT_B)
    {
        uint8_t error;
        error = dSMDebugMode_stop_select_b_parse_request(container);
        ((dSMDebugMode_stop_select_b_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_RESTART_REGISTRATION)
    {
        uint8_t error;
        error = dSMDebugMode_restart_registration_parse_response(container);
        ((dSMDebugMode_restart_registration_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_RESTART_REGISTRATION)
    {
        uint8_t error;
        error = dSMDebugMode_restart_registration_parse_request(container);
        ((dSMDebugMode_restart_registration_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_RESTART_DSP)
    {
        uint8_t error;
        error = dSMDebugMode_restart_dsp_parse_response(container);
        ((dSMDebugMode_restart_dsp_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_RESTART_DSP)
    {
        uint8_t error;
        error = dSMDebugMode_restart_dsp_parse_request(container);
        ((dSMDebugMode_restart_dsp_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_READ_FLASH)
    {
        uint8_t error;
        uint8_t Data[64];
        error = dSMDebugMode_read_flash_parse_response(container, Data);
        ((dSMDebugMode_read_flash_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Data);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_READ_FLASH)
    {
        uint8_t error;
        uint32_t Index;
        error = dSMDebugMode_read_flash_parse_request(container, &Index);
        ((dSMDebugMode_read_flash_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Index);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_WRITE_FLASH)
    {
        uint8_t error;
        error = dSMDebugMode_write_flash_parse_response(container);
        ((dSMDebugMode_write_flash_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_WRITE_FLASH)
    {
        uint8_t error;
        uint32_t Index;
        uint8_t Data[64];
        error = dSMDebugMode_write_flash_parse_request(container, &Index, Data);
        ((dSMDebugMode_write_flash_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Index, Data);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_GET_COMMUNICATION_LOG_STATE)
    {
        uint8_t error;
        uint8_t State;
        error = dSMDebugMode_get_communication_log_state_parse_response(container, &State);
        ((dSMDebugMode_get_communication_log_state_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, State);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_GET_COMMUNICATION_LOG_STATE)
    {
        uint8_t error;
        error = dSMDebugMode_get_communication_log_state_parse_request(container);
        ((dSMDebugMode_get_communication_log_state_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_SET_COMMUNICATION_LOG_STATE)
    {
        uint8_t error;
        error = dSMDebugMode_set_communication_log_state_parse_response(container);
        ((dSMDebugMode_set_communication_log_state_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_SET_COMMUNICATION_LOG_STATE)
    {
        uint8_t error;
        uint8_t State;
        error = dSMDebugMode_set_communication_log_state_parse_request(container, &State);
        ((dSMDebugMode_set_communication_log_state_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, State);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_DISABLE_JUMBLE)
    {
        uint8_t error;
        error = dSMDebugMode_disable_jumble_parse_response(container);
        ((dSMDebugMode_disable_jumble_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_DISABLE_JUMBLE)
    {
        uint8_t error;
        uint8_t Disable;
        error = dSMDebugMode_disable_jumble_parse_request(container, &Disable);
        ((dSMDebugMode_disable_jumble_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Disable);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_INJECT_SHORT_UPSTREAM)
    {
        uint8_t error;
        error = dSMDebugMode_inject_short_upstream_parse_response(container);
        ((dSMDebugMode_inject_short_upstream_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_INJECT_SHORT_UPSTREAM)
    {
        uint8_t error;
        uint16_t Source;
        uint8_t Circuit;
        uint8_t Key;
        uint8_t Click;
        uint8_t Sensor;
        uint8_t Resend;
        uint8_t Quality;
        uint8_t Flags;
        error = dSMDebugMode_inject_short_upstream_parse_request(container, &Source, &Circuit, &Key, &Click, &Sensor, &Resend, &Quality, &Flags);
        ((dSMDebugMode_inject_short_upstream_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Source, Circuit, Key, Click, Sensor, Resend, Quality, Flags);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_INJECT_LONG_UPSTREAM)
    {
        uint8_t error;
        error = dSMDebugMode_inject_long_upstream_parse_response(container);
        ((dSMDebugMode_inject_long_upstream_response_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == DSM_DEBUG_MODE && ModifierId == DSM_DEBUG_MODE_INJECT_LONG_UPSTREAM)
    {
        uint8_t error;
        uint16_t Source;
        uint8_t Circuit;
        uint8_t Mainqualifier;
        uint8_t Subqualifier;
        uint32_t Data;
        uint8_t Quality;
        uint8_t Flags;
        error = dSMDebugMode_inject_long_upstream_parse_request(container, &Source, &Circuit, &Mainqualifier, &Subqualifier, &Data, &Quality, &Flags);
        ((dSMDebugMode_inject_long_upstream_request_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Source, Circuit, Mainqualifier, Subqualifier, Data, Quality, Flags);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_COMMUNICATION_LOG && ModifierId == EVENT_COMMUNICATION_LOG_UPSTREAM_SHORT)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t CircuitId;
        uint8_t Resend;
        uint8_t Sensor;
        uint8_t Key;
        uint8_t Click;
        uint8_t Quality;
        uint8_t Flags;
        uint8_t Crosstalk;
        error = EventCommunicationLog_upstream_short_parse_event(container, &DeviceId, &CircuitId, &Resend, &Sensor, &Key, &Click, &Quality, &Flags, &Crosstalk);
        ((EventCommunicationLog_upstream_short_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, CircuitId, Resend, Sensor, Key, Click, Quality, Flags, Crosstalk);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_COMMUNICATION_LOG && ModifierId == EVENT_COMMUNICATION_LOG_UPSTREAM_LONG)
    {
        uint8_t error;
        uint16_t DeviceId;
        uint8_t CircuitId;
        uint8_t Mainqualifier;
        uint8_t Subqualifier;
        uint32_t Data;
        uint8_t Quality;
        uint8_t Flags;
        uint8_t Crosstalk;
        error = EventCommunicationLog_upstream_long_parse_event(container, &DeviceId, &CircuitId, &Mainqualifier, &Subqualifier, &Data, &Quality, &Flags, &Crosstalk);
        ((EventCommunicationLog_upstream_long_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, DeviceId, CircuitId, Mainqualifier, Subqualifier, Data, Quality, Flags, Crosstalk);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_COMMUNICATION_LOG && ModifierId == EVENT_COMMUNICATION_LOG_DOWNSTREAM_SHORT)
    {
        uint8_t error;
        uint8_t Command;
        error = EventCommunicationLog_downstream_short_parse_event(container, &Command);
        ((EventCommunicationLog_downstream_short_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Command);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_COMMUNICATION_LOG && ModifierId == EVENT_COMMUNICATION_LOG_DOWNSTREAM_LONG_16BIT_PARAMETER)
    {
        uint8_t error;
        uint8_t Command;
        uint16_t Data;
        error = EventCommunicationLog_downstream_long_16bit_parameter_parse_event(container, &Command, &Data);
        ((EventCommunicationLog_downstream_long_16bit_parameter_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Command, Data);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_COMMUNICATION_LOG && ModifierId == EVENT_COMMUNICATION_LOG_DOWNSTREAM_LONG_8BIT_PARAMETER)
    {
        uint8_t error;
        uint8_t Command;
        uint8_t Data;
        error = EventCommunicationLog_downstream_long_8bit_parameter_parse_event(container, &Command, &Data);
        ((EventCommunicationLog_downstream_long_8bit_parameter_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Command, Data);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_COMMUNICATION_LOG && ModifierId == EVENT_COMMUNICATION_LOG_DOWNSTREAM_LONG_NO_PARAMETER)
    {
        uint8_t error;
        uint8_t Command;
        error = EventCommunicationLog_downstream_long_no_parameter_parse_event(container, &Command);
        ((EventCommunicationLog_downstream_long_no_parameter_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Command);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_EVENT && MessageId == EVENT_DSP_DEBUG_DATA && ModifierId == 0)
    {
        uint8_t error;
        uint8_t Length;
        uint8_t Data[122];
        error = EventDspDebugData_parse_event(container, &Length, Data);
        ((EventDspDebugData_event_callback_t)callback_entry->callback)(error, callback_entry->arg, container->sourceId, container->destinationId, Length, Data);

        return 0;
    }

    return -1;
}

static int dsm_api_ds485_netlib_packet_callback(void *handle, const ds485n_packet_t *packet)
{
    uint8_t MessageId;
    uint8_t ModifierId;
    container_type_t MessageType;
    uint32_t hash_key;
    struct callback_item *callback_entry = NULL;

    dsm_api_data_t *data = (dsm_api_data_t*)handle;

    if (data == NULL)
    {
        return -1;
    }

    if (packet == NULL)
    {
        return -1;
    }

    MessageId = GetCommand(*packet);
    ModifierId = GetModifier(*packet);
    MessageType = packet->containerType;
    hash_key = (MessageType << 16) | (MessageId << 8) | (ModifierId);

    pthread_mutex_lock(&data->mutex_callback);
    HASH_FIND_INT(data->callback_list, &hash_key, callback_entry);
    pthread_mutex_unlock(&data->mutex_callback);
    if (callback_entry == NULL)
    {
        return -1;
    }

    if (callback_entry->callback == NULL)
    {
        return -1;
    }

    if (MessageType == DS485_CONTAINER_RESPONSE && MessageId == USER_PROTOBUF_MESSAGE_REQUEST && ModifierId == 0)
    {
        uint8_t error;
        uint16_t Response_Size;
        uint8_t Response[4096];
        error = UserProtobufMessageRequest_parse_response(packet, &Response_Size, Response);
        ((UserProtobufMessageRequest_response_callback_t)callback_entry->callback)(error, callback_entry->arg, packet->sourceId, packet->destinationId, Response_Size, Response);

        return 0;
    }

    if (MessageType == DS485_CONTAINER_REQUEST && MessageId == USER_PROTOBUF_MESSAGE_REQUEST && ModifierId == 0)
    {
        uint8_t error;
        uint16_t Request_Size;
        uint8_t Request[4096];
        error = UserProtobufMessageRequest_parse_request(packet, &Request_Size, Request);
        ((UserProtobufMessageRequest_request_callback_t)callback_entry->callback)(error, callback_entry->arg, packet->sourceId, packet->destinationId, Request_Size, Request);

        return 0;
    }

    return -1;
}
